# Basic home office hacks: 8 things you need to elevate your workspace
## We've got some 101-level tips on essential gear for your home office.
## Information:

+ Link: https://arstechnica.com/information-technology/2022/06/workspace-hacks/
+ Source: Ars Technica
+ Author: Scharon Harding
+ Date published: 27 June 2022, 13:00
+ Date scraped: 29 June 2022, 08:16

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/06/elevated-home-office-sand-garden-760x380.jpg)







Home offices have gotten a lot of attention over the last couple of years. When offices all over the world shut down at the beginning of the pandemic, we were all reminded how important it is to have a consistent, comfortable workspace with all the tools and tech you need to work successfully. But what's next?


If you hastily created your home office during the pandemic, there are likely some luxuries you overlooked (or weren't able to find in stock). If you've shifted to hybrid working, where you sometimes work remotely and sometimes go to an office, some home office upgrades could help ensure you're always productive, regardless of where you're working from. Long-standing home offices, meanwhile, also deserve some fresh hacks to keep up with your evolving needs.


If you're ready to graduate to the next level of home office-ing, take a look at these eight pieces of tech we recommend for elevating your workspace. Today we're focusing on general ideas rather than specific products.


## Your own router


[![Why lease when you can own? ](https://cdn.arstechnica.net/wp-content/uploads/2022/01/GettyImages-1244405151-980x686.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/01/GettyImages-1244405151.jpg) / Why lease when you can own? [Andriy Onufriyenko/Getty Images](https://www.gettyimages.com/detail/photo/wifi-connections-royalty-free-image/1244405151)


Deciding whether to rent or own is often a complex decision, but it's simpler when it comes to your home router. If you have a permanent home office, it makes sense to buy your own router. You'll save money over the long term, and you'll actually own the hardware rather than paying monthly fees to your Internet service provider to borrow one. Buying your own means you'll no longer be able to rely on your ISP to help with hardware issues, however.


When you invest in your own Wi-Fi router, you take control over the features you get. Make sure to get a router equipped to handle your max speeds and one with the bandwidth to support the computers, smartphones, tablets, smart bulbs, and everything else tapping into your home's Wi-Fi network.


If you have a more demanding use case, like a highly connected smart home with a lot of members, a large home with dead zones, or a computer that does a lot of high-res game livestreaming, you may want some advanced features that you won't see in a basic router/Wi-Fi combo device. A mesh system, for example, helps extend coverage across a widespread area. There are also [more complex enterprise-lite Wi-Fi setups](https://arstechnica.com/information-technology/2018/07/enterprise-wi-fi-at-home-part-two-reflecting-on-almost-three-years-with-pro-gear/) if you want to dive into truly powerful Wi-Fi setups. 



## Network-based storage you can access from anywhere


[![For heavy-duty storage needs, consider a NAS device for accessibility, control, and data backup.](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-538800990-980x653.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-538800990.jpg) / For heavy-duty storage needs, consider a NAS device for accessibility, control, and data backup.[Getty](https://www.gettyimages.com/detail/photo/with-six-disks-3d-rendering-royalty-free-image/538800990)


Cloud storage services like Google Drive and Dropbox are convenient, but they come with storage caps, subscription fees, and that icky feeling of sharing your data with or [providing a license](https://policies.google.com/terms?hl=en&gl=us) to a third party.


With a network-attached storage (NAS) device that supports remote access, you can view your files on the web, whether you're working remotely or in person at the office. You don't need to remotely access a computer that you may or may not have left on. And only you—not Google or anyone else—have control over the data.


Even a NAS that doesn't support remote access can add convenience to your home office. As a one-stop hub for the files in your home, a NAS drive can function as a media server, so every device and person connected to your network can check out the spreadsheet you made, movies you've purchased, or photos from the last family vacation without having to send files or storage hardware around. Just remember that with most consumer-grade NAS devices, access isn't as speedy as local storage, so you might want to avoid using your NAS for things like high-res video editing—or cough up the big bucks for something really fast.


If you have sensitive files you can't afford to lose, a NAS device [with some basic redundancy](https://en.wikipedia.org/wiki/RAID) can help you feel safer than simply using an external hard drive or SSD, although those are typically more portable. You can rack up a massive amount of storage by adding multiple SSDs or hard drives to the NAS drive bays.


(Keep in mind, though, the axiom that "RAID is not a backup." Having a NAS with redundant disks will keep your data accessible in the event of a failure, but it won't save you if someone breaks into your home and steals the NAS or if your home burns down. Make sure you're making off-site backup copies of any truly irreplaceable data!)







## Synchronized files and browsers


[![This doesn't cut it in today's virtual work environments.](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-172182617-980x656.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-172182617.jpg) / This doesn't cut it in today's virtual work environments.[Getty](https://www.gettyimages.com/detail/photo/open-file-cabinet-with-papers-spread-out-on-the-royalty-free-image/172182617?adppopup=true)


Hybrid work models, in which employees work in the office some days and at home other days, have become a popular way to promote a healthy work-life balance. But the approach can easily become inefficient if you constantly have to find a way to bring files from your work PC to your home office PC and vice versa.


A reliable, cloud-based file syncing service that updates your files in real time across devices makes jumping from the home office to the corporate office more seamless. This can also be helpful for collaborative projects, as multiple members of a team can work on files simultaneously.


If that all sounds like an easy way for important edits to get saved over, note that you can use one-way file sync, in which only edits made in the source, or primary folder, will apply to destination folders, and not vice versa.


For sensitive work data, use a service that conforms to security protocols, like SSL/TLS and 256-bit AES, and compliance regulations, like HIPAA or the European Union's GDPR. You can also find services that offer tools for managing data and user access tools.


While you're at it, web browser syncing is an easy way to bring over your critical bookmarks and preferred settings. For those willing to make a browser account, this can be a simple timesaver.


Be careful, though: Going willy-nilly with file syncing *might* cause you to run afoul of your IT department if it has particularly zealous data loss prevention policies and is monitoring when and what files get copied off of corporate devices. Before you set up a sync solution, you might want to check in with IT to make sure you're not breaking any rules. 



## An extra or wider monitor


[![More pixels could help you be more productive. ](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-1387867472-e1656021758272-980x459.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-1387867472-e1656021758272.jpg) / More pixels could help you be more productive. [Getty](https://www.gettyimages.com/detail/photo/african-advisor-using-kpi-dashboard-royalty-free-image/1387867472)


Juggling various text, images, windows, and apps on a single PC display can leave a multitasker hungry for additional pixels. Your home office may already have a decent-sized desktop monitor, but adding another monitor or opting for an ultrawide can be the ticket to greater productivity. Being able to have more windows visible at once gives you more ways to separate tasks and workflows.


Ultrawide monitors, for instance, make it easy to set windows side by side. And if you get a curved one, which is common among ultrawides, you can create a wraparound effect. You could work on a document in the center while keeping an eye on your Slack channel and TweetDeck in your peripheral vision.


If you're happy with the monitor you have, it may make sense to get more screens and create a multi-monitor setup. Besides sufficient desk space and support for the extra displays, you'll need to consider factors like bezel size to keep the look natural. It can also be hard to make aspects of image quality, like color, look identical among monitor models.


If you don’t need another screen that's 20 inches or larger, a portable monitor could be a better fit. Available at many price points, portable monitors are a quick way to add a screen to a system (see our [portable monitors guide](https://arstechnica.com/gadgets/2022/04/portable-monitor-roundup-the-search-for-a-second-screen/) for more). They're a particularly fitting companion for workers who want to keep using their laptop display but have a secondary screen for, say, monitoring emails.


A portable monitor could also serve other projects, like [Raspberry Pi hacks](https://arstechnica.com/gaming/2022/02/building-a-retro-gaming-super-console-with-100-and-a-raspberry-pi-2022-edition/), in your home office, so long as the display has the required ports.





## A picture frame that never gets boring


[![With a digital picture frame, your home office décor won't become stale. ](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-1125001423-980x735.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-1125001423.jpg) / With a digital picture frame, your home office décor won't become stale. [Getty](https://www.gettyimages.com/detail/illustration/horizontal-frame-on-brick-wall-royalty-free-illustration/1125001423)


Not every display in your home office has to be about work. A digital photo frame hanging on the wall or perched on a bookshelf can make your home workspace a welcoming, comfortable place to get things done.


A digital picture frame also means no commitments. Changing the image is as easy as opening an app. Some products can sync with a cloud account so you don't have to do any uploading. And there are options that sync with photo apps to display your latest shots, generate a collage for you, or provide art to display. You can find a digital frame that supports image slideshows, and for shared home offices, there are products that make it easy for multiple users to add pictures.


Digital photo frames are limited in styling, and some can look pretty clunky. But they're also a more compact way of displaying multiple pictures than a large collage frame. You can even find [smart speakers](https://arstechnica.com/gadgets/2021/12/amazon-echo-show-15-review-more-screen-more-possibilities/) that also serve as digital photo frames. 



## Multi-device-friendly peripherals


[![Quickly navigating multiple systems is much easier than this.](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-1197308366-e1656022630233-980x546.jpg)](https://cdn.arstechnica.net/wp-content/uploads/2022/06/GettyImages-1197308366-e1656022630233.jpg) / Quickly navigating multiple systems is much easier than this.[Getty](https://www.gettyimages.com/detail/photo/modern-business-office-interior-with-three-royalty-free-image/1197308366)


If you have multiple systems in your home office, you can waste a lot of time plugging in and unplugging or pairing and unpairing your preferred mouse, keyboard, and monitor. It's time to win back that lost time with peripherals built for people with numerous devices they need to control.


In the mouse and keyboard category, note that wireless options have become quite reliable over the years. It's rare to see a connection drop or noticeable lag with a quality wireless mouse or keyboard these days. Even better, a lot of wireless peripherals are starting to offer multi-device connectivity.


Some do this via multiple Bluetooth channels, which let you can toggle through two or more devices paired via Bluetooth by pressing a button or two. Some Bluetooth peripherals also support a dongle connection, so you can keep the peripheral paired to one system via Bluetooth, like a port-free tablet, and leave its dongle in another, like a desktop.


Then there are KVM (keyboard, video, and mouse) monitors. They have integrated KVM switches that let you easily control more than one computer (double-check the specs for a count limit) with one keyboard, mouse, and monitor.


You can leave your work and personal system both plugged into a KVM monitor. When your work computer is on display, the connected keyboard and mouse will control it. And after you toggle devices via the monitor's settings to display your personal PC on the monitor, that same keyboard and mouse will work without any extra effort.












## Tags:


### Autogenerated tags:
[[nas]] [[wi-fi]] [[bluetooth]] [[windows]] [[kvm]]
