# Google-hosted malvertising leads to fake Keepass site that looks genuine
## Google-verified advertiser + legit-looking URL + valid TLS cert = convincing look-alike.
## Information:

+ Link: https://arstechnica.com/security/2023/10/google-hosted-malvertising-leads-to-fake-keepass-site-that-looks-genuine/
+ Source: Ars Technica
+ Author: Dan Goodin
+ Date published: 19 October 2023, 04:50
+ Date scraped: 19 October 2023, 05:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2023/08/warning-760x380.jpg)







Google has been caught hosting a malicious ad so convincing that there’s a decent chance it has managed to trick some of the more security-savvy users who encountered it.


[![Screenshot of the malicious ad hosted on Google.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/malicious-keepass-ad-google-640x477.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/malicious-keepass-ad-google.png) / Screenshot of the malicious ad hosted on Google.Malwarebytes


Looking at the ad, which masquerades as a pitch for the open-source password manager Keepass, there’s no way to know that it’s fake. It’s on Google, after all, which claims to vet the ads it carries. Making the ruse all the more convincing, clicking on it leads to ķeepass[.]info, which when viewed in an address bar appears to be the [genuine Keepass site](https://keepass.info/).


[![Screenshot showing keepass.info in the URL and Keepass logo.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/fake-keepass-website-640x393.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/fake-keepass-website.png) / Screenshot showing keepass.info in the URL and Keepass logo.Malwarebytes


A closer link at the link, however, shows that the site is *not* the genuine one. In fact, ķeepass[.]info —at least when it appears in the address bar—is just an encoded way of denoting xn--eepass-vbb[.]info, which it turns out, is pushing a malware family tracked as FakeBat. Combining the ad on Google with a website with an almost identical URL creates a near perfect storm of deception. 


“Users are first deceived via the Google ad that looks entirely legitimate and then again via a lookalike domain,” Jérôme Segura, head of threat intelligence at security provider Malwarebytes, wrote in a [post Wednesday](https://www.malwarebytes.com/blog/threat-intelligence/2023/10/clever-malvertising-attack-uses-punycode-to-look-like-legitimate-website) that revealed the scam. 


Information available through Google’s Ad Transparency Center shows that the ads have been running since Saturday and last appeared on Wednesday. The ads were paid for by an outfit called Digital Eagle, which the transparency page says is an advertiser whose identity has been verified by Google.


[![Screenshot of Google Ad Transparency page displaying information for Digital Eagle, Inc.](https://cdn.arstechnica.net/wp-content/uploads/2023/10/keepass-digitaleagle-640x517.png)](https://cdn.arstechnica.net/wp-content/uploads/2023/10/keepass-digitaleagle.png) / Screenshot of Google Ad Transparency page displaying information for Digital Eagle, Inc.Malwarebytes


Google representatives didn’t immediately respond to an email, which was sent after hours. In the past, the company has said it promptly removes fraudulent ads as soon as possible after they’re reported.


The sleight of hand that allowed the imposter site xn--eepass-vbb[.]info to appear as ķeepass[.]info is an encoding scheme known as [punycode](https://en.wikipedia.org/wiki/Punycode). It allows unicode characters to be represented in standard ASCII text. Looking carefully, it’s easy to spot the small comma-like figure immediately below the k. When it appears in an address bar, the figure is equally easy to miss, especially when the URL is backed by a valid TLS certificate, as is the case here.


The use of punycode-enhanced malware scams has a long history. Two years ago, scammers used Google ads to drive people to a site that looked [almost identical](https://arstechnica.com/gadgets/2021/07/with-help-from-google-impersonated-brave-com-website-pushes-malware/) to brave.com, but was, in fact, another malicious website pushing a fake, malicious version of the browser. The punycode technique first came to widespread attention in 2017, when a Web application developer created a proof-of-concept site that [masqueraded as apple.com](https://arstechnica.com/information-technology/2017/04/chrome-firefox-and-opera-users-beware-this-isnt-the-apple-com-you-want/).
There’s no sure-fire way to detect either malicious Google ads or punycode encoded URLs. Posting ķeepass[.]info into all five major browsers leads to the imposter site. When in doubt, people can open a new browser tab and manually type the URL, but that’s not always feasible when they’re long. Another option is to inspect the TLS certificate to make sure it belongs to the site displayed in the address bar.














## Tags:
***urls***: http://xn--eepass-vbb.info http://ķeepass.info

### Autogenerated tags:
[[google]] [[ķeepass[.]info]] [[url]] [[screenshot]] [[keepass]] [[punycode]]
