# Russia inches closer to its splinternet dream
## New impetus for sovereign Internet after backlash from Russia's war on Ukraine.
## Information:

+ Link: https://arstechnica.com/tech-policy/2022/04/russia-inches-closer-to-its-splinternet-dream/
+ Source: Ars Technica
+ Author: Chris Stokel-Walker, wired.com
+ Date published: 03 April 2022, 10:50
+ Date scraped: 03 April 2022, 11:00

## Article:
![Main article image](https://cdn.arstechnica.net/wp-content/uploads/2022/04/internyet-760x380.jpg)







Russian Twitter users noticed something strange when they tried to access the service on March 4: They couldn’t. For the previous six days, anyone trying to access Twitter from within Russia saw their Internet speed slow to a crawl, no matter how fast their connection. Then came the blackout.


Twitter going offline showed how seriously the Russian state took social media’s role in amplifying dissent about the country’s invasion of Ukraine. And it demonstrated Russia’s progress in creating a “splInternet,” a move that would effectively detach the country from the rest of the world’s Internet infrastructure. Such a move would allow Russia to control conversations more tightly and tamp down dissent—and it's getting closer by the day.


The gold standard of digital walled gardens is China, which has managed to separate itself from the rest of the digital world with much success—although people still find their way around the Great Firewall. “I think they would aspire to [mimic China],” Doug Madory of Kentik, a San Francisco-based Internet monitoring company, says of Russia. “But it wasn't easy for the Chinese.” China tasked huge numbers of tech experts to create its version of the Internet, and it spent huge amounts of money. By 2001, the International Center for Human Rights and Democratic Development estimated, China [spent $20 billion](https://books.google.co.uk/books/about/China_s_Golden_Shield.html?id=S9rP0A2q14UC&redir_esc=y) on censorious telecom equipment every year. The famed Great Firewall is just that: a firewall that inspects every bit of traffic entering Chinese cyberspace and checks it against a block list. Most Internet traffic into China passes through three choke points, which block any untoward content. Copying the Chinese approach in Russia is something Madory believes may be beyond Russian president Vladimir Putin’s reach. “I don't think Russia has invested that kind of energy in engineering resources to replicate it,” Madory says. “There are quite a few countries that would love to have what China's got, but they just can't. They haven't got the people to do it. There’s a ways to go before Russia becomes like China.”


![](https://cdn.arstechnica.net/wp-content/uploads/2019/02/wired-logo.png)Even if Russia did have the people, inserting barriers into relatively open Internet infrastructure built over decades is far from straightforward. Controlling a country’s Internet requires two major components: separating yourself from the rest of the world, and cutting access from within. “There are lots of things going on on either side of the ledger,” says Madory. But both are harder for Russia than China because it’s starting from a comparatively open Internet, after years of engagement with the West. (China, by contrast, has been closed almost since the first people logged on to the Internet, following a February 1996 order giving the state absolute control over its design and establishing a prohibition on “inciting to overthrow the government or the socialist system”—meaning it was insular by design.)
Russia’s Internet regulator, Roskomnadzor, can by law demand that Russia’s Internet service providers (ISPs) block content or don’t complete traffic requests. They can reroute Internet traffic away from sites that Roskomnadzor deems unsuitable for everyday Russians, essentially cutting any individual browser off from the rest of the world. However, Russia has [more than 3,000 ISPs](https://theconversation.com/digital-sovereignty-can-russia-cut-off-its-Internet-from-the-rest-of-the-world-125952), which implement diktats at different speeds. “Everybody’s left to their own devices to figure out how to comply with the government order to block the BBC or something,” says Madory. Each ISP also uses [different methods](https://ooni.org/post/2022-russia-blocks-amid-ru-ua-conflict/) to try and block access to websites that the Russian media regulator says are forbidden, with varying levels of success. “Depending on the technique they adopt, circumventing the block can be easier or harder,” says Maria Xynou, with the Internet censorship nonprofit the Open Observatory of Network Interference (OONI).





jump to endpage 1 of 2

Most commonly, Russian ISPs reset user connections as they try to access websites, leaving them trapped in a frustrating loop of unfulfilled requests. That happens by effectively hijacking a request from a web browser to access a website. “By resetting your connection, they’re preventing you from connecting to the intended website or service,” says Xynou. There are other blocking techniques used by Russia. One stops TLS connections, the cryptographic mechanism that governs most Internet connections, which in turn blocks access to specific websites. Another method involves delivering block notices to users trying to access a website by manipulating the Domain Name System, or DNS, which is essentially the phonebook of the Internet. If a browser can't access this phonebook, it can't load a website.


The system can work, but has its flaws. “When censorship is so decentralized, it does mean that it ends up being way less effective than if it were implemented in a centralized way,” says Xynou. Russia has made some steps toward trying to rectify that, but in recent history it has struggled to implement nationwide blocks or bars on websites deemed unsavory. That’s because of the way Russian Internet infrastructure works.


“Russia’s Internet ecosystem is badly embedded into the global one,” says Alena Epifanova, a research fellow at the German Council on Foreign Relations, a foreign policy nonprofit, who has studied Russia’s Internet censorship and infrastructure. “We see a lot of foreign companies involved in running their infrastructure, from telecommunications to data delivery networks.” That includes Nokia, [whose hardware reportedly powers SORM](https://www.nytimes.com/2022/03/28/technology/nokia-russia-surveillance-system-sorm.html), Russia’s vast social media snooping operation.


Seemingly aware of this, Russia has made some progress in untangling itself from the global Internet infrastructure—an action that would enable it to exert more complete control over the flow of information. “The whole thing is about control of information,” says Epifanova. “They fear information.”


To avoid the dissemination of damaging information, Russia has been trying to develop its own sovereign technology capabilities. In 2015, [Russia’s national security strategy](https://russiamatters.org/node/21421) made provisions for what was deemed “rational import substitution”—or switching out foreign-made IT hardware for domestic alternatives. The move was designed to help mitigate the effect of sanctions, which led to an Internet infrastructure provider, Cogent Communications, [pulling out of Russia](https://www.wired.com/story/cogent-Internet-backbone-cuts-off-russia-nvidia-ransomware-conti-security-news/) a month ago. The nationalistic policy also served another purpose: handing Russia more power over the companies that power and provide Internet access within its borders. That hasn’t wholly worked: Russia is still reliant on international companies to power large parts of its Internet, though it did cope relatively well with Cogent’s departure. It simply ported traffic onto other Internet backbones, which handled the disruption.


But 2015’s protectionist pivot isn’t the only step Russia made toward insulating its Internet. In May 2019, Putin announced the RuNet, a sovereign Internet disconnected from the rest of the world, as part of a domestic Internet law that [came into force](https://www.atlanticcouncil.org/in-depth-research-reports/issue-brief/reassessing-runet-russian-Internet-isolation-and-implications-for-russian-cyber-behavior/) in November 2019. The RuNet has three pillars: One involves installing packet-snooping hardware on company networks, enabling the Russian state to monitor what is being said online. Another gives authorities powers to centralize control of the Internet, while the third creates a national DNS system that would mean Russia could ensure that no one within its borders can easily access banned websites. The national DNS system maintains a [localized copy of the global Internet](https://www.bbc.co.uk/news/technology-50902496) within Russia, similar to the intranet-style system maintained by China and to a lesser extent Iran with its National Information Network. By December 24, 2019, [Russia claimed](https://www.themoscowtimes.com/2019/12/24/russias-interent-ready-isolation-officials-say-after-partial-shutdown-a68728) it had successfully tested uncoupling itself from the global Internet, without needing to be connected to the rest of the world through Russia’s [10 known public Internet exchange points](https://en.wikipedia.org/wiki/Internet_Exchange_Points_in_Russia)—though the effectiveness and legitimacy of the tests are both disputed. “The whole scope of the implementation is unknown,” says Epifanova—which is probably the way Russia likes it.


But there are signs that Russia is making progress, even if for officials it remains frustratingly slow. In March 2021, Roskomnadzor [announced](https://rkn.gov.ru/news/rsoc/news73464.htm?utm_source=censoredplanet.org&utm_medium=referral&utm_campaign=censoredplanet.org&utm_referrer=censoredplanet.org) that it was throttling access to Twitter in Russia because it claimed it hosted content that encouraged drug use, sexualization of children, and suicide. To many people’s surprise, it worked. Rather than ISPs implementing ad hoc measures to block Twitter, a new method, called TSPU (“technical solution for threat countermeasures”), [was implemented](https://censoredplanet.org/throttling). The TPSU method—as far as international watchers can tell—utilizes deep packet inspection boxes, which monitor Internet traffic for relevant URLs that are on a block list, then halt all packets containing those requests so they aren’t fulfilled. In simple terms, if you want to visit a website Russia doesn’t want you to, you simply can’t connect to it.


There was just one problem with the March 2021 throttling of Twitter: It wasn’t coded correctly. As well as collecting all requests to Twitter and its associated sites in its dragnet, it also stopped access to any site that contained “t.co” (a shortened URL used by Twitter) anywhere in the URL, meaning reddi**t.co**m and microsof**t.co**m were also caught up by the ban. “They ended up messing up the rule and throttling all kinds of traffic,” says Madory. “Engineers around the world could empathize. It was kind of a funny story.”


Things have evolved since then. The [recent attempt](https://ooni.org/post/2022-russia-blocks-amid-ru-ua-conflict/) to throttle access to Twitter, identified by OONI as taking place between February 26 and March 4, was more successful, and Twitter has been offline in Russia ever since. Such successes show that Russia might be careering toward its desired splInternet. “It’s definitely quite alarming,” says Xynou. “Generally, censorship has always been very decentralized, whereas centralized throttling of a service has only been observed over the last year in the country.” Such a move suggests Russia could be moving toward a centralized, Chinese-style approach to online censorship. “That would mean the implementation of censorship would be much more total and much more efficient,” says Xynou. Such a system, she adds, would make it much harder for Russians to circumvent any blocks. Adding a fourth country, beyond China, [North Korea](https://www.wired.com/story/north-korea-hacker-Internet-outage/), and [Iran](https://www.wired.co.uk/article/iran-news-Internet-shutdown) to the list of those who tightly control the online world would also have a potentially pernicious knock-on effect—and embolden other nations to try similar crackdowns.


*This story originally appeared on [wired.com](https://www.wired.com/story/russia-splinternet-censorship/).*






 




## Tags:


### Autogenerated tags:
[[madory]] [[websites]] [[xynou]] [[website]] [[isps]] [[roskomnadzor]] [[dns]]
