# Citrix, Sophos software impacted by 2024 leap year bugs
## Citrix and Sophos products have been impacted by leap year flaws, leading to unexpected problems in their products.
## Information:

+ Link: https://www.bleepingcomputer.com/news/software/citrix-sophos-software-impacted-by-2024-leap-year-bugs/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 29 February 2024, 13:30
+ Date scraped: 29 February 2024, 19:03

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2024/02/29/feb-29.jpg)



Citrix and Sophos products have been impacted by leap year flaws, leading to unexpected problems in their products.


Leap years solve the synchronization problem caused by the Gregorian calendar measuring a year in 365 days, while the astronomical year is 365.24 days. During leap years, an extra day is added to February, the 29th, to correct this discrepancy.


However, the leap-year solution can cause problems in computer systems because their software may not be programmed to account for that extra day, causing unexpected errors.


Citrix hit with leap year bug
-----------------------------


The first signs of problems became apparent earlier today when multiple [users reported](http://discussions.citrix.com/topic/407299-citrix-hdx-html5-video-redirection-service-stopped-on-all-vdas-today/) on the vendor's support forums that the Citrix HDX HTML5 Video Redirection Service stopped working on all Virtual Delivery Agent (VDA) machines.


The service is part of Citrix's suite of virtualization products, used in remote work, education, content delivery, and multimedia applications. It enhances the user experience when streaming video content in a virtual desktop or app session via playback optimizations that redirect HTML5 video processing from the server to the client.


Users reported that the service termination affected environments with various configurations, matching a problem described on a thread first created on February 29th, 2020, when the last leap year occurred.


Soon, users made the connection between today's date and the thread's creation, realizing that they were dealing with a leap-year bug causing unexpected behavior.


Some users have suggested changing the system date back to February 28th, 2024, and quickly restarting the Citrix service without rebooting, which reportedly worked.



![The proposed date change fix](https://www.bleepstatic.com/images/news/u/1220909/2024/InfoStealers/time-fix.png)**The proposed date change fix** *(Citrix support forums)*


Unfortunately, this solution is impractical for those managing many servers, as they have to manually perform the time change for each of the impacted endpoints, and rebooting servers could disrupt operations.


Eventually, Citrix responded to the user reports with [a bulletin](https://support.citrix.com/article/CTX617043/citrix-hdx-service-fails-on-29th-february), saying that the issue was triggered only after a restart of the VDA, with the vendor suggesting the following workaround until a permanent fix is ready:


1. Stop the time service so that it does not automatically change to the correct date
2. Change the date to March 1st 2024
3. Stop and start the CtxHdxWebSocketService (Citrix HDX HTML5 Video Redirection Service)
4. Start the time service again.

Alternatively, users can run the following command through an elevated command prompt as an administrator:



```
net stop w32time & date 03-01-2024 & net start CtxHdxWebSocketService & net start w32time
```

Citrix says its engineering team is working on a fix for the issue so that users won't have this problem during the next leap year, on February 29th, 2028.


It is unclear if this "glitch" will resolve itself tomorrow, March 1st, 2024, or if it will cause a permanent hang that might persist until an official fix is issued.


Sophos impacted too
-------------------


Sophos also [announced](https://support.sophos.com/support/s/article/KB-000045954?language=en_US) that Sophos Endpoint, Sophos Server, and Sophos Home may experience problems in the form of unexpected security certification validation warnings for HTTPS websites if devices are rebooted on February 29th, 2024.


This bug only pops up if the '[SSL/TLS decryption of HTTPS websites'](https://docs.sophos.com/central/customer/help/en-us/ManageYourProducts/GlobalSettings/DecryptHTTPS/index.html) setting is enabled in the antivirus software, which is used to decrypt secure web connections so that the contents can be scanned for malicious scripts. This setting is likely enabled for most users of the security software.



![Error seen in the reported cases](https://www.bleepstatic.com/images/news/u/1220909/2024/InfoStealers/rtaImage.jpg)**Error seen in impacted browsing sessions** *(Sophos)*


The vendor has provided various solutions for the impacted products, summarized as follows:


* **Sophos Endpoint** - Sophos automatically disabled SSL/TLS decryption for all customers to prevent issues. An upcoming software update will fix this, after which users should revert any manual decryption disablements.
* **Sophos Server version 2023.1.x** - If facing issues, disable SSL/TLS decryption manually; from March 1st, 2024, rebooting servers will address the problem, and settings should be reverted as desired.
* **Sophos Server versions 2023.2.x** - Sophos has disabled SSL/TLS decryption via policy override for all. A software update is planned to revert this change, and users should subsequently adjust their settings back if they had manually disabled decryption.
* **Sophos Home** - Users experiencing issues should disable SSL/TLS decryption. It is recommended to reboot and re-enable decryption settings on or after March 1st, 2024.

Worldwide leap year problems
----------------------------


The leap year has caused multiple issues with computer systems worldwide today, with the most notable maybe being an outage on the self-service fueling stations of [Allied Petroleum](https://www.newshub.co.nz/home/new-zealand/2024/02/petrol-stations-around-new-zealand-reporting-outages-at-dozens-of-self-service-stations.html) in New Zealand.


Another victim of a leap year glitch appears to be Sweden’s leading grocery store retailer, ICA, which has reportedly been [unable to accept card payments today](https://www.dn.se/direkt/2024-02-29/ica-problemen-att-betala-med-kort-beror-pa-skottdagen/) "due to an internal problem caused by the date."


Also, reports from Japan say the leap year has [disrupted driver's license issuance](https://japantoday.com/category/national/leap-year-glitch-disrupts-driver-license-issuance-by-japan-police) in four prefectures, forcing the authorities to perform an emergency transition to non-impacted systems.





## Tags:


### Autogenerated tags:
[[sophos]] [[citrix]] [[29th]] [[1st]] [[ssl/tls]] [[html5]]
