# Microsoft deprecates Defender Application Guard for Office
## Microsoft is deprecating Defender Application Guard for Office and the Windows Security Isolation APIs, and it recommends Defender for Endpoint attack surface reduction rules, Protected View, and Windows Defender Application Control as an alternative.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-deprecates-defender-application-guard-for-office/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 27 November 2023, 16:00
+ Date scraped: 27 November 2023, 22:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2023/10/11/Microsoft-Defender_for_Endpoint.jpg)



Microsoft is deprecating Defender Application Guard for Office and the Windows Security Isolation APIs, and it recommends Defender for Endpoint attack surface reduction rules, Protected View, and Windows Defender Application Control as an alternative.


Application Guard for Office is a security feature that works with Word, Excel, and PowerPoint for Microsoft 365 Apps, specifically catering to Windows 10 and Windows 11 Enterprise editions.


Its primary objective is to thwart potential threats by restricting files downloaded from untrusted origins, ensuring they are opened within a secure sandbox, and preventing access to trusted resources on the user's device.


These secure containers shield the device using hardware-based virtualization from potential malware infections after opening downloaded documents in Office applications.


"Microsoft Defender Application Guard for Office is being deprecated and is no longer being updated. This deprecation also includes the [Windows.Security.Isolation APIs](https://learn.microsoft.com/en-us/uwp/api/windows.security.isolation) that are used for Microsoft Defender Application Guard for Office," Microsoft [said](https://learn.microsoft.com/en-us/windows/whats-new/deprecated-features).


"We recommend transitioning to Microsoft Defender for Endpoint [attack surface reduction rules](https://learn.microsoft.com/en-us/microsoft-365/security/defender-endpoint/overview-attack-surface-reduction?view=o365-worldwide) along with [Protected View](https://learn.microsoft.com/en-us/microsoft-365/security/office-365-security/recommended-settings-for-eop-and-office365?view=o365-worldwide#global-settings-for-safe-attachments) and [Windows Defender Application Control](https://learn.microsoft.com/en-us/windows/security/application-security/application-control/windows-defender-application-control/wdac)."



![Application Guard alert](https://www.bleepstatic.com/images/news/u/1109292/2021/Application%20Guard.jpg)*Application Guard alert (Microsoft)*


​The announcement comes two years after Redmond rolled out Application Guard for Office [to all Microsoft 365 customers](https://www.bleepingcomputer.com/news/security/microsoft-rolls-out-application-guard-for-office-to-all-customers/) with supported licenses.


It was officially launched as part of a [limited preview](https://www.bleepingcomputer.com/news/microsoft/office-365-to-prevent-malicious-docs-from-infecting-windows/) in November 2019, and it was only available to organizations with Microsoft 365 E5 or Microsoft 365 E5 Security licenses.


In October, the company said it's [killing VBScript](https://www.bleepingcomputer.com/news/security/microsoft-to-kill-off-vbscript-in-windows-to-block-malware-delivery/) in future Windows releases 30 years after its introduction, making it available as an on-demand feature before being completely removed.


Earlier this year, Microsoft announced that it would [phase out WordPad](https://www.bleepingcomputer.com/news/microsoft/microsoft-is-killing-wordpad-in-windows-after-28-years/) after 28 years and reminded that Windows [will disable insecure Transport Layer Security (TLS) 1.0 and 1.1 protocols](https://www.bleepingcomputer.com/news/microsoft/microsoft-reminds-users-windows-will-disable-insecure-tls-soon/), but delayed [Client Access Rules (CARs) deprecation](https://www.bleepingcomputer.com/news/microsoft/microsoft-delays-exchange-online-cars-deprecation-until-2024/) in Exchange Online by one year until September 2024.


Five years ago, Microsoft also [said](https://www.bleepingcomputer.com/news/microsoft/microsoft-to-remove-classic-paint-app-from-windows-10-this-fall/) that the classic Windows Paint app would be deprecated and removed with the release of the Windows 10 Fall Creator's Update in July 2017.


However, Redmond [decided against phasing it out completely](https://www.bleepingcomputer.com/news/microsoft/microsoft-not-giving-up-on-classic-windows-paint-yet/) and, instead, it made it available through the Microsoft Store following an outpour of love for the app.





## Tags:


### Autogenerated tags:
[[microsoft]] [[windows]]
