# Microsoft shares workaround for OneDrive 0x8004de40 login issues
## Microsoft has shared a workaround for customers experiencing 0x8004de40 errors when trying to signing into their OneDrive accounts.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-shares-workaround-for-onedrive-0x8004de40-login-issues/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 19 May 2021, 09:42
+ Date scraped: 12 December 2023, 12:56

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/19/OneDrive.jpg)



Microsoft has shared a workaround for customers experiencing 0x8004de40 errors when trying to signing into their OneDrive accounts.



These login problems have plagued OneDrive users for a while now, with reports streaming on [social platforms](https://www.reddit.com/search/?q=Onedrive+0x8004de40&include_over_18=on&restrict_sr=&t=all&sort=new) and Microsoft's own [user community](https://answers.microsoft.com/en-us/search/search?SearchTerm=Onedrive%200x8004de40&tab=&status=all&advFil=&IsSuggestedTerm=false&isFilterExpanded=undefined&CurrentScope.ForumName=msoffice&CurrentScope.Filter=&ContentTypeScope=QnA&page=1&sort=Relevance&dir=Desc) for years.


While the error indicates that Microsoft OneDrive has issues connecting to the Internet, this known issue could also be caused by Azure Active Directory (Azure AD) connectivity problems according to the company's resolution.


Users affected by this ongoing issue can receive the following error messages:


     • OneDrive Can't sign in. Error 0x8004de40  

     • Login was either interrupted or unsuccessful. Please try logging in again. (Error Code: 0x8004de40)
If the device has an active Internet connection and should not experience any issues connecting to the cloud, follow the workaround steps described below, based on the version of Windows that the device is running.


Before going through these steps, you should first make sure that the system is connected to the Internet and fix any [Wi-Fi connection issues](https://support.microsoft.com/en-us/windows/fix-wi-fi-connection-issues-in-windows-9424a1f7-6a3b-65a6-4d78-7f07eee84d2c) if it's not.


According to Microsoft, you should also make sure your device is connected to your organization's network before going through this procedure.



![OneDrive 0x8004de40 error](https://www.bleepstatic.com/images/news/u/1109292/2021/OneDrive-0x8004de40-error.png)*OneDrive 0x8004de40 error*


### Windows 10 workaround:


First, try restarting the affected device while connected to your Azure Active Directory (Azure AD) domain.


If it doesn’t fix the sign-in issue, unjoin the device from Azure AD and rejoin it using these steps:


1. Open an elevated Command Prompt window. To do so, select **Start**, right-click **Command Prompt** and then select **Run as administrator**.
2. Enter *`dsregcmd /leave`*, and press **Enter**.
3. After the command runs, type *`dsregcmd /join`*, and press **Enter**.
4. After the command runs, close the Command Prompt window.
5. Restart the computer, and log in to OneDrive.

### Windows 8 or Windows 7:


To avoid this issue, Windows 8 and Windows 7 SP1 clients must have TLS 1.2 enabled on their systems. More info available on the following pages:


* [Update to enable TLS 1.1 and TLS 1.2 as default secure protocols in WinHTTP in Windows](https://support.microsoft.com/topic/update-to-enable-tls-1-1-and-tls-1-2-as-default-secure-protocols-in-winhttp-in-windows-c4bd73d2-31d7-761e-0178-11268bb10392)
* [Authentication errors when connecting to SharePoint or OneDrive from Windows 8 or 7](https://docs.microsoft.com/en-us/sharepoint/troubleshoot/administration/authentication-errors-windows7)

Customers are also reporting having issues launching the OneDrive Store app and seeing 0x80049d61 errors. Until a fix is available users are advised to use the [OneDrive desktop app](https://www.microsoft.com/microsoft-365/onedrive/download) or go to [Onedrive.com](https://go.microsoft.com/fwlink/p/?LinkID=2119709).


Microsoft is also working on fixing issues causing the Personal Vault to display the wrong language and clean up space not working on Android 11 devices.


*Update: Added info on 0x80049d61 launch errors.*





## Tags:


### Autogenerated tags:
[[onedrive]] [[windows]] [[microsoft]] [[0x8004de40]] [[workaround]] [[tls]]
