# Windows devices with newest CPUs are susceptible to data damage
## Microsoft has warned today that Windows devices with the newest supported processors are susceptible to data damage on Windows 11 and Windows Server 2022.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/windows-devices-with-newest-cpus-are-susceptible-to-data-damage/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 08 August 2022, 20:42
+ Date scraped: 08 August 2022, 21:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/07/05/Windows.jpg)



Microsoft has warned today that Windows devices with the newest supported processors are susceptible to data damage on Windows 11 and Windows Server 2022.


"Windows devices that support the newest Vector Advanced Encryption Standard (AES) (VAES) instruction set might be susceptible to data damage," the company revealed today.


Devices affected by this newly acknowledged known issue use AES-XTS (AES XEX-based tweaked-codebook mode with ciphertext stealing) or AES-GCM (AES with Galois/Counter Mode) block cipher modes on new hardware.


While Microsoft mentions the data damage risks on affected systems, the company does not elaborate on what customers should expect if they're hit by this issue.


## Issue fixed in May and June Windows updates


Microsoft says the issue was addressed to prevent further data damage in preview and security releases issued on May 24 and June 14, respectively.


However, these Windows updates also come with a performance hit since AES-based operations might be two times (2x) slower after installing them on affected systems running Windows Server 2022 and Windows 11 (original release).


Scenarios impacted by the performance hit might include BitLocker, Transport Layer Security (TLS) (specifically load balancers), and disk throughput (especially for enterprise customers).


"We added new code paths to the Windows 11 (original release) and Windows Server 2022 versions of SymCrypt to take advantage of VAES (vectorized AES) instructions," Microsoft said when describing the cause of the issue.


"SymCrypt is the core cryptographic library in Windows. These instructions act on Advanced Vector Extensions (AVX) registers for hardware with the newest supported processors."


## Workaround for the performance hit


Customers experiencing performance degradation are advised to install June 23 preview update ([Windows 11](https://support.microsoft.com/en-us/topic/june-23-2022-kb5014668-os-build-22000-778-preview-2b5f1da6-d602-48b4-b443-96b460e3c38d), [Windows Server 2022](https://support.microsoft.com/en-us/topic/june-23-2022-kb5014665-os-build-20348-803-preview-feebab2b-1851-4119-a531-89ca80300b10)) or the July 12 security update ([Windows 11](https://support.microsoft.com/en-us/topic/july-12-2022-kb5015814-os-build-22000-795-74e7676e-4182-4747-8f73-bbe0c497dc2a), [Windows Server 2022](https://support.microsoft.com/en-us/topic/july-12-2022-kb5015827-os-build-20348-825-b115183f-66b8-4eea-a631-5255a39b5991)) for their OS version as a workaround.


Microsoft says these Windows updates will restore initial performance metrics once installed on affected devices.


"If this affects you, we strongly urge you to install the May 24, 2022 preview release or the June 14, 2022 security release as soon as possible to prevent further damage," Microsoft added.


"Performance will be restored after you install the June 23, 2022 preview release or the July 12, 2022 security release."





## Tags:


### Autogenerated tags:
[[windows]] [[microsoft]]
