# QuSecure launches quantum-computing based security for endpoints
## Quantum-based security with what’s advertised as “frictionless” deployment is now available from QuSecure.
## Information:

+ Link: https://www.csoonline.com/article/3685948/qusecure-launches-quantum-computing-based-security-for-endpoints.html
+ Source: CSO
+ Author: Jon Gold
+ Date published: 18 January 2023, 17:08
+ Date scraped: 19 January 2023, 19:01

## Article:
![Main article image](https://images.idgesg.net/images/article/2019/12/quantum_computer_by_thedigitalartist_aka_pete_linforth_cc0_via_pixabay_futuristic_quantum_fractal_by_insspirito_garik_barseghyan_cc0_via_pixabay-100820885-large.jpg?auto=webp&quality=85,70)


QuSecure, a [quantum-computing](https://www.networkworld.com/article/3275367/what-s-quantum-computing-and-why-enterprises-need-to-care.html) technology company based in Silicon Valley, today announced the latest version of its security platform, called QuEverywhere — designed to allow organizations to extend quantum-safe security all the way to endpoints like laptops and smartphones, the company said in a statement.

QuEverywhere, according to the company, is an app- or browser-based method of applying quantum cryptography to connections or transactions on a given platform. It’s based largely on the company’s proxy server technology, which uses quantum technology housed in QuSecure’s Quark Orchestrator to handle encryption, decryption and session management for any system to which it is applied.

In effect, QuSecure said, QuProtect adds an additional layer of security across the entirety of a network on which it is deployed — painting a coat of post-quantum encryption on top of a standard [TLS (transport layer security)](https://www.networkworld.com/article/2303073/lan-wan-what-is-transport-layer-security-protocol.html) protocol.


“The upgrade to quantum-safe cryptography is a necessary one that every organization will have to undertake sooner or later,” said QuSecure Chief Product Officer Rebecca Krauthamer. “Our mission is to use the impending advent of quantum computing as a catalyst to fundamentally fix how cryptography is used and managed. To do this, we designed the QuProtect platform to make the upgrade painless and scalable so organizations can adopt the necessary defenses immediately.”

The threat posed by quantum computing to existing cybersecurity systems is well-known. Experts predict the availability of a cryptographically relevant quantum computer — i.e., one that could be used to break the current-generation electronically-based encryption standards — within three to five years. Even now, others have warned of the possibility of “store now, decrypt later” attacks, where safely encrypted data is captured in transit and held for future decryption by a quantum computer.

Investment in quantum computing has accelerated sharply of late, reaching $30 billion in total in the public sector alone, according to figures released today by the World Economic Forum. A report from that organization said that, beyond cryptography, the power of quantum computing is likely to create huge gains in complex modeling processes — e.g., pharmaceutical design and materials science — as well as major sensing advancements in areas like medical imaging technology, natural resource exploration and mapping, and navigation.

QuEverywhere is available as of today, and is priced on a [SaaS](https://www.infoworld.com/article/3226386/what-is-saas-software-as-a-service-defined.html) model, though specific dollar figures were not released. The product can be purchased from QuSecure’s partners or from the company directly.





## Tags:


### Autogenerated tags:
[[qusecure]]
