# RSA: Intel reference design to accelerate SASE, other security tasks
## Intel says its reference design will enable accelerator cards to offload security processing from server CPUs without requiring more rack space.
## Information:

+ Link: https://www.networkworld.com/article/3663370/rsa-intel-reference-design-to-accelerate-sase-other-security-tasks.html
+ Source: CSO
+ Author: Andy Patrizio
+ Date published: 08 June 2022, 15:51
+ Date scraped: 15 June 2022, 14:09

## Article:
![Main article image](https://images.idgesg.net/images/idge/imported/imageapi/2022/03/16/09/sale_311646_article_image-100922035-large.jpg?auto=webp&quality=85,70)


Intel has introduced a reference design it says can enable accelerator cards for security workloads including secure access service edge (SASE), IPsec, and SSL/TLS.

The upside of the server cards would be offloading some application processing from CPUs, effectively increasing server performance without requiring additional server rack space, according to Intel.

The announcement was made at RSA Conference 2022, and details were published in [a blog post by Bob Ghaffardi, Intel vice president and general manager of the Enterprise and Cloud Division](https://community.intel.com/t5/Blogs/Tech-Innovation/Edge-5G/The-Intel-NetSec-Accelerator-Reference-Design-Enables-Scale-and/post/1387805).

With the Intel NetSec Accelerator Reference Design, third-party manufacturers can build PCI Express (PCIe)-based cards featuring Intel QuickAssist Technology acceleration and Intel-based server functionality, including orchestration and management.

Intel says it has multiple partners currently developing products based on the reference design, and two displayed them at RSA: Silicom showed its AONIC Card, and F5 showed a security application running on hardware based on the design.

“We created the design to help edge network and security solution providers quickly build, deploy, and scale networking and security functions within [SASE](https://www.networkworld.com/article/3574014/what-is-sase-a-cloud-service-that-marries-sd-wan-with-security.html) stacks without adding rack space,” Ghaffardi wrote. “This reference design enables a PCIe add-in card to deliver the capabilities of a server within a small, power-efficient package. Vendors can integrate SASE functions in this card to maximize the capabilities of their server infrastructure at the edge.”

At heart of the card is an Intel Atom processor along with an Intel [Ethernet](https://www.networkworld.com/article/3657734/what-is-ethernet.html) Network Adapter E810. Together, the two chips provide low-latency networking and security while offloading the processing from the CPU. The card can accelerate processor-intensive uses such as IPsec, SSL/TLS, firewall, SASE and analytics workloads, according to Ghaffardi's blog.

Because the design is based on Intel Architecture, developers can port x86 applications to the card, running them with little to no change required. Its support for SASE [allows software-defined wide-area network (SD-WAN)](https://www.networkworld.com/article/3031279/sd-wan-what-it-is-and-why-you-ll-use-it-one-day.html) and security functionalities to be converged into virtualized or containerized services.

Intel said it expects cards built on the design to be delivered in a standard format that fits existing PCIe slots within host servers, and they won’t require additional space to realize more functionality and performance.





## Tags:


### Autogenerated tags:
[[sase]] [[ghaffardi]] [[pcie]]
