# 5 Data Encryption Challenges and How to Address Them
## As the pace of revolutionary tech rollouts continues to build momentum, tech pundits are once again debating a possible paradigm shift.
## Information:

+ Link: https://cybersecuritynews.com/?p=56414
+ Source: Cyber Security News
+ Author: Sweta Bose
+ Date published: 06 February 2024, 11:32
+ Date scraped: 08 February 2024, 20:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjx0NvD8XRWx9SoxuSTbOwsy3yDBZcw_F2OfAdSKu_DOTG03dUWQMowu5KYYC_nUAmX27rE8vo6TAgXB9q5BJ73hlLkByGMcqkF1KEuT26pFAD3Z26-5wKAzyXTMl3x6yTInW3LirXNxxMO269EmO-c84nAfhRiabIgPcDQCLG0qLJZNP2II7EWLV8kB67p/s16000/20190402205647-GettyImages-943065362.webp)


As the pace of revolutionary tech rollouts continues to build momentum, tech pundits are once again debating a possible paradigm shift regarding [the impa](https://www.biometricupdate.com/202401/prepare-now-for-when-quantum-computers-break-biometric-encryption-trust-stamp)[c](https://www.biometricupdate.com/202401/prepare-now-for-when-quantum-computers-break-biometric-encryption-trust-stamp)[t of quantum computing](https://www.biometricupdate.com/202401/prepare-now-for-when-quantum-computers-break-biometric-encryption-trust-stamp) on encryption. However, before dealing with the threat of quantum computers, it is important to address present concerns. Many organizations are still having difficulties taking advantage of existing encryption technologies.


Encryption may sound like a solution organizations can implement easily without additional considerations. In reality, there are stumbling blocks that can upend the benefits of such technologies. Some of these hurdles are quite obvious, but many tend to be overlooked or downplayed.


**Performance and the Need for Optimized Balance**
--------------------------------------------------


The foremost challenge in implementing encryption is arguably the performance impact. Simply put, data encryption necessarily entails taking on more processes and costs. It does not end with the encryption, as the data has to be decrypted when it needs to be accessed. These processes can take time and reduce operational efficiency, especially when there are large amounts of data involved. Depending on the [data encryption algorithms or methods](https://www.imperva.com/learn/data-security/data-encryption/) used, the computational overhead for the associated processes can reach levels that may be difficult to ignore. Encrypting and decrypting data can slow operations down, particularly in organizations that are still using relatively old hardware. 


Full-disk encryption is not always necessary. Some data do not require encryption, so it’s a good idea to carefully evaluate the data in your organization and organize their movement and storage. In cases where encryption is deemed a necessity, it is important to use suitable encryption methods. Also, it helps to undertake encryption optimization steps like using hardware acceleration, optimizing the length of decryption keys, choosing the right mode of operation (for example: AES-GCM or AES-CCM), and using optimized cryptographic libraries and precompute values. Additionally, avoid redundant cryptographic operations and excessive key changes.


Moreover, it is crucial to emphasize that encryption should always serve a purpose. Do not implement encryption with weak algorithms just for the sake of having data encrypted. Using weak encryption algorithms or those that are known to have vulnerabilities increases computing overhead without providing any benefit. It creates performance issues without the expected security advantage.


**Organized Encryption and Decryption Processes**
-------------------------------------------------


Healthy organizations inevitably grow. In the process, they make key management for encryption increasingly more complex. As an organization expands, the number of processes and people involved correspondingly increases. Also, the use cases grow in number and diversity. Things get even more complex with cloud computing getting in the picture. Organizations need a well-organized system for managing encryption-decryption keys.


OWASP has a handy [key management cheat sheet](https://cheatsheetseries.owasp.org/cheatsheets/Key_Management_Cheat_Sheet.html) that can provide useful guidance and insights on how to ensure efficient key management. However, it is important to create a key management system that is specifically optimized for the operations of an organization. 


Organizations should carefully study their data-related operations and come up with efficient methods for dealing with key storage, rotation, and access. In some cases, it helps to make use of hardware security modules (HSMs). These are devices or appliances that provide an additional layer of hardware-based protection for the encryption-decryption keys.


**Upgrading and Maintaining Legacy Systems**
--------------------------------------------


A global survey conducted by IDG Research shows that around [two-thirds of businesses](https://www.tataworld.com/news/openinside/mainframe-and-legacy-modernisation-top-priority-tcs-survey) still use legacy applications in their core business operations. This is unfortunate, given the increasing prevalence of cyber attacks that target inherent vulnerabilities in enterprise IT. 


Legacy systems are usually less capable of addressing cyber threats. In many cases, they are not compatible with modern solutions for mitigating – let alone preventing – persistently aggressive cyber attacks. In particular, many legacy systems do not support modern encryption methods.


Hardware and software upgrades are costly. They also bring with them the need to provide employee training on using new systems. It is understandable why most enterprises tend to defer system upgrades and make do with what is presently available. To address this problem, organizations need to look for encryption systems that can effectively work with their legacy systems. However, in many cases, it is preferable to invest in IT upgrades, since the benefits go beyond data encryption.


**Complying with Data Privacy Requirements**
--------------------------------------------


GDPR, HIPAA, PCI DSS, and other laws and regulations have specific requirements when it comes to data security. While most regulations do not demand the implementation of specific encryption methods or algorithms, organizations may overlook some of their requirements despite being liberal with implementations of data encryption.


For example, an online store with an automated customer care system may fail to encrypt the personal information submitted by customers who have not made any purchases in the store yet. These are prospective customers who are simply making inquiries, so the business may not consider them as customers yet. If the online store fails to encrypt the personal information submitted by a prospective customer and the personal information is made public or disclosed to non-parties, this can be a violation of GDPR’s Article 32 (Data Security and Integrity) and can put the business in legal peril.


To avoid situations like this, organizations should always take regulatory requirements into account in their data management routines. Likewise, it is vital to keep up to date with the latest regulations or laws in data management.


**Sensible Cybersecurity Norms and Required Practices**
-------------------------------------------------------


People are still the weakest link in the cybersecurity chain. It is still difficult to make everyone in an organization abide by cybersecurity best practices. Many continue to use weak passwords and avoid employing multi-factor authentication. The cavalier attitude towards security processes continues to be a problem among organizations.


To address this challenge, it is high time for organizations to establish an empowering cybersecurity culture in the workplace. When it comes to data encryption, specifically the handling of the encryption and decryption keys, it is important to make sure everyone thoroughly understands the processes and the importance of the steps they take.


It is not enough that [they can cite best practices](https://cybersecuritynews.com/protecting-ssl-tls-certificates/) for protecting SSL/TLS keys, for example. They should know why they need to do them. It is important to become active and knowledgeable participants in the security strategy of an organization, even in data encryption, which tends to be relegated to those considered to be technically proficient. 


**Decoding the Challenges**
---------------------------


The data encryption challenges encountered in 2024 are largely the same as those in previous years. The stakes and use cases might have evolved, but the big picture hasn’t changed – and yet, many organizations continue to struggle. The use of legacy systems that are incompatible with modern security solutions and human cybersecurity weaknesses are particularly notable. Addressing these challenges may not be a walkover, but they are resolvable with the right tools, knowledge, and attitude.





## Tags:


### Autogenerated tags:
[[cybersecurity]]
