# Multiple AudioCodes Desk Phone and Zoom Zero Touch Flaws Enable Remote Attacks
## Several vulnerabilities were discovered in Zoom’s Zero Touch Provisioning (ZTP) that allows threat actors to gain full remote administration of the devices resulting in activities like eavesdropping, pivoting through devices, and building a botnet with compromised devices.
## Information:

+ Link: https://cybersecuritynews.com/?p=35556
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 15 August 2023, 07:11
+ Date scraped: 15 August 2023, 07:37

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhR5tVZa50DMX3Jy_vOmdo1uxGJPRQjJWXn1CKXK1ozOJvnhSDmGTJRjnbpt3I0KqSNWd0l0OB-IM6-F4EQDVPw-3j-nhCy26UO0XKjgi0PGRFC0W4TrZwFgVhH0WaFbEfd5aJ3XTdOB4rQC3l88hNbVS8eDBZdugfqOP-tqDgbxxfaLS7GTywB9B3f8VE8/s16000/Zoom%20Zero%20Touch%20Flaws%20Enable%20Remote%20Attacks.webp)


As per reports, Several vulnerabilities were discovered in Zoom’s Zero Touch Provisioning (ZTP) that allows threat actors to gain full remote administration of the devices resulting in activities like eavesdropping, pivoting through devices, and building a botnet with compromised devices.


In addition to this, threat actors can also reconstruct the cryptographic routines with AudioCodes devices to decrypt sensitive information like passwords and configurations that are available due to improper authentication.





/\* custom css \*/
.tdi\_3.td-a-rec{
 text-align: center;
 }.tdi\_3 .td-element-style{
 z-index: -1;
 }.tdi\_3.td-a-rec-img{
 text-align: left;
 }.tdi\_3.td-a-rec-img img{
 margin: 0 auto 0 0;
 }@media (max-width: 767px) {
 .tdi\_3.td-a-rec-img {
 text-align: center;
 }
 }



## Working on Zoom’s Zero Touch Provisioning


ZTP feature is used for the automatic provisioning of certified hardware like VoIP devices to ensure that they receive all the necessary information for operations. This information includes server addresses, account information, and firmware updates.


Zoom’s ZTP supports a wide range of devices and is one of the most reliable providers for integrating traditional devices. An IT administrator can use ZTP to assign a device to a user and set configurations which are then queried by the device at Factory settings.


![](https://lh5.googleusercontent.com/bHbRUD5U1vHE8UUTz8coPWK_ytOf-2uWKYYd_WCinT9-pjWvN4umz3z9PrFu19JSI0etxU4k7p16g817Rw5ZJNbRALBwJkthBhaAGuZpsVw_YsYBN9_KqkSvXD4icraPlRjNYllJ15oGIjRVRfH_B4g)*Zoom ZTP Working (Source: SySS)*


ZTP uses a certificate-based authentication between the device and the ZTP which is also known as mutual TLS. This means that ZTP verifies the exact match of the MAC address with the requested configuration making it hard for threat actors to extract device certificates but there is no second authentication like one-time password or others.



![](https://lh4.googleusercontent.com/3h1pn8L6Dk5XHT6dmUboOom-R1Yq4JxJFQvkjg6IwaLHWuygYal2ueDnuf6lNEJSEcqXy3GYFhOuRmyMskP5dNjfbDzB_vPQi_l_qhXZwqsC7iuKojmkylNNXo6DN-k6SsDYJfNp5RfBrudjTMixZXQ)*Assignment of a desk phone (Source: SySS Tech Blog)*


Assigning a device is done through Zoom Phone’s administrative panel by adding MAC addresses. This means that a threat actor with necessary licences for using Zoom Phone can access arbitrary MAC addresses and put them in a self-defined configuration template.


The attacker controls a malicious C2 server and stores the malicious firmware package. The server is made to request by adding the device on the Zoom account that downloads the firmware package with an evil configuration resulting in a complete takeover of the device.




Document


 @import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');
 @import url('https://fonts.googleapis.com/css2?family=Poppins&family=Roboto&display=swap');
 \*{
 margin: 0; padding: 0;
 text-decoration: none;
 }
 .container{
 font-family: roboto, sans-serif;
 width: 90%;
 border: 1px solid lightgrey;
 padding: 20px;
 background: linear-gradient(2deg,#f1f2f3 100%,#e7eef2 100%);
 margin: 20px auto ;
 border-radius: 40px 10px;
 box-shadow: 5px 5px 5px #e2ebff;
 }
 .container:hover{
 box-shadow: 10px 10px 5px #e2ebff;

 }
 .container .title{
 color: #015689;
 font-size: 22px;
 font-weight: bolder;
 }
 .container .title{
 text-shadow: 1px 1px 1px lightgrey;
 }
 .container .title:after {
 width: 50px;
 height: 2px;
 content: ' ';
 position: absolute;
 background-color: #015689;
 margin: 20px 8px;
 }
 .container h2{
 line-height: 40px;
 margin: 2px 0;
 font-weight: bolder;
 }
 .container a{
 
 color: #170d51;
 }
 .container p{
 font-size: 18px;
 line-height: 30px;
 
 }
 
 .container button{
 padding: 15px;
 background-color: #4469f5;
 border-radius: 10px;
 border: none;
 background-color: #00456e ;
 font-size: 16px;
 font-weight: bold;
 margin-top: 5px;
 }
 .container button:hover{
 box-shadow: 1px 1px 15px #015689;
 transition: all 0.2S linear;
 
 }
 .container button a{
 color: white;
 }
 hr{
 /\* display: none; \*/
 }

 

FREE Webinar
## [API Security Fundamentals: How to Discover, Scan and Protect APIs](#)


API Attacks Have Increased by 400% – Understand the Fundamentals of Protecting Your APIs with a Positive Security Model – Register Now for a Free Webinar


  [Register Now](https://www.indusface.com/api-security-fundamentals.php?utm_source=gbhackers-blog-cta&utm_medium=referrals&utm_campaign=2023-aug-webinar-api-security-fundamentals) 


A [complete report](https://blog.syss.com/posts/zero-touch-pwn/#exploit-chain) has been published about this threat vector and other information by the SySS package and was presented at the [BlackHat USA 2023](https://www.blackhat.com/us-23/briefings/schedule/#zero-touch-pwn-abusing-zooms-zero-touch-provisioning-for-remote-attacks-on-desk-phones-31341).


## Vulnerability Summary




|  |  |  |  |
| --- | --- | --- | --- |
| **Product** | **Vulnerability Type** | **SySS ID** | **CVE ID** |
| AudioCodes IP-Phones (UC) | Use of Hard-coded Cryptographic Key (CWE-321) | [SYSS-2022-052](https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2022-052.txt) | [CVE-2023-22957](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-22957) |
| AudioCodes Provisioning Service | Exposure of Sensitive Information to an Unauthorized Actor (CWE-200) | [SYSS-2022-053](https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2022-053.txt) | N.A. |
| AudioCodes IP-Phones (UC) | Use of Hard-coded Cryptographic Key (CWE-321) | [SYSS-2022-054](https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2022-054.txt) | [CVE-2023-22956](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-22956) |
| AudioCodes IP-Phones (UC) | Missing Immutable Root of Trust in Hardware (CWE-1326) | [SYSS-2022-055](https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2022-055.txt) | [CVE-2023-22955](https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2023-22955) |
| Zoom Phone System Management | Unverified Ownership (CWE-283) | [SYSS-2022-056](https://www.syss.de/fileadmin/dokumente/Publikationen/Advisories/SYSS-2022-056.txt) | N.A. |








## Tags:
***CVE's***: CVE-2023-22955 CVE-2023-22956 CVE-2023-22957

### Autogenerated tags:
[[ztp]] [[syss]] [[ip-phones]]
