# Wireshark 4.0.7 Released – What’s New!
## Wireshark, an industry-leading network packet analyzer, has released version 4.0.7, which includes defect fixes, protocol updates, and a few enhancements. I
## Information:

+ Link: https://cybersecuritynews.com/?p=27128
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 13 July 2023, 06:35
+ Date scraped: 13 July 2023, 07:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhSc9k6fr4QxTmy3uty0UJlPXik-QhvsOo9vIL4Ob3o_ecz8kQoEcyOKhIuM5kdixJIoCneOCvfi34iVwFVUAUlPky70I-Xhi70b4oy3NDNRWxQbtKTH3SdyMMDhtnF4QgwpRwCUS8ijvw7h7HIOYWdGr2LEk0GzLGH9wghDZxNG6GnH0ys6ME3jqQ1OB9x/s16000/Wireshark%204.0.7.webp)


[Wireshark](https://cybersecuritynews.com/wireshark/), an industry-leading network packet analyzer, has released version 4.0.7, which includes defect fixes, protocol updates, and a few enhancements. It continues to be an extensively utilized and popular network protocol analysis tool.


Wireshark, a packet analyzer, is mainly utilized by network administrators and security analysts to analyze network packets and resolve issues, making it a valuable tool for organizations across various industries.




> [What Is Wireshark ? How to Use It For Network Sniffing?](https://cybersecuritynews.com/wireshark/)


Learn more about Wireshark


Network administrators and security experts use the packet analyzer Wireshark to investigate network traffic and identify problems, making it an invaluable resource for businesses of all stripes.







## **Wireshark 4.0.7 –** **Vulnerabilities Addressed:**


We have listed the fixed security issues below:-


* [wnpa-sec-2023-21](https://www.wireshark.org/security/wnpa-sec-2023-21) Kafka dissector crash. [Issue 19105](https://gitlab.com/wireshark/wireshark/-/issues/19105).
* [wnpa-sec-2023-22](https://www.wireshark.org/security/wnpa-sec-2023-22) iSCSI dissector crash. [Issue 19164](https://gitlab.com/wireshark/wireshark/-/issues/19164).


## **Bugs Patched:**


* Crash when (re)loading a capture file after renaming a dfilter macro. [Issue 13753](https://gitlab.com/wireshark/wireshark/-/issues/13753).
* Moving a column deselects selected packet and moves to beginning of packet list. [Issue 16251](https://gitlab.com/wireshark/wireshark/-/issues/16251).
* If you set the default interface in the preferences, it doesn’t work with TShark. [Issue 16593](https://gitlab.com/wireshark/wireshark/-/issues/16593).
* Severe performance issues in Follow → Save As raw workflow. [Issue 17313](https://gitlab.com/wireshark/wireshark/-/issues/17313).
* TShark doesn’t support the tab character as an aggregator character in \”-T fields\” [Issue 18002](https://gitlab.com/wireshark/wireshark/-/issues/18002).
* On Windows clicking on a link in the ‘Software Update’ window launches, now unsupported, MS Internet Explorer. [Issue 18488](https://gitlab.com/wireshark/wireshark/-/issues/18488).
* Wireshark 4.x.x on Win10-x64 crashes after saving a file with a name already in use. [Issue 18679](https://gitlab.com/wireshark/wireshark/-/issues/18679).
* NAS-5GS Operator-defined Access Category: Multiple Criteria values not displayed in dissected packet display. [Issue 18941](https://gitlab.com/wireshark/wireshark/-/issues/18941).
* Server Hello Packet Invisible – during 802.1x Authentication- from Wireshark App Version 4.0.3 (v4.0.3-0-gc552f74cdc23) & above. [Issue 19071](https://gitlab.com/wireshark/wireshark/-/issues/19071).
* TShark reassembled data is incomplete/truncated. [Issue 19107](https://gitlab.com/wireshark/wireshark/-/issues/19107).
* CQL protocol parsing issues with `Result` frames from open source Cassandra. [Issue 19119](https://gitlab.com/wireshark/wireshark/-/issues/19119).
* TLS 1.3 second Key Update doesn’t work. [Issue 19120](https://gitlab.com/wireshark/wireshark/-/issues/19120).
* HTTP2 dissector reports an assertion error on large data frames. [Issue 19121](https://gitlab.com/wireshark/wireshark/-/issues/19121).
* epan: Single letter hostnames aren’t displayed correctly. [Issue 19137](https://gitlab.com/wireshark/wireshark/-/issues/19137).
* BLF: CAN-FD-Message format is missing a field. [Issue 19146](https://gitlab.com/wireshark/wireshark/-/issues/19146).
* BLF: last parameter of LIN-Message is not mandatory (BUGFIX) [Issue 19147](https://gitlab.com/wireshark/wireshark/-/issues/19147).
* PPP IPv6CP: Incorrect payload length warning. [Issue 19149](https://gitlab.com/wireshark/wireshark/-/issues/19149).
* INSTALL file needs to be updated for Debian. [Issue 19167](https://gitlab.com/wireshark/wireshark/-/issues/19167).
* Some RTP streams make Wireshark crash when trying to play stream. [Is](https://gitlab.com/wireshark/wireshark/-/issues/19170)[sue 19170](https://gitlab.com/wireshark/wireshark/-/issues/19170).
* Wrong ordering in OpenFlow 1.0 Datapath unique ID. [Issue 19172](https://gitlab.com/wireshark/wireshark/-/issues/19172).
* Incorrect mask in RTCP slice picture ID. [Issue 19182](https://gitlab.com/wireshark/wireshark/-/issues/19182).
* Dissection error in AMQP 1.0. [Issue 19191](https://gitlab.com/wireshark/wireshark/-/issues/19191).


## **Updated Protocol Support**


9P, AMQP, BGP, CQL, DHCPFO, EAP, GlusterFS, GSM MAP, HTTP2, iSCSI, Kafka, Kerberos, NAN, NAS-5GS, OCP.1, OpenFlow 1.0, PDCP-NR, PEAP, PPPoE, RSL, RTCP, rtnetlink, and XMPP.


For more information on the release, visit the Wireshark 4.0.7 r[elease notes](https://www.wireshark.org/docs/relnotes/wireshark-4.0.7.html) page.






## Tags:


### Autogenerated tags:
[[wireshark]] [[tshark]]
