# A community health provider in Vermont and an addiction rehab organization in Pennsylvania fall prey to BlackByte
## Two medical entities appear to have recently fallen prey to attacks using BlackByte&#8217;s ransomware, and both entities have now had some of their data...
## Information:

+ Link: https://www.databreaches.net/a-community-health-provider-in-vermont-and-an-addiction-rehab-organization-in-pennsylvania-fall-prey-to-blackbyte/
+ Source: DataBreaches
+ Author: Dissent
+ Date published: 08 July 2022, 09:58
+ Date scraped: 12 December 2023, 09:55

## Article:
![Main article image](https://www.databreaches.net/wp-content/uploads/whatsyourexcuse-2.jpg)


Two medical entities appear to have recently fallen prey to attacks using BlackByte’s ransomware, and both entities have now had some of their data leaked on BlackByte’s dedicated leak site.


![](https://www.databreaches.net/wp-content/uploads/lamoille_prior.png)*Lamoille Health Partners listing on BlackByte. Image: DataBreaches.net*


### Lamoille Health Partners


Lamoille Health Partners in Vermont serves the Lamoille County community’s healthcare needs. As such, they provide a range of comprehensive services that include dentistry, family medicine, pediatrics, addiction treatment, mail-order pharmacy services, and mental health and substance use treatment.


In its data leak, BlackByte included two folders, each with a different employee’s name as the folder name. One folder contained mostly accounting-related or billing-relating files but there was still some protected health information there where patient names were listed in tracking billings. There were also a number of files with employee data, especially related to payroll/wages.


The other folder contained a lot more sensitive information on patients. As one example, DataBreaches saw letters that provided the patients’ names, dates of birth, SSN, and their medical issues/disability and need for specified accommodations or services.


![](https://www.databreaches.net/wp-content/uploads/ToWhom1.jpg)*Leaked correspondence revealed protected health information. In this example, the patient’s first and last name, date of birth, and specific diagnoses have been redacted by DataBreaches.net.*


There is no notice on Lamoille’s website, nor on the Vermont Attorney General’s website for breach reports. DataBreaches emailed Lamoille yesterday to ask whether they had made any notifications and whether patient care had been impacted by the breach.  No reply has been received.


### Gateway Rehab


![](https://www.databreaches.net/wp-content/uploads/Gateway_listing.jpg)*Gateway Rehab listing on BlackByte provided access to more than 4 GB of their files. Image: DataBreaches.net*


Gateway Rehab provides services in western Pennsylvania and Ohio.  BlackByte leaked more than 4 GB of their data already. The leaked data contain numerous internal business documents, including accounts receivable and payable. There are also spread sheets with information on named patients, and hundreds of older files that include personal and sensitive information on people enrolled in community treatment programs.


Some forms that DataBreaches found in the leak are state of Pennsylvania “Extraordinary Occurrence” report forms that identify people who have absconded from a community treatment program run by Gateway Rehab. These reports appear to be from 2001-2005 and include sensitive and personal information on people such as their arrest records and history including behavioral issues and substance-related issues. Other old reports included re-classification recommendations.


![](https://www.databreaches.net/wp-content/uploads/EO.jpg)*An “extraodinary occurrence” report from 2001 describing an individual who absconded from the program. Redacted by DataBreaches.net*


DataBreaches noted that there were hundreds of old files on named individuals with “extraordinary occurrence” reports or program termination reports.


![](https://www.databreaches.net/wp-content/uploads/Reckassification.jpg)*A re-classification recommendation from 2002. In this case the top of the form named one individual, but the report was actually about a different individual. Redacted by DataBreaches.net*.


[Gateway Rehab’s website](https://www.gatewayrehab.org/) has links for privacy, HIPAA, and data security that link externally to [Treatspace](https://www.treatspace.com/).


[Treatspace’s data security policy page](https://www.treatspace.com/company/security-and-terms/security-policy/) does not appear to have been updated since March, 2015. Their policy states, in part:



> All users of the system have a login / password that limits access to only their specific user data or organizational-level data.  All data submitted on the website is sent / received using Secure Socket Layer (SSL) technology to connect to the Treatspace servers. Specifically, upon submission of the form data, Transmit Layer Security (TLS) using an Advanced Encryption Standard (AES) connection is used to transmit the data to Treatspace servers.  When the data arrives, the user sending the data is authenticated to ensure they are authorized to submit the data based on their login credentials which are granted by Treatspace when the account is established.  All data at rest is encrypted.  All access to data is logged.  All data is backed-up and encrypted on a regular basis.
> 
> 
> To protect any data you store on our servers, we also regularly monitor our system for possible vulnerabilities and attacks.
> 
> 


DataBreaches sent an inquiry to Treatspace yesterday asking if they were responsible for the security of all these files or if Gateway Rehab was. No reply has been received as yet.


### What Next?


BlackByte reportedly follows the double extortion model. They have been around since mid-2021, and [Palo Alto Networks,](https://unit42.paloaltonetworks.com/blackbyte-ransomware/) [Cisco Talos](https://blog.talosintelligence.com/2022/05/the-blackbyte-ransomware-group-is.html), and [Juniper Networks](https://blogs.juniper.net/en-us/threat-labs-knowledge-base/blackbyte-ransomware) are among the firms who have recently published reports and analyses.


Based on their past behavior, it is likely that when the countdown clocks run out on Lamoille Health Partners and Gateway Rehab in about 18 days, more data will be leaked. DataBreaches reached out to BlackByte to ask them to confirm that that is still their current model, and they replied:



> As you already understand, every company must protect its own data from outside parties, especially companies like these 2 that you indicated. A company that does nothing to protect the data, and even more, the data of its customers, cannot be called non-profit. What for are they getting money for then? Our company conducted this audit and offered a favorable price for correcting their mistakes. As it turned out, they would prefer to receive a fine from the state for not being able to protect confidential data.
> 
> 
> and ofc when the timer will end another pack of their data will be posted.
> 
> 


DataBreaches will not speculate about whether either state would actually fine these entities, but HHS automatically investigates all reports, so if and when these incidents are reported to HHS, HHS should investigate. Hopefully, HHS investigators will take a close look at Gateway Rehab’s security to determine if it complies with the Security Rule.


**Update of July 11:** [WCAX](https://www.wcax.com/2022/07/11/security-breach-vt-health-center-may-have-exposed-patient-information/) got a statement from Lamoille. As part of their coverage, they report:



> As of right now, it’s still unclear whether or not Lamoille Health’s servers were purposely attacked or if the suspicious activity was the result of something like malware or a virus.
> 
> 
> May admits they haven’t told patients about the breach and he doesn’t know when they will.
> 
> 
> “Once we reach that point where we feel like we have more information to share, we will of course do that at that time along with any state or federal requirements of reporting these types of breaches,” May said.
> 
> 
> 



It’s a somewhat confusing set of statements given that BlackByte claimed them as a target/victim and has already been leaking sensitive data that certainly appears to be from Lamoille. To delay in alerting patients when data is already leaking seems …. inadvisable in DataBreaches’ opinion.


**Update of August 17:** The Lamoille incident was reported to HHS as impacting 59,381 patients. On August 11, Lamoille updated [their notification](https://ago.vermont.gov/blog/2022/08/11/lamoille-health-partners-data-breach-notice-to-consumers/) and the notice on their web site now reads, in part:


> 
> Lamoille Health Partners is notifying all involved individuals for whom it has a valid mailing address and has arranged for complimentary identity protection and credit monitoring services for those individuals whose Social Security numbers were potentially involved.
> 


In the meantime, the original BlackByte leak site appears to have shuttered and the new BlackByte site does not list any of the earlier victims. So what happened to all the data BlackByte exfiltrated from Lamoille?  Where is it, and what, if anything has been done with it?



## Tags:


### Autogenerated tags:
[[lamoille]] [[blackbyte]] [[databreaches]] [[rehab]] [[treatspace]] [[databreaches.net]] [[hhs]] [[website]] [[occurrence”]]
