# Cloudflare Customer Targeted in Record HTTPS DDoS Attack
## Cloudflare says it mitigated a 15.3 million request-per-second (RPS) distributed denial of service (DDoS) attack carried out over HTTPS.
## Information:

+ Link: https://www.securityweek.com/cloudflare-customer-targeted-record-https-ddos-attack
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 28 April 2022, 15:29
+ Date scraped: 28 April 2022, 15:29

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Peaking at 15.3 million request-per-second (RPS), this was not the largest application-layer DDoS attack ever recorded, but Cloudflare says it was the [largest to be carried out over HTTPS.](https://blog.cloudflare.com/15m-rps-ddos-attack/)


In August 2021, Cloudflare announced it had mitigated a [17.2 million RPS DDoS attack](https://www.securityweek.com/cloudflare-mitigated-record-setting-172-million-rps-ddos-attack). Shortly after, the company said it observed the Mēris botnet launching a [21.8 million RPS attack](https://www.securityweek.com/m%C4%93ris-botnet-flexes-muscles-22-million-rps-ddos-attack).


The new assault, observed by Cloudflare earlier this month, stands out because HTTPS DDoS attacks require significantly higher computational resources due to the costs associated with establishing a secure TLS encrypted connection.


“Therefore it costs the attacker more to launch the attack, and for the victim to mitigate it. We’ve seen very large attacks in the past over (unencrypted) HTTP, but this attack stands out because of the resources it required at its scale,” Cloudflare notes.


The assault targeted an organization operating a crypto launchpad, lasted roughly 15 seconds, and was launched by using a botnet of roughly 6,000 unique bots located in 112 countries. The largest amount of attack traffic came from Indonesia (15%).


“What’s interesting is that the attack mostly came from data centers. We’re seeing a big move from residential network Internet Service Providers (ISPs) to cloud compute ISPs,” Cloudflare says.


The security services provider says it identified over 1,300 different networks that the attack traffic originated from, with top networks including Hetzner from Germany (Autonomous System Number 24940), Azteca Comunicaciones Colombia (ASN 262186), and OVH in France (ASN 16276).





 


## Tags:
***email-adresses***: peaking@15.3

### Autogenerated tags:
[[cloudflare]] [[ddos]]
