# Google Cloud Unveils New AI-Powered Security Capabilities
## Google adds AI to cloud security features and announces several other security capabilities for cloud customers.
## Information:

+ Link: https://www.securityweek.com/google-cloud-unveils-new-ai-powered-security-capabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 11 April 2024, 09:45
+ Date scraped: 11 April 2024, 10:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Google on Tuesday announced a series of new security features for its cloud customers, including new AI capabilities and Chrome Enterprise Premium.**


The most significant addition to the internet giant’s capabilities is [Gemini for Google Cloud](https://cloud.google.com/blog/products/ai-machine-learning/gemini-for-google-cloud-is-here), which delivers AI-powered assistance across multiple cloud services and security features available for Google’s enterprise customers.


These include a new assisted investigation capability that provides analysis with recommended actions and allows users to ask for the latest threat intelligence from Mandiant. In addition, users get a conversational search across Mandiant’s threat intelligence repository, and the ability to search for threats using natural language.

Other AI-powered capabilities coming to Google Cloud customers include recommendations on IAM posture, assistance with encryption key creation, and recommended options on confidential computing protections for sensitive workloads.

For developers, Google has a code assistant to help them build applications faster and allow them to adopt AI assistance at scale. Called [Gemini Code Assist](https://cloud.google.com/blog/products/ai-machine-learning/gemini-for-google-cloud-is-here), the capability provides full codebase awareness, supports code customization, and sources data from a broad range of partners.


“We designed Gemini for Google Cloud specifically to handle the demanding needs of large-scale businesses. It integrates with your current systems, boosting efficiency immediately. We know data security and privacy are crucial for enterprises, which is why Gemini offers strong protection as a core feature,” Google says.

The [Advanced API Security](https://cloud.google.com/blog/products/api-management/track-down-shadow-apis-with-apigee) feature is now available in preview for customers looking to identify misconfigured APIs and eliminate potential risks. 


Organizations relying on Google Cloud for [confidential computing](https://cloud.google.com/blog/products/identity-security/expanding-confidential-computing-for-ai-workloads-next24) benefit from expanded hardware options (Intel TDX, AMD SEV-SNP, and NVIDIA H100 Tensor Core GPUs) and support for live data migrations.  


The internet giant also announced the general availability of [Chrome Enterprise Premium](https://cloud.google.com/blog/products/identity-security/introducing-chrome-enterprise-premium), which brings endpoint security to its web browser.


Building on the core capabilities of Chrome Enterprise, the new browser offering includes policy enforcement, support for security insights and reporting, access controls, and threat and data protections.

Additionally, Google [launched](https://www.googlecloudcommunity.com/gc/Community-Blog/Turn-Intelligence-into-Action-with-Google-Chronicle-Security/ba-p/729375) applied threat intelligence to help security teams uncover more threats. It also announced the general availability of a new [cloud risk-management](https://cloud.google.com/blog/products/identity-security/introducing-security-command-center-enterprise) solution, and [introduced](https://cloud.google.com/blog/products/identity-security/make-google-part-of-your-security-team-supercharged-by-ai-next24/) a series of new security features across IAM, network, and data security.


**Related:**[Google Cloud Now Offering $1 Million Cryptomining Protection](https://www.securityweek.com/google-cloud-now-offering-1-million-cryptomining-protection/)


**Related:** [Google Cloud Users Can Now Automate TLS Certificate Lifecycle](https://www.securityweek.com/google-cloud-users-can-now-automate-tls-certificate-lifecycle/)


**Related:** [Google Cloud Platform Vulnerability Led to Stealthy Account Backdoors](https://www.securityweek.com/google-cloud-platform-vulnerability-led-to-stealthy-account-backdoors/)





## Tags:


### Autogenerated tags:
[[google]] [[cloud]]
