# Google Introduces New Capabilities for Cloud Armor Web Security Service
## Google expands Cloud Armor features with adaptive protection, bot defense, new edge security policies, rate limiting, and support for proxy load balancers.
## Information:

+ Link: https://www.securityweek.com/google-introduces-new-capabilities-cloud-armor-web-security-service
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 29 June 2022, 08:14
+ Date scraped: 29 June 2022, 08:14

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Using the same infrastructure and technology that Google relies on to keep its internet-facing resources protected, [Cloud Armor was made generally available in 2019](https://www.securityweek.com/google-launches-new-cloud-security-services) to keep customers' resources safe from DDoS attacks, regardless of whether they are located on-premises or in the cloud.


Today, Google announced the general availability of Cloud Armor features such as per-client rate limiting, bot management with reCAPTCHA Enterprise, and machine learning-based Adaptive Protection.


The new rate limiting feature allows customers to restrict traffic to backend resources based on request volume, thus preventing resource depletion and service disruption. Cloud Armor for TCP/SSL Proxy allows users to also rate-limit at the connection level.


Rate limiting comes with two types of rules, namely throttle – customers can throttle traffic per-client, to a user-configured threshold – and rate\_based\_ban – in addition to rate-limiting requests or connections matching a specific rule, customers can also ban clients for specific periods of time.


Cloud Armor rate limiting can be used to prevent brute-force login attempts or to enforce different rate limits per geography, depending on the number of customers in the region.


Introduced in preview last fall, Bot Management with reCAPTCHA Enterprise protects customers from bot attacks, credential stuffing, inventory hoarding, scraping, and other types of threats.


The capability allows for a more frictionless assessment to be provided (the user is not served a reCAPTCHA challenge as the system performs the assessment), but Cloud Armor users can also choose a more traditional manual challenge, or can combine the two. Thus, visitors may be served a reCAPTCHA challenge if a certain rule is triggered.


Initially introduced in July 2021, Adaptive Protection has been generally available since December 2021, offering detection and mitigation of suspicious Layer 7 traffic in real time.


Today, Google also announced the preview availability of updated preconfigured WAF rules based on OWASP CRS 3.3 – which allow customers to deploy the latest industry standard WAF signatures – and Google-curated network-based threat intelligence, which currently allows users to filter traffic based on bad bots, malicious IPs, public cloud endpoints, and Tor exit nodes.


Also today, Google announced new Cloud Armor capabilities that expand the service’s protection to more types of workloads, namely edge security policies and support for TCP Proxy and SSL Proxy Load Balancers.


The new edge security policies are meant to help filter traffic before being served from Cloud CDN and Media CDN caches, or from Cloud Storage buckets, and also allow users to enforce geography-based access controls, along with security policies at the edge of the Google network. The edge security policies can coexist with backend security policies.


Cloud Armor now also includes support for Google Cloud’s TCP/SSL proxy load balancers, which allow users to use Google’s load balancing infrastructure to serve encrypted workloads that use encrypted (SSL and TLS), non-HTTP traffic. Now, Cloud Armor customers can use these capabilities to block and/or throttle potentially malicious traffic, or to enable per-connection rate limiting.


“With Cloud Armor, your organization can benefit from DDoS protection and WAF. Cloud Armor now helps detect and mitigate attacks against both cache points and backend service workloads, including those load-balanced by External HTTP/S Load Balancer, as well as the TCP and SSL Proxy Load Balancers. And these workloads can run anywhere: on-prem, in colocation data centers, in Google Cloud, and on other cloud platforms,” Google noted.





 


## Tags:


### Autogenerated tags:
[[cloud]] [[google]] [[recaptcha]] [[backend]] [[ssl]]
