# Quarterly Security Patches Released for Splunk Enterprise
## Splunk this week released a new set of quarterly patches, to address multiple vulnerabilities in Splunk Enterprise.
## Information:

+ Link: https://www.securityweek.com/quarterly-security-patches-released-splunk-enterprise
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 17 August 2022, 12:00
+ Date scraped: 17 August 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The most important of the bugs – based on its severity rating – is a high-severity TLS certificate validation issue in the Ingest Actions user interface.


“When using Ingest Actions to configure a destination that resides on Amazon Simple Storage Service (S3) in Splunk Web, TLS certificate validation is not correctly performed and tested for the destination,” Splunk explains in its [advisory](https://www.splunk.com/en_us/product-security/announcements/svd-2022-0801.html).


Tracked as CVE-2022-37437, the security bug only impacts connections between Splunk Enterprise and an Ingest Actions Destination that are made through Splunk Web. Only environments with TLS certificate validation configured are impacted.


According to Splunk, Destinations configured directly in the outputs.conf configuration file are not impacted. Splunk Enterprise versions before 9.0.0 are not affected. The security flaw was resolved in Splunk Enterprise version 9.0.1.


Another vulnerability Splunk addressed this week is CVE-2022-37439, a medium-severity issue that could lead to a crash when indexing a maliciously formed ZIP file using the file monitoring input. The application will crash even after a restart, requiring the manual removal of the malicious file.


The bug impacts Splunk Enterprise and Universal Forwarder releases prior to version 9.0, and it was addressed with the release of versions 8.1.11 and 8.2.7.1 of the application.


Splunk has released [a tool](https://research.splunk.com/application/b237d393-2f57-4531-aad7-ad3c17c8b041/?_gl=1*1agl387*_ga*NDI5MjE3NDAxLjE2NjA3MTM2OTI.*_gid*MTYxNTgyNzUwMC4xNjYwNzEzNjky&_ga=2.2668464.1615827500.1660713692-429217401.1660713692) that allows administrators to identify application crashes resulting from Zip Bomb attacks, helping them discover the malformed ZIP files that caused the crashes. However, it won’t detect the attacks before the crash.


This week, Splunk also resolved an information disclosure issue in Splunk Enterprise, that allows authenticated users to leak data through crafted dashboards. The bug was addressed with the release of Splunk Enterprise versions 8.1.11, 8.2.7.1, and 9.0.1.


Additionally, Splunk announced patches for four third-party component vulnerabilities in Splunk Enterprise and Universal Forwarders. The latest releases of both applications include fixes for one flaw in OpenSSL and three vulnerabilities in libxml2.


Further information on the addressed vulnerabilities can be found on [Splunk’s product security page.](https://www.splunk.com/en_us/product-security.html)





 


## Tags:
***CVE's***: CVE-2022-37439 CVE-2022-37437
***ipv4-adresses***: 8.2.7.1

### Autogenerated tags:
[[splunk]] [[tls]]
