# Scanning Finds Over 3.6 Million Internet-Accessible MySQL Servers
## The Shadowserver Foundation warns of the security risk associated with more than 3.6 million internet-exposed MySQL servers that accept connections on port 3306/TCP.
## Information:

+ Link: https://www.securityweek.com/scanning-finds-over-36-million-internet-accessible-mysql-servers
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 01 June 2022, 09:00
+ Date scraped: 01 June 2022, 09:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


While scanning the internet for accessible MySQL servers, the organization’s researchers identified a total population of roughly 5.4 million IPv4 and IPv6 instances on port 3306/TCP, but say that only two-thirds of these appear to accept a connection.


The researchers performed their scan by issuing a MySQL connection request on port 3306/TCP and discovered that 2.22 million servers in the IPv4 space and 1.42 million in the IPv6 space would respond with a MySQL Server Greeting.


With both TLS and non-TLS responses taken into consideration, the figure shows the total number of MySQL servers that are internet-exposed and which are configured to accept a connection.


[The scanning](https://www.shadowserver.org/news/over-3-6m-exposed-mysql-servers-on-ipv4-and-ipv6/) also revealed that the US is home to the largest number of IPv4 MySQL servers (at more than 740,000), followed by China (just shy of 300,000), and Germany (at roughly 175,000).


The US leads when it comes to accessible IPv6 MySQL servers as well (with close to 461,000 instances) followed by the Netherlands (at over 296,000), and Singapore (at 218,000).


The Shadowserver Foundation’s research is meant to raise awareness on the wide attack surface created by MySQL servers that are potentially unnecessarily exposed to the internet.


“It is unlikely that you need to have your MySQL server allowing for external connections from the Internet (and thus a possible external attack surface),” the team notes.


It’s unclear how many of the identified servers are improperly secured, but administrators are encouraged to filter out traffic to their MySQL instances and make sure proper authentication is implemented.


“While we do not check for the level of access possible or exposure of specific databases, this kind of exposure is a potential attack surface that should be closed,” Shadowserver warns.


Administrators are also advised to keep their MySQL instances updated at all times – Oracle constantly [issues patches](https://www.securityweek.com/oracle-releases-520-new-security-patches-april-2022-cpu) for newly identified vulnerabilities – especially since [attacks targeting MySQL servers](https://www.securityweek.com/ransomware-gang-hits-exposed-mysql-databases) are not uncommon.




 


## Tags:


### Autogenerated tags:
[[mysql]] [[ipv4]] [[ipv6]]
