# Cloudflare Saw Record-Breaking DDoS Attack Peaking at 26 Million Request Per Second
## Cloudflare mitigated a 26 million request per second DDoS attack — the largest HTTPS DDoS attack on record.
## Information:

+ Link: https://thehackernews.com/2022/06/cloudflare-saw-record-breaking-ddos.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 June 2022, 06:16
+ Date scraped: 15 June 2022, 14:02

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgUDA0Z1247j9lbJG66qwK5_BSQB3vOdKkNJkVPdBgH_42a2-cUevq-PisbDqqyJHFnrPsV7KoNRBzx13kmhprqHUAtIeJN_QxHG6p1bE1ST2KrTqEazzY4N0xywdYtew_M9L77sUa0iBRB6gC6qa6kPXsVLKlp4Pi6fUW5AuiX8IOhd2IFYIgsaO0k/s728-e1000/ddos-attack.jpg)


Cloudflare on Tuesday disclosed that it had acted to prevent a record-setting 26 million request per second (RPS) distributed denial-of-service (DDoS) attack last week, making it the largest HTTPS DDoS attack detected to date.


The web performance and security company said the attack was directed against an unnamed customer website using its Free plan and emanated from a "powerful" botnet of 5,067 devices, with each node generating approximately 5,200 RPS at peak.


The botnet is said to have created a flood of more than 212 million HTTPS requests within less than 30 seconds from over 1,500 networks in 121 countries, including Indonesia, the U.S., Brazil, Russia, and India. Roughly 3% of the attack came through Tor nodes.


The attack "originated mostly from Cloud Service Providers as opposed to Residential Internet Service Providers, indicating the use of hijacked virtual machines and powerful servers to generate the attack — as opposed to much weaker Internet of Things (IoT) devices," Cloudflare's Omer Yoachimik [said](https://blog.cloudflare.com/26m-rps-ddos/).


[![Record-Breaking DDoS Attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiesbJVoEfmQK546ikASYB5VxJvzsCLiGSjI6dstrdF_jR-YGL4WBwN5Z5bWhF-MjzR2WJPw8frdpgW_fGJqSNqBXbIdF-k25Fj0JuMX70lLI1-lbXPLw1jyGQo3TyWq4MqxLxz38B7nwxV-UHYUpabi9U0oySoUVF-1PBGa6HmXzlxAGrCf6kxMMWp/s728-e1000/source.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiesbJVoEfmQK546ikASYB5VxJvzsCLiGSjI6dstrdF_jR-YGL4WBwN5Z5bWhF-MjzR2WJPw8frdpgW_fGJqSNqBXbIdF-k25Fj0JuMX70lLI1-lbXPLw1jyGQo3TyWq4MqxLxz38B7nwxV-UHYUpabi9U0oySoUVF-1PBGa6HmXzlxAGrCf6kxMMWp/s728-e100/source.jpg)
Launching HTTPS-based DDoS attacks tend to be more expensive computationally owing to the higher cost associated with establishing a secure TLS encrypted connection.


This is the second such volumetric HTTPS DDoS attack to be thwarted by Cloudflare in as many months. In late April 2022, it said it [staved off](https://thehackernews.com/2022/04/cloudflare-thwarts-record-ddos-attack.html) a 15.3 million RPS HTTPS DDoS attack aimed at a customer operating a crypto launchpad.


According to the company's DDoS attack trends report for Q1 2022, volumetric DDoS attacks over 100 gigabits per second (gbps) surged by up to 645% quarter-on-quarter.


"Attacks with high bit rates attempt to cause a denial-of-service event by clogging the Internet link, while attacks with high packet rates attempt to overwhelm the servers, routers, or other in-line hardware appliances," the researchers [said](https://blog.cloudflare.com/ddos-attack-trends-for-2022-q1/).


"In such a case, packets are 'dropped,' i.e., the appliance is unable to process them. For users, this results in service disruptions and denial of service."


  





## Tags:


### Autogenerated tags:
[[ddos]] [[https]] [[cloudflare]]
