# Cloudflare Thwarts Record DDoS Attack Peaking at 15 Million Requests Per Second
## Cloudflare mitigated a 15.3 million request-per-second (RPS) distributed denial-of-service (DDoS) attack.
## Information:

+ Link: https://thehackernews.com/2022/04/cloudflare-thwarts-record-ddos-attack.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 April 2022, 04:45
+ Date scraped: 28 April 2022, 15:29

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgcC7bVz08G_po9wLVwQl5KQ_Z8LS6B8kHmP4Hr6VsEXJD6wJFl836zBKxmNbzCGwfZe5PLSzaqOSw_kjK-P7Cf7WzCjX8mEQqSVvrkU28sMKbCqKlL0EyCVZHdB13681xVrFDAiObn2WgPWy63O1t71DBUunbZk7JBXTQxAaxXCXcKuQAwId2gZIqG/s728-e1000/ddos.jpg)


Cloudflare on Wednesday disclosed that it acted to mitigate a 15.3 million request-per-second (RPS) distributed denial-of-service (DDoS) attack. The web infrastructure and website security company called it one of the "largest HTTPS DDoS attacks on record." 


"HTTPS DDoS attacks are more expensive in terms of required computational resources because of the higher cost of establishing a secure TLS encrypted connection," Cloudflare's Omer Yoachimik and Julien Desgats [said](https://blog.cloudflare.com/15m-rps-ddos-attack/). "Therefore it costs the attacker more to launch the attack, and for the victim to mitigate it."


The volumetric DDoS attack is said to have lasted less than 15 seconds and targeted an unnamed Cloudflare customer operating a crypto launchpad. 


Volumetric DDoS attacks are designed to overwhelm a target network/service with significantly high volumes of malicious traffic, which typically originate from a botnet under a threat actor's control.


[![distributed denial-of-service (DDoS) attack](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEip9OiW5KEQE2Y1kUbrTlko_t5XAWN3wDGb3UC-a8jLZCULrMPAgilvQrz5LeqAtMNgg50ikP5N44tlPJDlikbwAAgSm2qzTSab413ygpcX9NR7bdeFuWf1K8YS7wCSrkhHb8JsMsgAqCcpAWkZSv96-oktRJKsofHW3frCjvLfkbh6T0r2wDdKBEi1/s728-e1000/ddos-1.jpg)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEip9OiW5KEQE2Y1kUbrTlko_t5XAWN3wDGb3UC-a8jLZCULrMPAgilvQrz5LeqAtMNgg50ikP5N44tlPJDlikbwAAgSm2qzTSab413ygpcX9NR7bdeFuWf1K8YS7wCSrkhHb8JsMsgAqCcpAWkZSv96-oktRJKsofHW3frCjvLfkbh6T0r2wDdKBEi1/s728-e100/ddos-1.jpg)
Cloudflare said the latest attack was launched from a botnet consisting of roughly 6,000 unique compromised devices, with 15% of the attack traffic emanating from Indonesia, followed by Russia, Brazil, India, Colombia, and the U.S.


"What's interesting is that the attack mostly came from data centers," Yoachimik and Desgats noted. "We're seeing a big move from residential network Internet Service Providers (ISPs) to cloud compute ISPs."


Record-setting DDoS attacks have become increasingly common in recent months. In August 2021, Cloudflare [disclosed](https://thehackernews.com/2021/08/cloudflare-mitigated-one-of-largest.html) what it characterized as the largest application-layer attack ever seen, and, earlier this year, Microsoft [revealed](https://thehackernews.com/2022/01/microsoft-mitigated-record-breaking-347.html) that it had prevented multiple DDoS attacks that crossed 2.4 terabits per second (Tbps).


  





## Tags:


### Autogenerated tags:
[[ddos]] [[cloudflare]]
