# Enhancing TLS Security: Google Adds Quantum-Resistant Encryption in Chrome 116
## Google Chrome 116 add support for quantum-resistant encryption algorithms to encrypt TLS connections
## Information:

+ Link: https://thehackernews.com/2023/08/enhancing-tls-security-google-adds.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 11 August 2023, 17:52
+ Date scraped: 11 August 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhJ4fmBqTDrYWnhNBGw02TXV7n2bb9hPS8V8Rsx7VKh60N_vI_Crx0y4wCF__KlibJgMjlj6ldQRjbpkrrMtW8jrHUkQMoX1UAvhEGP1x8TTUYPY52md5CNfG4z3KvuqmpYDBPNLqX-l-l5IXypRvrKPg_0CRWlVUzkqVSy508u0gtlm4LBxbKX4LbT790z/s728-e3650/chrome.jpg)


Google has announced plans to add support for quantum-resistant encryption algorithms in its Chrome browser, starting with version 116.


"Chrome will begin supporting [X25519Kyber768](https://www.ietf.org/archive/id/draft-tls-westerbaan-xyber768d00-02.html) for establishing symmetric secrets in [TLS](https://en.wikipedia.org/wiki/Transport_Layer_Security), starting in Chrome 116, and available behind a flag in Chrome 115," Devon O'Brien [said](https://blog.chromium.org/2023/08/protecting-chrome-traffic-with-hybrid.html) in a post published Thursday.


Kyber was [chosen](https://thehackernews.com/2022/07/nist-announces-first-four-quantum.html) by the U.S. Department of Commerce's National Institute of Standards and Technology (NIST) as the candidate for general encryption in a bid to tackle future cyber attacks posed by the advent of quantum computing. [Kyber-768](https://pq-crystals.org/kyber/index.shtml) is roughly the security equivalent of [AES-192](https://en.wikipedia.org/wiki/Advanced_Encryption_Standard).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgwAoxYDskfi-J01jeLkkPEZqHZy9bLaLX8kLNuruprE8YRTIB5EBEid3uvBbzR90H6IcIJgVhjn0srTxOZLXejyJ6Jz9ZP-lexe0SPTD7GA1oU6HgxduclFP4BBnHkKiVJ_bsnI7UWFpYdpeFEkKKy1rxI2i0Y5KObLKK-rA7YfSuph4A714RQKICG252V/s728-e3650/4.png)](https://thn.news/edWGl41h)
The encryption algorithm has already been adopted by [Cloudflare](https://blog.cloudflare.com/experiment-with-pq/), [Amazon Web Services](https://aws.amazon.com/blogs/security/round-2-post-quantum-tls-is-now-supported-in-aws-kms/), and IBM.


X25519Kyber768 is a hybrid algorithm that combines the output of [X25519](https://www.rfc-editor.org/rfc/rfc7748), an elliptic curve algorithm widely used for key agreement in TLS, and Kyber-768 to create a strong session key to encrypt TLS connections.


"Hybrid mechanisms such as X25519Kyber768 provide the flexibility to deploy and test new quantum-resistant algorithms while ensuring that connections are still protected by an existing secure algorithm," O'Brien explained.


While it's expected to take several years, possibly even decades, for quantum computers to pose severe risks, certain kinds of encryption are susceptible to an attack called "[harvest now, decrypt later](https://en.wikipedia.org/wiki/Harvest_now,_decrypt_later)" (aka retrospective decryption) in which data that's encrypted today is harvested by threat actors in hopes of decrypting it later when cryptanalysis becomes easier due to technological breakthroughs.


This is where quantum computers come in, as they are capable of efficiently performing certain computations in a manner that can trivially defeat existing cryptographic implementations.


"In TLS, even though the symmetric encryption algorithms that protect the data in transit are considered safe against quantum cryptanalysis, the way that the symmetric keys are created is not," O'Brien said.


"This means that in Chrome, the sooner we can update TLS to use quantum-resistant session keys, the sooner we can protect user network traffic against future quantum cryptanalysis."


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Enterprises that face network appliance incompatibility issues following the rollout are advised to disable X25519Kyber768 in Chrome using the [PostQuantumKeyAgreementEnabled](https://chromeenterprise.google/policies/#PostQuantumKeyAgreementEnabled) enterprise policy, which is available starting in Chrome 116, as a temporary measure.


The development comes as Google said it's changing the release cadence of Chrome security updates from bi-weekly to weekly to minimize the attack window and address the growing patch gap problem that allows threat actors more time to weaponize published n-day and zero-day flaws.


"Bad actors could possibly take advantage of the visibility into these fixes and develop exploits to apply against browser users who haven't yet received the fix," Amy Ressler from the Chrome Security Team [said](https://security.googleblog.com/2023/08/an-update-on-chrome-security-updates.html). "That's why we believe it's really important to ship security fixes as soon as possible, to minimize this 'patch gap.'"


  





## Tags:


### Autogenerated tags:
[[tls]] [[x25519kyber768]] [[quantum-resistant]]
