# Over 3 Dozen Data-Stealing Malicious npm Packages Found Targeting Developers
## Over 30 malicious npm packages discovered in the wild. They're after your sensitive data - SSH keys, Kubernetes configs, and more.
## Information:

+ Link: https://thehackernews.com/2023/10/over-3-dozen-data-stealing-malicious.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 03 October 2023, 20:29
+ Date scraped: 03 October 2023, 15:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgoG3fSjL0C3M5jj7TkccYnrNhyvUgbpwTDnEXu0QHhEkhY4VqD6nbzC5xnrq5R3uDmkcH0bXJTNCH0jyRl5YxQ897EF2WWDW9a7uqWNgOp0kg8P5BAiAB548D4oNr1fG3eSf3dTb3h3Cnu2gQqDgZVwUSG-tzevfcgOOeibCK7pjvQ7ESjhmYjs9QDCnw9/s728-rw-ft-e30/npm.jpg)


Nearly three dozen counterfeit packages have been discovered in the npm package repository that are designed to exfiltrate sensitive data from developer systems, according to findings from Fortinet FortiGuard Labs.


One set of packages – named @expue/webpack, @expue/core, @expue/vue3-renderer, @fixedwidthtable/fixedwidthtable, and @virtualsearchtable/virtualsearchtable – harbored an obfuscated JavaScript file that's capable of gathering valuable secrets.


This includes Kubernetes configurations, SSH keys, and system metadata such as username, IP address, and hostname.


The cybersecurity firm said it also discovered another collection of four modules, i.e., binarium-crm, career-service-client-0.1.6, hh-dep-monitoring, and orbitplate, which results in the unauthorized extraction of source code and configuration files.


"The targeted files and directories may contain highly valuable intellectual property and sensitive information, such as various application and service credentials," security researchers Jin Lee and Jenna Wang [said](https://www.fortinet.com/blog/threat-research/malicious-packages-hiddin-in-npm). "It then archives these files and directories and uploads the resulting archives to an FTP server."


Some of the packages observed have also been found leveraging a [Discord webhook](https://discord.com/developers/docs/resources/webhook) to exfiltrate sensitive data, while a few others are engineered to automatically download and execute a potentially malicious executable file from a URL.


In what's a novel twist, a rogue package named @cima/prism-utils relied on an install script to [disable TLS certificate validation](https://nodejs.org/api/cli.html#node_tls_reject_unauthorizedvalue) (NODE\_TLS\_REJECT\_UNAUTHORIZED=0), potentially rendering connections vulnerable to adversary-in-the-middle (AitM) attacks.


The cybersecurity company said it categorized the identified modules into nine different groups based on code similarities and functions, with a majority of them employing install scripts that run pre or post-install to carry out the data harvesting.


"End users should watch for packages that employ suspicious install scripts and exercise caution," the researchers said.



  





## Tags:


### Autogenerated tags:

