# Researchers Uncover Wiretapping of XMPP-Based Instant Messaging Service
## A wiretapping attempt targeting the jabber[.]ru XMPP-based instant messaging service has been discovered, involving TLS certificates and a #ManiTheMid
## Information:

+ Link: https://thehackernews.com/2023/10/researchers-uncover-wiretapping-of-xmpp.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 28 October 2023, 12:50
+ Date scraped: 28 October 2023, 08:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEipFuEDMwpgWrQBu-7L2Tr40FmWIwDF5w6ASf4ufg7KAQlm2NMFYGns1u8apfhYuxrTci84bQDbzlh12UMcfRKHWWpBsSbja34joMX3AlphbJq1dltegzFa371P6OoEtDCH8yCnXmOwPYiqKv4k6ow1CN1AiYsFskEP0TL8Axhre2kHmGvKRem8MmG18VJq/s728-rw-ft-e30/phone.jpg)


New findings have shed light on what's said to be a lawful attempt to covertly intercept traffic originating from jabber[.]ru (aka xmpp[.]ru), an [XMPP](https://en.wikipedia.org/wiki/XMPP)-based instant messaging service, via servers hosted on Hetzner and Linode (a subsidiary of Akamai) in Germany.


"The attacker has issued several new TLS certificates using Let's Encrypt service which were used to hijack encrypted [STARTTLS connections](https://en.wikipedia.org/wiki/Opportunistic_TLS) on port 5222 using transparent [man-in-the-middle] proxy," a security researcher who goes by the alias ValdikSS [said](https://notes.valdikss.org.ru/jabber.ru-mitm/) earlier this week.


"The attack was discovered due to the expiration of one of the MiTM certificates, which haven't been reissued."


Evidence gathered so far points to the traffic redirection being configured on the hosting provider network, ruling out other possibilities, such as a server breach or a spoofing attack.


The wiretapping is estimated to have lasted for as long as six months, from April 18 through to October 19, although it's been confirmed to have taken place since at least July 21, 2023, and until October 19, 2023.


Signs of suspicious activity were first detected on October 16, 2023, when one of the UNIX administrators of the service received a "Certificate has expired" message upon connecting to it.


The threat actor is believed to have stopped the activity after the investigation into the MiTM incident began on October 18, 2023. It's not immediately clear who is behind the attack, but it's suspected to be a case of lawful interception based on a German police request.


Another hypothesis, however unlikely but not impossible, is that the MiTM attack is an intrusion on the internal networks of both Hetzner and Linode, specifically singling out jabber[.]ru.


"Given the nature of the interception, the attackers have been able to execute any action as if it is executed from the authorized account, without knowing the account password," the researcher said.


"This means that the attacker could download the account's roster, lifetime unencrypted server-side message history, send new messages or alter them in real time."


The Hacker News has reached out to Akamai and Hetzner for further comment, and we will update the story if we hear back.


Users of the service are [recommended](https://www.devever.net/~hl/xmpp-incident) to assume that their communications over the past 90 days are compromised, as well as "check their accounts for new unauthorized OMEMO and PGP keys in their PEP storage, and change passwords."


  





## Tags:
***urls***: http://jabber.ru http://xmpp.ru

### Autogenerated tags:
[[hetzner]] [[mitm]]
