# Alleged covert wiretap on Russian messaging service blown by expired TLS certificate
## Researchers said the suspected man-in-the-middle attack was identified when the administrator of jabber.ru, the largest Russian XMPP service, received a notification that one of the servers’ certificates had expired.
## Information:

+ Link: https://therecord.media/jabber-ru-alleged-government-wiretap-expired-tls-certificate
+ Source: The Record
+ Author: Alexander Martin
+ Date published: 23 October 2023, 00:00
+ Date scraped: 23 October 2023, 15:00

## Article:
![Main article image](https://cms.therecord.media/uploads/scott_rodgerson_P_Spf_Xg_OM_5w_unsplash_bc5885b6d1.jpg)

Security researchers have discovered what they believe may be a government attempt to covertly wiretap an instant messaging service in Germany — an attempt that was blown because the potential intercepting authorities failed to reissue a TLS certificate.


The suspected man-in-the-middle attack was identified when the administrator of jabber.ru, the largest Russian XMPP service, received a notification that one of the servers’ certificates had expired.


However, jabber.ru found no expired certificates on the server — as explained in [a blog post](https://notes.valdikss.org.ru/jabber.ru-mitm/) by ValdikSS, a pseudonymous anti-censorship researcher based in Russia who collaborated on the investigation.


The expired certificate was instead discovered on a single port being used by the service to establish an encrypted Transport Layer Security (TLS) connection with users. Before it had expired, it would have allowed someone to decrypt the traffic being exchanged over the service.


The wiretap is believed to have lasted for up to 6 months, from April 18 through to October 19, although the researchers were only able to confirm 90 days of actual interception. “All jabber.ru and xmpp.ru communications between these dates should be assumed compromised,” wrote ValdikSS.


“Given the nature of the interception, the attacker have been able to execute any action as if it is executed from the authorized account, without knowing the account password. This means that the attacker could download account's roster, lifetime unencrypted server-side message history, send new messages or alter them in real time,” they added.


The researchers said they do not believe that the servers were hacked by criminals, but were reconfigured to facilitate the wiretapping as a result of a government request. “We believe this is lawful interception Hetzner and Linode were forced to setup,” ValdikSS wrote, referencing the hosting providers in Germany.


Recorded Future News has contacted both Hetzner and Linode, a subsidiary of Akamai, for comment, alongside the BfV, Germany’s domestic intelligence agency. As of publication, neither company nor the German government had responded to explain whether the incident was a criminal act or a lawful government intercept.


According to the researcher, the administrators of the jabber.ru service — which was founded in 2000 — had previously moved its hosting infrastructure to Germany due to the risk of government surveillance if it was based in the Russian Federation. Jabber.ru is popular with a range of users, from technology enthusiasts through to cybercriminals.


Most countries in Europe, including [Germany](https://www.bfdi.bund.de/EN/Buerger/Inhalte/Nachrichtendienste/Telekommunikationsueberwachung.html), have laws providing intelligence services and law enforcement with the ability to intercept telecommunications messages in bulk. Although there are often extensive safeguards in place, the laws remain controversial due to the enormous potential for abuse.


“Another possible, although much more unlikely scenario is an intrusion on the internal networks of both Hetzner and Linode targeting specifically jabber.ru — much harder to believe but not entirely impossible,” the researcher wrote.


It is unlikely the companies would be able to publicly acknowledge a legal intercept order. In either case — a government wiretap or a criminal intrusion — the companies could face potential backlash from users about the privacy of their communications.

[Previous article](/interview-with-ftc-commissioner-bedoya-child-psychologists-social-media)[Next article](/new-york-medical-network-cyberattack-diversions)[Behind the FTC’s plan to hire child psychologists to help regulate social media firms](/interview-with-ftc-commissioner-bedoya-child-psychologists-social-media)[New York health network restores services after crippling cyberattack](/new-york-medical-network-cyberattack-diversions)


## Tags:


### Autogenerated tags:
[[jabber.ru]] [[valdikss]] [[hetzner]] [[linode]]
