# Web Security Expands into Secure Service Edge (SSE)
## Trend has been securing web access for over a decade with forward-looking innovation and a global footprint to support our customer’s security strategy. We are committed to our customers’ journey of transforming their current security posture, aligning with Zero Trust principles, and embracing a modern, fully integrated security architecture.
## Information:

+ Link: https://www.trendmicro.com/en_us/research/23/l/web-security-expands-into-secure-service-edge-sse.html
+ Source: Trend Micro
+ Author: Trend Micro
+ Date published: 08 December 2023, 00:00
+ Date scraped: 08 December 2023, 23:01

## Article:
![Main article image](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/thumbnails/23/web-security-expands-into-secure-service-edge-sse-tn.png)






![why-businesses-need-to-modernize-web-security-with-zero-trust-principle](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/l/trend-expands-web-security-into-secure-service-edge-(sse)/why-businesses-need-to-modernize-web-security-with-zero-trust-principle.png)









As cyberthreats have evolved becoming more advanced, and borderless workforce has become the norm, Zero Trust principles have become fundamental in identity security posture planning and execution with access control management being necessary to proactively respond and reduce risks.


Through [Trend Vision One™ Zero Trust Secure Access (ZTSA) Internet Access](https://www.trendmicro.com/en_us/business/products/network/zero-trust-secure-access.html) customers can modernize their web security by staying ahead of malicious activities, by controlling risks associated with user and device events in real-time though dynamic access control capabilities. Organizations gain granular visibility and real-time insights by enabling continuous risk assessment of identity, endpoint, network, and applications.


Acquiring complete visibility and insights into the full security posture are now achievable.


Our fully integrated platform is built with a solid zero trust framework, powered by extended detection and response (XDR) for enriched telemetry, advanced analytics and detections, in addition to attack surface risk management (ASRM) for actionable risk insights.






![xdr-platform](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/l/trend-expands-web-security-into-secure-service-edge-(sse)/xdr-platform.png)








The Trend Vision One™ platform advanced analytics capabilities through XDR and ASRM allow customers to accelerate detection and response by proactively identifying critical incidents, prioritized by severity and scope of impact, before an event is realized.


By leveraging ASRM, businesses become more resilient. Security Operations teams can discover, understand, and respond to risks – building better breach defense, lowering security costs, and sustaining operational continuity.






![powered-by-vision-one-asrm](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/l/trend-expands-web-security-into-secure-service-edge-(sse)/powered-by-vision-one-asrm.png)

Powered by Trend Vision One™ Attack Surface Risk Management







### ZTSA Internet Access application on Vision One.


Effective August 2023, existing Trend customers have immediate access to ZTSA – Internet Access modern solution by simply connecting to the Trend Vision One console and getting started.


Applying ZTSA Internet Access technologies, Secure Web Gateway (SWG) and Cloud Access Security Broker (CASB), allows your Security Operations and IT Admins to have visibility and control of all web and internet traffic, as well as web/cloud application usage details. This includes assessing if the destination being accessed or the file being downloaded is malicious, responding to breaches more quickly and minimizing their damage, and effectively locking the account to remove access.


This solution integrates full SWG security capabilities to provide end-to-end application traffic management, data security classification, and leak prevention capability for managed and unmanaged devices. With continuous assessment of access flows, the risks related to web/internet traffic are effectively reduced through authenticated and controlled access for all users and devices.


SWG sits between the end user and the internet, inspecting traffic inline across multiple security techniques, including TLS/SSL. CASB is positioned between enterprise users and cloud service providers, which implements Zero-Trust access control and policy enforcement for your cloud environments.


Benefits of activating ZTSA – Internet Access:


* Preventing the risk of unauthorized access to data and critical information
* **Ability to terminate or block risky traffic by acting as a control point.**
* Restricting non-essential or risky web sites and applications.
* Restricting access to essential web-apps to specific users that need them.






![ztsa-internet-access-control](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/l/trend-expands-web-security-into-secure-service-edge-(sse)/ztsa-internet-access-control.png)

ZTSA Internet Access Control, part of the modern Trend Vision One platform







Enable access control, real-time data, and threat protection capabilities across web, cloud apps, devices, and users in one platform. [Get started here.](https://signin.v1.trendmicro.com/)


Simple steps for our customers to advance their secure web solution.


Following our customer transformation journey, an upgrade program is purpose-built to help them advance their secure web solution, operationalize Zero Trust architecture and unlock advanced capabilities of ZTSA – Internet Access including dynamic access control, advanced analytics, risk capabilities and more, by onboarding to Trend Vision One.






[![customer-transformation](https://www.trendmicro.com/content/dam/trendmicro/global/en/research/23/l/trend-expands-web-security-into-secure-service-edge-(sse)/customer-transformation-journey.png)](https://signin.v1.trendmicro.com/)

Onboard in minutes and activate the Zero Trust Secure Access, Internet Access.







How can ZTSA Internet Access manage access control?


The Zero Trust Internet Access Module is one of the most important components of Trend Vision One platform. It allows companies to control internet access, stopping access to malicious URLs, malicious or unauthorized content, and more. It also allows businesses to make informed decisions based on the risk index, score, and events that each user/device could impose on the company.


Now that the ZTSA – Internet Access is enabled, all the internet traffic is being inspected, and any security risk should be detected and blocked according to the set-up configuration following the organization’s security policy.






  facebook twitter email linkhttps://www.trendmicro.com/en\_us/research/23/l/web-security-expands-into-secure-service-edge-sse.htmlCopiedRewind 10 SecondsNext UpLive00:0000:0001:59Closed CaptionsSettingsFullscreen





In this demo video of ZTSA – Internet Access, you can enable the access control rule. For testing purposes and while a user is accessing a malicious URL and trying download malicious files, the SSL traffic is being analyzed, and any security risk should/could be stopped by the ZTSA Internet Access infrastructure.


Meeting the evolving market needs for business and technology leaders.


With the variety of deployment options to choose from, there will always be a solution to suit your organization’s needs.


In relation to SSE, our full suite of ZTSA solution provides SWG,CASB and zero trust network access (ZTNA) to secure access of users and devices across network, web, cloud, and private apps—all in one platform.


This strengthens your overall security posture by enforcing strong access control permissions from multiple identity services across the organization. As a result, organizations need to streamline their security efforts and monitor user behavior to protect both their employees and enhance data control.


As your strategic business partner, Trend can help you create an identity-centric, context-based and logical-access boundary approach by adopting a Zero Trust architecture.


Disclaimer.


Enabling ZTSA – Internet Access product has been exclusively granted to Trend Micro Web Security (TMWS) and  InterScan Web Security Virtual Appliance (IWSVA) customers through Trend Vision One. Customers must use the existing Trend Micro account to start onboarding and set-up the product in Trend Vision One. For any questions, [submit a case to the Trend Micro](https://success.trendmicro.com/dcx/s/login/) support team.








## Tags:
***ipv6-adresses***: :0000:0001
***urls***: https://www.trendmicro.com/en_us/research/23/l/web-security-expands-into-secure-service-edge-sse.htmlCopiedRewind

### Autogenerated tags:
[[ztsa]] [[cloud]] [[onetm]] [[real-time]] [[asrm]] [[swg]]
