# Microsoft April 2023 Patch Tuesday fixes 1 zero-day, 97 flaws
## ​Today is Microsoft's April 2023 Patch Tuesday, and security updates fix one actively exploited zero-day vulnerability and a total of 97 flaws.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-april-2023-patch-tuesday-fixes-1-zero-day-97-flaws/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 11 April 2023, 17:28
+ Date scraped: 11 April 2023, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/12/13/patch-tuesday-header.jpg)



.crit {
font-weight:bold;
color:red;
}
.article\_section td {
 font-size: 14px!important;
}
​Today is Microsoft's April 2023 Patch Tuesday, and security updates fix one actively exploited zero-day vulnerability and a total of 97 flaws.


Seven vulnerabilities have been classified as 'Critical' for allowing remote code execution, the most serious of vulnerabilities.


The number of bugs in each vulnerability category is listed below:


* 20 Elevation of Privilege Vulnerabilities
* 8 Security Feature Bypass Vulnerabilities
* 45 Remote Code Execution Vulnerabilities
* 10 Information Disclosure Vulnerabilities
* 9 Denial of Service Vulnerabilities
* 6 Spoofing Vulnerabilities

This count does not include seventeen Microsoft Edge vulnerabilities fixed on April 6th.


## One zero-day fixed


This month's Patch Tuesday fixes one zero-day vulnerability actively exploited in attacks.


Microsoft classifies a vulnerability as a zero-day if it is publicly disclosed or actively exploited with no official fix available.


The actively exploited zero-day vulnerability in today's updates is:


[**CVE-2023-28252**](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28252)**- Windows Common Log File System Driver Elevation of Privilege Vulnerability**


Microsoft has fixed a privilege elevation vulnerability in the Windows CLFS driver that elevates privileges to SYSTEM, the highest user privilege level in Windows.


"An attacker who successfully exploited this vulnerability could gain SYSTEM privileges," reads Microsoft's advisory.


Microsoft says that the vulnerability was discovered by Genwei Jiang with Mandiant and Quan Jin with DBAPPSecurity WeBin Lab.


While not actively exploited, Microsoft Office, Word, and Publisher remote code execution vulnerabilities were fixed today that can be exploited simply by opening malicious documents.


These vulnerabilities are tracked as [CVE-2023-28285](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28285), [CVE-2023-28295](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28295), [CVE-2023-28287](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28287), and [CVE-2023-28311](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28311). 


As these types of vulnerabilities are valuable in phishing campaigns, threat actors will likely attempt to discover how they can be exploited for use in malware distribution campaigns.


Therefore, it is strongly recommended that Microsoft Office users install today's security updates as soon as possible.


## Recent updates from other companies


Other vendors who released updates in April 2023 include:


* **Apple** released a [security updates](https://www.bleepingcomputer.com/news/apple/apple-fixes-recently-disclosed-zero-days-on-older-iphones-and-ipads/) to fix two actively exploited zero-days in iOS and macOS.
* **Cisco**[released security updates](https://sec.cloudapps.cisco.com/security/center/publicationListing.x) for multiple products.
* **Google** released the [Android April 2023](https://source.android.com/docs/security/bulletin/2023-04-01) and [Google Chrome](https://chromereleases.googleblog.com/2023/04/stable-channel-update-for-desktop.html) security updates.
* **SAP** has released its [April 2023 Patch Day](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10) updates.

## The April 2023 Patch Tuesday Security Updates


Below is the complete list of resolved vulnerabilities in the April 2023 Patch Tuesday updates.


To access the full description of each vulnerability and the systems it affects, you can view the [full report here](https://www.bleepingcomputer.com/microsoft-patch-tuesday-reports/April-2023.html).





| Tag | CVE ID | CVE Title | Severity |
| --- | --- | --- | --- |
| .NET Core | [CVE-2023-28260](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28260) | .NET DLL Hijacking Remote Code Execution Vulnerability | Important |
| Azure Machine Learning | [CVE-2023-28312](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28312) | Azure Machine Learning Information Disclosure Vulnerability | Important |
| Azure Service Connector | [CVE-2023-28300](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28300) | Azure Service Connector Security Feature Bypass Vulnerability | Important |
| Microsoft Bluetooth Driver | [CVE-2023-28227](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28227) | Windows Bluetooth Driver Remote Code Execution Vulnerability | Important |
| Microsoft Defender for Endpoint | [CVE-2023-24860](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24860) | Microsoft Defender Denial of Service Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-28314](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28314) | Microsoft Dynamics 365 (on-premises) Cross-site Scripting Vulnerability | Important |
| Microsoft Dynamics | [CVE-2023-28309](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28309) | Microsoft Dynamics 365 (on-premises) Cross-site Scripting Vulnerability | Important |
| Microsoft Dynamics 365 Customer Voice | [CVE-2023-28313](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28313) | Microsoft Dynamics 365 Customer Voice Cross-Site Scripting Vulnerability | Important |
| Microsoft Edge (Chromium-based) | [CVE-2023-28284](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28284) | Microsoft Edge (Chromium-based) Security Feature Bypass Vulnerability | Moderate |
| Microsoft Edge (Chromium-based) | [CVE-2023-1823](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1823) | Chromium: CVE-2023-1823 Inappropriate implementation in FedCM | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-28301](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28301) | Microsoft Edge (Chromium-based) Tampering Vulnerability | Low |
| Microsoft Edge (Chromium-based) | [CVE-2023-1810](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1810) | Chromium: CVE-2023-1810 Heap buffer overflow in Visuals | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-24935](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24935) | Microsoft Edge (Chromium-based) Spoofing Vulnerability | Low |
| Microsoft Edge (Chromium-based) | [CVE-2023-1819](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1819) | Chromium: CVE-2023-1819 Out of bounds read in Accessibility | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1818](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1818) | Chromium: CVE-2023-1818 Use after free in Vulkan | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1814](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1814) | Chromium: CVE-2023-1814 Insufficient validation of untrusted input in Safe Browsing | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1821](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1821) | Chromium: CVE-2023-1821 Inappropriate implementation in WebShare | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1811](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1811) | Chromium: CVE-2023-1811 Use after free in Frames | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1820](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1820) | Chromium: CVE-2023-1820 Heap buffer overflow in Browser History | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1816](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1816) | Chromium: CVE-2023-1816 Incorrect security UI in Picture In Picture | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1815](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1815) | Chromium: CVE-2023-1815 Use after free in Networking APIs | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1822](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1822) | Chromium: CVE-2023-1822 Incorrect security UI in Navigation | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1813](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1813) | Chromium: CVE-2023-1813 Inappropriate implementation in Extensions | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1812](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1812) | Chromium: CVE-2023-1812 Out of bounds memory access in DOM Bindings | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2023-1817](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-1817) | Chromium: CVE-2023-1817 Insufficient policy enforcement in Intents | Unknown |
| Microsoft Graphics Component | [CVE-2023-24912](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24912) | Windows Graphics Component Elevation of Privilege Vulnerability | Important |
| Microsoft Message Queuing | [CVE-2023-21769](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-21769) | Microsoft Message Queuing Denial of Service Vulnerability | Important |
| Microsoft Message Queuing | [CVE-2023-21554](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-21554) | Microsoft Message Queuing Remote Code Execution Vulnerability | Critical |
| Microsoft Office | [CVE-2023-28285](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28285) | Microsoft Office Graphics Remote Code Execution Vulnerability | Important |
| Microsoft Office Publisher | [CVE-2023-28295](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28295) | Microsoft Publisher Remote Code Execution Vulnerability | Important |
| Microsoft Office Publisher | [CVE-2023-28287](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28287) | Microsoft Publisher Remote Code Execution Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2023-28288](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28288) | Microsoft SharePoint Server Spoofing Vulnerability | Important |
| Microsoft Office Word | [CVE-2023-28311](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28311) | Microsoft Word Remote Code Execution Vulnerability | Important |
| Microsoft PostScript Printer Driver | [CVE-2023-28243](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28243) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24883](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24883) | Microsoft PostScript and PCL6 Class Printer Driver Information Disclosure Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24927](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24927) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24925](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24925) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24924](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24924) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24885](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24885) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24928](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24928) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24884](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24884) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24926](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24926) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24929](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24929) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24887](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24887) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft Printer Drivers | [CVE-2023-24886](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24886) | Microsoft PostScript and PCL6 Class Printer Driver Remote Code Execution Vulnerability | Important |
| Microsoft WDAC OLE DB provider for SQL | [CVE-2023-28275](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28275) | Microsoft WDAC OLE DB provider for SQL Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28256](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28256) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28278](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28278) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28307](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28307) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28306](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28306) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28223](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28223) | Windows Domain Name Service Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28254](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28254) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28305](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28305) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28308](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28308) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28255](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28255) | Windows DNS Server Remote Code Execution Vulnerability | Important |
| Microsoft Windows DNS | [CVE-2023-28277](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28277) | Windows DNS Server Information Disclosure Vulnerability | Important |
| SQL Server | [CVE-2023-23384](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-23384) | Microsoft SQL Server Remote Code Execution Vulnerability | Important |
| SQL Server | [CVE-2023-23375](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-23375) | Microsoft ODBC and OLE DB Remote Code Execution Vulnerability | Important |
| SQL Server | [CVE-2023-28304](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28304) | Microsoft ODBC and OLE DB Remote Code Execution Vulnerability | Important |
| Visual Studio | [CVE-2023-28299](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28299) | Visual Studio Spoofing Vulnerability | Important |
| Visual Studio | [CVE-2023-28262](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28262) | Visual Studio Elevation of Privilege Vulnerability | Important |
| Visual Studio | [CVE-2023-28263](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28263) | Visual Studio Information Disclosure Vulnerability | Important |
| Visual Studio | [CVE-2023-28296](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28296) | Visual Studio Remote Code Execution Vulnerability | Important |
| Visual Studio Code | [CVE-2023-24893](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24893) | Visual Studio Code Remote Code Execution Vulnerability | Important |
| Windows Active Directory | [CVE-2023-28302](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28302) | Microsoft Message Queuing Denial of Service Vulnerability | Important |
| Windows ALPC | [CVE-2023-28236](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28236) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows ALPC | [CVE-2023-28216](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28216) | Windows Advanced Local Procedure Call (ALPC) Elevation of Privilege Vulnerability | Important |
| Windows Ancillary Function Driver for WinSock | [CVE-2023-28218](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28218) | Windows Ancillary Function Driver for WinSock Elevation of Privilege Vulnerability | Important |
| Windows Boot Manager | [CVE-2023-28269](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28269) | Windows Boot Manager Security Feature Bypass Vulnerability | Important |
| Windows Boot Manager | [CVE-2023-28249](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28249) | Windows Boot Manager Security Feature Bypass Vulnerability | Important |
| Windows Clip Service | [CVE-2023-28273](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28273) | Windows Clip Service Elevation of Privilege Vulnerability | Important |
| Windows CNG Key Isolation Service | [CVE-2023-28229](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28229) | Windows CNG Key Isolation Service Elevation of Privilege Vulnerability | Important |
| Windows Common Log File System Driver | [CVE-2023-28266](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28266) | Windows Common Log File System Driver Information Disclosure Vulnerability | Important |
| Windows Common Log File System Driver | [CVE-2023-28252](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28252) | Windows Common Log File System Driver Elevation of Privilege Vulnerability | Important |
| Windows DHCP Server | [CVE-2023-28231](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28231) | DHCP Server Service Remote Code Execution Vulnerability | Critical |
| Windows Enroll Engine | [CVE-2023-28226](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28226) | Windows Enroll Engine Security Feature Bypass Vulnerability | Important |
| Windows Error Reporting | [CVE-2023-28221](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28221) | Windows Error Reporting Service Elevation of Privilege Vulnerability | Important |
| Windows Group Policy | [CVE-2023-28276](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28276) | Windows Group Policy Security Feature Bypass Vulnerability | Important |
| Windows Internet Key Exchange (IKE) Protocol | [CVE-2023-28238](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28238) | Windows Internet Key Exchange (IKE) Protocol Extensions Remote Code Execution Vulnerability | Important |
| Windows Kerberos | [CVE-2023-28244](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28244) | Windows Kerberos Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-28271](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28271) | Windows Kernel Memory Information Disclosure Vulnerability | Important |
| Windows Kernel | [CVE-2023-28248](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28248) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-28222](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28222) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-28272](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28272) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-28293](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28293) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2023-28253](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28253) | Windows Kernel Information Disclosure Vulnerability | Important |
| Windows Kernel | [CVE-2023-28237](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28237) | Windows Kernel Remote Code Execution Vulnerability | Important |
| Windows Kernel | [CVE-2023-28298](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28298) | Windows Kernel Denial of Service Vulnerability | Important |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-28219](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28219) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Layer 2 Tunneling Protocol | [CVE-2023-28220](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28220) | Layer 2 Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Lock Screen | [CVE-2023-28270](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28270) | Windows Lock Screen Security Feature Bypass Vulnerability | Important |
| Windows Lock Screen | [CVE-2023-28235](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28235) | Windows Lock Screen Security Feature Bypass Vulnerability | Important |
| Windows Netlogon | [CVE-2023-28268](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28268) | Netlogon RPC Elevation of Privilege Vulnerability | Important |
| Windows Network Address Translation (NAT) | [CVE-2023-28217](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28217) | Windows Network Address Translation (NAT) Denial of Service Vulnerability | Important |
| Windows Network File System | [CVE-2023-28247](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28247) | Windows Network File System Information Disclosure Vulnerability | Important |
| Windows Network Load Balancing | [CVE-2023-28240](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28240) | Windows Network Load Balancing Remote Code Execution Vulnerability | Important |
| Windows NTLM | [CVE-2023-28225](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28225) | Windows NTLM Elevation of Privilege Vulnerability | Important |
| Windows PGM | [CVE-2023-28250](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28250) | Windows Pragmatic General Multicast (PGM) Remote Code Execution Vulnerability | Critical |
| Windows Point-to-Point Protocol over Ethernet (PPPoE) | [CVE-2023-28224](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28224) | Windows Point-to-Point Protocol over Ethernet (PPPoE) Remote Code Execution Vulnerability | Important |
| Windows Point-to-Point Tunneling Protocol | [CVE-2023-28232](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28232) | Windows Point-to-Point Tunneling Protocol Remote Code Execution Vulnerability | Critical |
| Windows Raw Image Extension | [CVE-2023-28291](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28291) | Raw Image Extension Remote Code Execution Vulnerability | Critical |
| Windows Raw Image Extension | [CVE-2023-28292](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28292) | Raw Image Extension Remote Code Execution Vulnerability | Important |
| Windows RDP Client | [CVE-2023-28228](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28228) | Windows Spoofing Vulnerability | Important |
| Windows RDP Client | [CVE-2023-28267](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28267) | Remote Desktop Protocol Client Information Disclosure Vulnerability | Important |
| Windows Registry | [CVE-2023-28246](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28246) | Windows Registry Elevation of Privilege Vulnerability | Important |
| Windows RPC API | [CVE-2023-21729](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-21729) | Remote Procedure Call Runtime Information Disclosure Vulnerability | Important |
| Windows RPC API | [CVE-2023-21727](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-21727) | Remote Procedure Call Runtime Remote Code Execution Vulnerability | Important |
| Windows RPC API | [CVE-2023-28297](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28297) | Windows Remote Procedure Call Service (RPCSS) Elevation of Privilege Vulnerability | Important |
| Windows Secure Channel | [CVE-2023-24931](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24931) | Windows Secure Channel Denial of Service Vulnerability | Important |
| Windows Secure Channel | [CVE-2023-28233](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28233) | Windows Secure Channel Denial of Service Vulnerability | Important |
| Windows Secure Socket Tunneling Protocol (SSTP) | [CVE-2023-28241](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28241) | Windows Secure Socket Tunneling Protocol (SSTP) Denial of Service Vulnerability | Important |
| Windows Transport Security Layer (TLS) | [CVE-2023-28234](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28234) | Windows Secure Channel Denial of Service Vulnerability | Important |
| Windows Win32K | [CVE-2023-28274](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-28274) | Windows Win32k Elevation of Privilege Vulnerability | Important |
| Windows Win32K | [CVE-2023-24914](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2023-24914) | Win32k Elevation of Privilege Vulnerability | Important |





## Tags:
***CVE's***: CVE-2023-28250 CVE-2023-24935 CVE-2023-28272 CVE-2023-28311 CVE-2023-1821 CVE-2023-24927 CVE-2023-28223 CVE-2023-1810 CVE-2023-28227 CVE-2023-28226 CVE-2023-1816 CVE-2023-28293 CVE-2023-28295 CVE-2023-24887 CVE-2023-1822 CVE-2023-1813 CVE-2023-28229 CVE-2023-28304 CVE-2023-28276 CVE-2023-24893 CVE-2023-28287 CVE-2023-1823 CVE-2023-28254 CVE-2023-1820 CVE-2023-28232 CVE-2023-28292 CVE-2023-24931 CVE-2023-28217 CVE-2023-24925 CVE-2023-28260 CVE-2023-1815 CVE-2023-24926 CVE-2023-24914 CVE-2023-28236 CVE-2023-28241 CVE-2023-28309 CVE-2023-21554 CVE-2023-28222 CVE-2023-28224 CVE-2023-28237 CVE-2023-1819 CVE-2023-24912 CVE-2023-28297 CVE-2023-28228 CVE-2023-24924 CVE-2023-28300 CVE-2023-23375 CVE-2023-1811 CVE-2023-28308 CVE-2023-28234 CVE-2023-28273 CVE-2023-28252 CVE-2023-28296 CVE-2023-21729 CVE-2023-1814 CVE-2023-24886 CVE-2023-1812 CVE-2023-28262 CVE-2023-23384 CVE-2023-24885 CVE-2023-28307 CVE-2023-24929 CVE-2023-28270 CVE-2023-28263 CVE-2023-28302 CVE-2023-28218 CVE-2023-28240 CVE-2023-1817 CVE-2023-28246 CVE-2023-28220 CVE-2023-24860 CVE-2023-28255 CVE-2023-28314 CVE-2023-28288 CVE-2023-28284 CVE-2023-28249 CVE-2023-28312 CVE-2023-24928 CVE-2023-28233 CVE-2023-28285 CVE-2023-28271 CVE-2023-28278 CVE-2023-28298 CVE-2023-28275 CVE-2023-28299 CVE-2023-24883 CVE-2023-28277 CVE-2023-21769 CVE-2023-28253 CVE-2023-28247 CVE-2023-28235 CVE-2023-28268 CVE-2023-28305 CVE-2023-28221 CVE-2023-28231 CVE-2023-28266 CVE-2023-28274 CVE-2023-28225 CVE-2023-28291 CVE-2023-24884 CVE-2023-21727 CVE-2023-28313 CVE-2023-28267 CVE-2023-28301 CVE-2023-28248 CVE-2023-28216 CVE-2023-28269 CVE-2023-28306 CVE-2023-1818 CVE-2023-28238 CVE-2023-28256 CVE-2023-28219 CVE-2023-28244 CVE-2023-28243

### Autogenerated tags:
[[windows]] [[microsoft]] [[chromium-based]] [[dns]] [[pcl6]] [[sql]] [[zero-day]] [[rpc]] [[point-to-point]] [[win32k]]
