# Microsoft September 2022 Patch Tuesday fixes zero-day used in attacks, 63 flaws
## Today is Microsoft's September 2022 Patch Tuesday, and with it comes fixes for an actively exploited Windows vulnerability and a total of 63 flaws.
## Information:

+ Link: https://www.bleepingcomputer.com/news/microsoft/microsoft-september-2022-patch-tuesday-fixes-zero-day-used-in-attacks-63-flaws/
+ Source: Bleeping Computer
+ Author: Lawrence Abrams
+ Date published: 13 September 2022, 17:36
+ Date scraped: 13 September 2022, 18:01

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/06/09/patch-tuesday-header.jpg)



.crit {
font-weight:bold;
color:red;
}
.article\_section td {
 font-size: 14px!important;
}
Today is Microsoft's September 2022 Patch Tuesday, and with it comes fixes for an actively exploited Windows vulnerability and a total of 63 flaws.


Five of the 63 vulnerabilities fixed in today's update are classified as 'Critical' as they allow remote code execution, one of the most severe types of vulnerabilities.


The number of bugs in each vulnerability category is listed below:


* 18 Elevation of Privilege Vulnerabilities
* 1 Security Feature Bypass Vulnerabilities
* 30 Remote Code Execution Vulnerabilities
* 7 Information Disclosure Vulnerabilities
* 7 Denial of Service Vulnerabilities
* 16 Edge - Chromium Vulnerabilities

The above counts do not include sixteen vulnerabilities fixed in Microsoft Edge before Patch Tuesday.


For information about the non-security Windows updates, you can read today's [Windows 10 KB5017308 and KB5017315 updates](https://www.bleepingcomputer.com/news/microsoft/windows-10-kb5017308-and-kb5017315-updates-released/).


## Two zero-days fixed, one actively exploited


This month's Patch Tuesday fixes two publicly disclosed zero-day vulnerabilities, with one actively exploited in attacks.


Microsoft classifies a vulnerability as a zero-day if it is publicly disclosed or actively exploited with no official fix available.


The actively exploited zero-day vulnerability fixed today is tracked as '[CVE-2022-37969](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-37969) - Windows Common Log File System Driver Elevation of Privilege Vulnerability.'


"An attacker who successfully exploited this vulnerability could gain SYSTEM privileges," reads Microsoft's advisory.


The exploited vulnerability was discovered by researchers at DBAPPSecurity, Mandiant, CrowdStrike, and Zscaler. However, there are no details at this time if it was used manually by threat actors or through malware.


The other publicly disclosed vulnerability is tracked as '[CVE-2022-23960](https://msrc.microsoft.com/update-guide/en-US/vulnerability/CVE-2022-23960) - Arm: CVE-2022-23960 Cache Speculation Restriction Vulnerability.'


The fix is for the [Branch History Injection (BHI) speculative execution vulnerability](https://www.bleepingcomputer.com/news/security/intel-amd-arm-warn-of-new-speculative-execution-cpu-bugs/) that was disclosed by researchers at VUSec in March.


## Recent updates from other companies


Other vendors who released updates in September 2022 include:


* Adobe [released security updates](https://helpx.adobe.com/security.html) for seven programs.
* **Apple** [fixed their eighth zero-day](https://www.bleepingcomputer.com/news/security/apple-fixes-eighth-zero-day-used-to-hack-iphones-and-macs-this-year/) used to hack iPhones and Macs.
* **Cisco** [released security updates](https://tools.cisco.com/security/center/publicationListing.x) for numerous products this month.
* **Google** released [Android's September security updates](https://source.android.com/docs/security/bulletin/2022-09-01) and a [fix for a Chrome zero-day](https://www.bleepingcomputer.com/news/security/google-chrome-emergency-update-fixes-new-zero-day-used-in-attacks/).
* **SAP** has released its [September 2022 Patch Day](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10) updates.
* **Trend Micro** warned that an [Apex One RCE](https://files.trendmicro.com/documentation/readme/Apex%20One/2020/apex_one_2019_win_sp_b11092_EN_service_pack_Readme.html) vulnerability is [being actively exploited](https://www.bleepingcomputer.com/news/security/trend-micro-warns-of-actively-exploited-apex-one-rce-vulnerability/).
* **VMware** released [security updates](https://www.vmware.com/security/advisories.html) for a VMware Tools privilege elevation vulnerability.

## The September 2022 Patch Tuesday Security Updates


Below is the complete list of resolved vulnerabilities and released advisories in the September 2022 Patch Tuesday updates. To access the full description of each vulnerability and the systems that it affects, you can view the [full report here](https://www.bleepingcomputer.com/microsoft-patch-tuesday-reports/September-2022.html).





| Tag | CVE ID | CVE Title | Severity |
| --- | --- | --- | --- |
| .NET and Visual Studio | [CVE-2022-38013](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38013) | .NET Core and Visual Studio Denial of Service Vulnerability | Important |
| .NET Framework | [CVE-2022-26929](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-26929) | .NET Framework Remote Code Execution Vulnerability | Important |
| Azure Arc | [CVE-2022-38007](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38007) | Azure Guest Configuration and Azure Arc-enabled servers Elevation of Privilege Vulnerability | Important |
| Cache Speculation | [CVE-2022-23960](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-23960) | Arm: CVE-2022-23960 Cache Speculation Restriction Vulnerability | Important |
| HTTP.sys | [CVE-2022-35838](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35838) | HTTP V3 Denial of Service Vulnerability | Important |
| Microsoft Dynamics | [CVE-2022-35805](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35805) | Microsoft Dynamics CRM (on-premises) Remote Code Execution Vulnerability | Critical |
| Microsoft Dynamics | [CVE-2022-34700](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34700) | Microsoft Dynamics CRM (on-premises) Remote Code Execution Vulnerability | Critical |
| Microsoft Edge (Chromium-based) | [CVE-2022-3053](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3053) | Chromium: CVE-2022-3053 Inappropriate implementation in Pointer Lock | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3047](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3047) | Chromium: CVE-2022-3047 Insufficient policy enforcement in Extensions API | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3054](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3054) | Chromium: CVE-2022-3054 Insufficient policy enforcement in DevTools | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3041](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3041) | Chromium: CVE-2022-3041 Use after free in WebSQL | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3040](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3040) | Chromium: CVE-2022-3040 Use after free in Layout | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3046](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3046) | Chromium: CVE-2022-3046 Use after free in Browser Tag | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3039](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3039) | Chromium: CVE-2022-3039 Use after free in WebSQL | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3045](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3045) | Chromium: CVE-2022-3045 Insufficient validation of untrusted input in V8 | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3044](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3044) | Chromium: CVE-2022-3044 Inappropriate implementation in Site Isolation | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3057](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3057) | Chromium: CVE-2022-3057 Inappropriate implementation in iframe Sandbox | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3075](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3075) | Chromium: CVE-2022-3075 Insufficient data validation in Mojo | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3058](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3058) | Chromium: CVE-2022-3058 Use after free in Sign-In Flow | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3038](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3038) | Chromium: CVE-2022-3038 Use after free in Network Service | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3056](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3056) | Chromium: CVE-2022-3056 Insufficient policy enforcement in Content Security Policy | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-3055](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-3055) | Chromium: CVE-2022-3055 Use after free in Passwords | Unknown |
| Microsoft Edge (Chromium-based) | [CVE-2022-38012](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38012) | Microsoft Edge (Chromium-based) Remote Code Execution Vulnerability | Low |
| Microsoft Graphics Component | [CVE-2022-37954](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37954) | DirectX Graphics Kernel Elevation of Privilege Vulnerability | Important |
| Microsoft Graphics Component | [CVE-2022-38006](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38006) | Windows Graphics Component Information Disclosure Vulnerability | Important |
| Microsoft Graphics Component | [CVE-2022-34729](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34729) | Windows GDI Elevation of Privilege Vulnerability | Important |
| Microsoft Graphics Component | [CVE-2022-34728](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34728) | Windows Graphics Component Information Disclosure Vulnerability | Important |
| Microsoft Graphics Component | [CVE-2022-35837](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35837) | Windows Graphics Component Information Disclosure Vulnerability | Important |
| Microsoft Office | [CVE-2022-37962](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37962) | Microsoft PowerPoint Remote Code Execution Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2022-35823](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35823) | Microsoft SharePoint Remote Code Execution Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2022-38009](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38009) | Microsoft SharePoint Server Remote Code Execution Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2022-38008](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38008) | Microsoft SharePoint Server Remote Code Execution Vulnerability | Important |
| Microsoft Office SharePoint | [CVE-2022-37961](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37961) | Microsoft SharePoint Server Remote Code Execution Vulnerability | Important |
| Microsoft Office Visio | [CVE-2022-37963](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37963) | Microsoft Office Visio Remote Code Execution Vulnerability | Important |
| Microsoft Office Visio | [CVE-2022-38010](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38010) | Microsoft Office Visio Remote Code Execution Vulnerability | Important |
| Microsoft Windows ALPC | [CVE-2022-34725](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34725) | Windows ALPC Elevation of Privilege Vulnerability | Important |
| Microsoft Windows Codecs Library | [CVE-2022-38011](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38011) | Raw Image Extension Remote Code Execution Vulnerability | Important |
| Microsoft Windows Codecs Library | [CVE-2022-38019](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38019) | AV1 Video Extension Remote Code Execution Vulnerability | Important |
| Network Device Enrollment Service (NDES) | [CVE-2022-37959](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37959) | Network Device Enrollment Service (NDES) Security Feature Bypass Vulnerability | Important |
| Role: DNS Server | [CVE-2022-34724](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34724) | Windows DNS Server Denial of Service Vulnerability | Important |
| Role: Windows Fax Service | [CVE-2022-38004](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38004) | Windows Fax Service Remote Code Execution Vulnerability | Important |
| SPNEGO Extended Negotiation | [CVE-2022-37958](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37958) | SPNEGO Extended Negotiation (NEGOEX) Security Mechanism Information Disclosure Vulnerability | Important |
| Visual Studio Code | [CVE-2022-38020](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38020) | Visual Studio Code Elevation of Privilege Vulnerability | Important |
| Windows Common Log File System Driver | [CVE-2022-35803](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35803) | Windows Common Log File System Driver Elevation of Privilege Vulnerability | Important |
| Windows Common Log File System Driver | [CVE-2022-37969](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37969) | Windows Common Log File System Driver Elevation of Privilege Vulnerability | Important |
| Windows Credential Roaming Service | [CVE-2022-30170](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-30170) | Windows Credential Roaming Service Elevation of Privilege Vulnerability | Important |
| Windows Defender | [CVE-2022-35828](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35828) | Microsoft Defender for Endpoint for Mac Elevation of Privilege Vulnerability | Important |
| Windows Distributed File System (DFS) | [CVE-2022-34719](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34719) | Windows Distributed File System (DFS) Elevation of Privilege Vulnerability | Important |
| Windows DPAPI (Data Protection Application Programming Interface) | [CVE-2022-34723](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34723) | Windows DPAPI (Data Protection Application Programming Interface) Information Disclosure Vulnerability | Important |
| Windows Enterprise App Management | [CVE-2022-35841](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35841) | Windows Enterprise App Management Service Remote Code Execution Vulnerability | Important |
| Windows Event Tracing | [CVE-2022-35832](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35832) | Windows Event Tracing Denial of Service Vulnerability | Important |
| Windows Group Policy | [CVE-2022-37955](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37955) | Windows Group Policy Elevation of Privilege Vulnerability | Important |
| Windows IKE Extension | [CVE-2022-34722](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34722) | Windows Internet Key Exchange (IKE) Protocol Extensions Remote Code Execution Vulnerability | Critical |
| Windows IKE Extension | [CVE-2022-34720](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34720) | Windows Internet Key Exchange (IKE) Extension Denial of Service Vulnerability | Important |
| Windows IKE Extension | [CVE-2022-34721](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34721) | Windows Internet Key Exchange (IKE) Protocol Extensions Remote Code Execution Vulnerability | Critical |
| Windows Kerberos | [CVE-2022-33647](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-33647) | Windows Kerberos Elevation of Privilege Vulnerability | Important |
| Windows Kerberos | [CVE-2022-33679](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-33679) | Windows Kerberos Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2022-37964](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37964) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2022-37956](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37956) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows Kernel | [CVE-2022-37957](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-37957) | Windows Kernel Elevation of Privilege Vulnerability | Important |
| Windows LDAP - Lightweight Directory Access Protocol | [CVE-2022-30200](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-30200) | Windows Lightweight Directory Access Protocol (LDAP) Remote Code Execution Vulnerability | Important |
| Windows ODBC Driver | [CVE-2022-34726](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34726) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows ODBC Driver | [CVE-2022-34730](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34730) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows ODBC Driver | [CVE-2022-34727](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34727) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows ODBC Driver | [CVE-2022-34732](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34732) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows ODBC Driver | [CVE-2022-34734](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34734) | Microsoft ODBC Driver Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2022-35834](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35834) | Microsoft OLE DB Provider for SQL Server Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2022-35835](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35835) | Microsoft OLE DB Provider for SQL Server Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2022-35836](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35836) | Microsoft OLE DB Provider for SQL Server Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2022-35840](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35840) | Microsoft OLE DB Provider for SQL Server Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2022-34733](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34733) | Microsoft OLE DB Provider for SQL Server Remote Code Execution Vulnerability | Important |
| Windows OLE | [CVE-2022-34731](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34731) | Microsoft OLE DB Provider for SQL Server Remote Code Execution Vulnerability | Important |
| Windows Photo Import API | [CVE-2022-26928](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-26928) | Windows Photo Import API Elevation of Privilege Vulnerability | Important |
| Windows Print Spooler Components | [CVE-2022-38005](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-38005) | Windows Print Spooler Elevation of Privilege Vulnerability | Important |
| Windows Remote Access Connection Manager | [CVE-2022-35831](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35831) | Windows Remote Access Connection Manager Information Disclosure Vulnerability | Important |
| Windows Remote Procedure Call | [CVE-2022-35830](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35830) | Remote Procedure Call Runtime Remote Code Execution Vulnerability | Important |
| Windows TCP/IP | [CVE-2022-34718](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-34718) | Windows TCP/IP Remote Code Execution Vulnerability | Critical |
| Windows Transport Security Layer (TLS) | [CVE-2022-35833](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-35833) | Windows Secure Channel Denial of Service Vulnerability | Important |
| Windows Transport Security Layer (TLS) | [CVE-2022-30196](https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-30196) | Windows Secure Channel Denial of Service Vulnerability | Important |





## Tags:
***CVE's***: CVE-2022-37962 CVE-2022-34721 CVE-2022-3046 CVE-2022-35835 CVE-2022-23960 CVE-2022-34719 CVE-2022-3044 CVE-2022-35840 CVE-2022-34725 CVE-2022-35834 CVE-2022-3075 CVE-2022-3057 CVE-2022-26928 CVE-2022-34724 CVE-2022-38011 CVE-2022-34730 CVE-2022-35833 CVE-2022-3053 CVE-2022-37958 CVE-2022-34718 CVE-2022-37961 CVE-2022-34728 CVE-2022-34723 CVE-2022-3038 CVE-2022-34729 CVE-2022-38009 CVE-2022-30200 CVE-2022-34722 CVE-2022-38006 CVE-2022-38010 CVE-2022-3047 CVE-2022-30170 CVE-2022-38004 CVE-2022-38008 CVE-2022-34700 CVE-2022-3056 CVE-2022-34732 CVE-2022-35805 CVE-2022-26929 CVE-2022-37959 CVE-2022-3045 CVE-2022-34720 CVE-2022-3054 CVE-2022-3039 CVE-2022-34731 CVE-2022-34727 CVE-2022-3041 CVE-2022-35838 CVE-2022-37957 CVE-2022-33647 CVE-2022-37954 CVE-2022-38005 CVE-2022-35831 CVE-2022-3040 CVE-2022-3058 CVE-2022-35837 CVE-2022-34726 CVE-2022-38007 CVE-2022-30196 CVE-2022-37956 CVE-2022-35841 CVE-2022-38012 CVE-2022-34733 CVE-2022-35828 CVE-2022-37969 CVE-2022-33679 CVE-2022-37963 CVE-2022-38013 CVE-2022-35830 CVE-2022-35823 CVE-2022-38020 CVE-2022-35803 CVE-2022-35836 CVE-2022-34734 CVE-2022-35832 CVE-2022-37964 CVE-2022-37955 CVE-2022-38019 CVE-2022-3055

### Autogenerated tags:
[[windows]] [[microsoft]] [[chromium-based]] [[odbc]] [[sharepoint]] [[sql]] [[zero-day]] [[visio]] [[kerberos]] [[cve-2022-23960]]
