# Microsoft finds Netgear router bugs enabling corporate breaches
## Attackers could use critical firmware vulnerabilities discovered by Microsoft in some NETGEAR router models as a stepping stone to move laterally within enterprise networks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/microsoft-finds-netgear-router-bugs-enabling-corporate-breaches/
+ Source: Bleeping Computer
+ Author: Sergiu Gatlan
+ Date published: 30 June 2021, 14:14
+ Date scraped: 12 December 2023, 10:58

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2020/10/07/Microsoft.jpg)



Attackers could use critical firmware vulnerabilities discovered by Microsoft in some NETGEAR router models as a stepping stone to move laterally within enterprise networks.


The security flaws impact [DGN2200v1 series routers](https://www.netgear.com/support/product/DGN2200v1.aspx) running firmware versions before v1.0.0.60 and compatible with all major DSL Internet service providers.


They allow unauthenticated attackers to access unpatched routers' management pages via authentication bypass, gain access to secrets stored on the device, and derive saved router credentials using a cryptographic side-channel attack.


The three bugs "can compromise a network's security—opening the gates for attackers to roam untethered through an entire organization," Microsoft 365 Defender Research Team's Jonathan Bar Or explains.


The security issues were discovered by Microsoft's researchers while reviewing Microsoft Defender for Endpoint's new device discovery fingerprinting capabilities after noticing that a DGN2200v1 router's management port was being accessed by another device on the network.


"The communication was flagged as anomalous by machine learning models, but the communication itself was TLS-encrypted and private to protect customer privacy, so we decided to focus on the router and investigate whether it exhibited security weaknesses that can be exploited in a possible attack scenario," the researcher [added](https://www.microsoft.com/security/blog/2021/06/30/microsoft-finds-new-netgear-firmware-vulnerabilities-that-could-lead-to-identity-theft-and-full-system-compromise/).


"In our research, we unpacked the router firmware and found three vulnerabilities that can be reliably exploited."


Vulnerabilities patched by NETGEAR
----------------------------------


NETGEAR has fixed the vulnerabilities, with CVSS base scores ranging from high to critical severity, and has published a [security advisory](https://kb.netgear.com/000062646/Security-Advisory-for-Multiple-HTTPd-Authentication-Vulnerabilities-on-DGN2200v1) with additional details in December.


To download and install the patched firmware for your NETGEAR router, you have to:


1. Visit [NETGEAR Support](https://www.netgear.com/support/).
2. Start typing your model number in the search box, then select your model from the drop-down menu as soon as it appears.
3. If you do not see a drop-down menu, make sure that you entered your model number correctly or select a product category to browse for your product model.
4. Click **Downloads**.
5. Under **Current Versions**, select the download whose title begins with **Firmware Version**.
6. Click **Download**.
7. Follow the instructions in your product's user manual, firmware release notes, or product support page to install the new firmware.

Last year, security researchers also discovered a [zero-day vulnerability in 79 Netgear router models](https://www.bleepingcomputer.com/news/security/79-netgear-router-models-risk-full-takeover-due-to-unpatched-bug/) allowing remote attackers to take full control of vulnerable devices.





## Tags:
***ipv4-adresses***: 1.0.0.60

### Autogenerated tags:
[[netgear]] [[microsoft]]
