# New EvilProxy service lets all hackers use advanced phishing tactics
## A reverse-proxy Phishing-as-a-Service (PaaS) platform called EvilProxy has emerged, promising to steal authentication tokens to bypass multi-factor authentication (MFA) on Apple, Google, Facebook, Microsoft, Twitter, GitHub, GoDaddy, and even PyPI.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/new-evilproxy-service-lets-all-hackers-use-advanced-phishing-tactics/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 05 September 2022, 17:44
+ Date scraped: 05 September 2022, 19:00

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2022/08/23/phishing-hook.jpg)



A reverse-proxy Phishing-as-a-Service (PaaS) platform called EvilProxy has emerged, promising to steal authentication tokens to bypass multi-factor authentication (MFA) on Apple, Google, Facebook, Microsoft, Twitter, GitHub, GoDaddy, and even PyPI.


The service enables low-skill threat actors who don't know how to set up reverse proxies to steal online accounts that are otherwise well-protected.


Reverse proxies are servers that sit between the targeted victim and a legitimate authentication endpoint, such as a company's login form. When the victim connects to a phishing page, the reverse proxy displays the legitimate login form, forwards requests, and returns responses from the company's website.


When the victim enters their credentials and MFA to the phishing page, they are forwarded to the actual platform's server, where the user is logged in, and a session cookie is returned.


However, as the threat actor's proxy sits in the middle, it can also steal the session cookie containing the authentication token. The threat actors can then use this authentication cookie to log in to the site as the user, bypassing configured multi-factor authentication protections.



![How reverse proxies work](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/reverse-proxy-diagram.png)**How reverse proxies work** *(Resecurity)*


Sophisticated APT groups have been employing reverse proxies for a while now to bypass MFA protections on target accounts, some using their own [custom tools](https://www.bleepingcomputer.com/news/security/microsoft-accounts-targeted-with-new-mfa-bypassing-phishing-kit/) while others using more [readily-deployable kits](https://www.bleepingcomputer.com/news/security/mfa-adoption-pushes-phishing-actors-to-reverse-proxy-solutions/) like Modlishka, Necrobrowser, and Evilginx2.


The difference between these phishing frameworks and EvilProxy is that the latter is far simpler to deploy, offers detailed instructional videos and tutorials, a user-friendly graphical interface, and a rich selection of cloned phishing pages for popular internet services.



![Usage instructions on the platform](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/tutorials.png)**Usage instructions on the platform** *(Resecurity)*


## A deeper look at EvilProxy


Cybersecurity firm [Resecurity reports](https://resecurity.com/blog/article/evilproxy-phishing-as-a-service-with-mfa-bypass-emerged-in-dark-web) that EvilProxy offers an easy-to-use GUI where threat actors can set up and manage phishing campaigns and all the details that underpin them.



![Setting up a new campaign on the phishing service](https://www.bleepstatic.com/images/news/u/1220909/Website%20snaps/campaign-selection.png)**Selecting campaign options on the phishing service** *(Resucurity)*


The service promises to steal usernames, passwords, and session cookies, for a cost of $150 for ten days, $250 for 20 days, or $400 for a month-long campaign. Attacks against Google accounts cost more, at $250/450/600.


In the following video, Resecurity demonstrates how an attack against a Google account would unfold through EvilProxy.



While the service is actively promoted on various clearnet and dark web hacking forums, the operators vet the clients, so some prospective buyers are likely rejected.


According to Resecurity, the payment for the service is arranged individually on Telegram. Once the deposit is made, the customer gets access to the portal hosted in the onion network (TOR).


Resecurity's test of the platform confirmed that EvilProxy also offers VM, anti-analysis, and anti-bot protection to filter out invalid or unwanted visitors on the phishing sites hosted by the platform.



![Anti-VM features on EvilProxy](https://www.bleepstatic.com/images/news/u/1220909/Diagrams/anti-bot-check.jpg)**Anti-analysis features on EvilProxy** *(Resecurity)*


“The bad actors are using multiple techniques and approaches to recognize victims and to protect the phishing-kit code from being detected,” explains Resecurity in the report.


“Like fraud prevention and cyber threat intelligence (CTI) solutions, they aggregate data about known VPN services, Proxies, TOR exit nodes and other hosts which may be used for IP reputation analysis (of potential victims).”


## A service to look out for


As MFA adoption continues to increase, more threat actors turn to reverse-proxy tools, and the appearance of a platform that automates everything for the crooks isn’t good news for security professionals and network admins.



![EvilProxy promoted on the Breached forums](https://www.bleepstatic.com/images/news/u/1220909/Forum%20and%20Marketplace%20Posts/breached(1).png)**EvilProxy promoted on the Breached forums**


For now, this problem remains addressable only by implementing client-side TLS fingerprinting to identify and filter out man-in-the-middle requests. However, the status of this implementation in the industry isn’t in sync with the developments.


Hence, platforms like EvilProxy essentially bridge the skill gap and offer low-tier threat actors a cost-efficient way to steal valuable accounts.





## Tags:


### Autogenerated tags:
[[evilproxy]] [[resecurity]] [[phishing]] [[mfa]] [[google]]
