# Qualcomm says hackers exploit 3 zero-days in its GPU, DSP drivers
## Qualcomm is warning of three zero-day vulnerabilities in its GPU and Compute DSP drivers that hackers are actively exploiting in attacks.
## Information:

+ Link: https://www.bleepingcomputer.com/news/security/qualcomm-says-hackers-exploit-3-zero-days-in-its-gpu-dsp-drivers/
+ Source: Bleeping Computer
+ Author: Bill Toulas
+ Date published: 03 October 2023, 11:29
+ Date scraped: 03 October 2023, 16:02

## Article:
![Main article image](https://www.bleepstatic.com/content/hl-images/2021/05/05/Qualcomm.jpg)



Qualcomm is warning of three zero-day vulnerabilities in its GPU and Compute DSP drivers that hackers are actively exploiting in attacks.


The American semiconductor company was told by Google's Threat Analysis Group (TAG) and Project Zero teams that **CVE-2023-33106,** **CVE-2023-33107**, **CVE-2022-22071**, and **CVE-2023-33063** may be under limited, targeted exploitation.


Qualcomm says it has released security updates that address the issues in its Adreno GPU and Compute DSP drivers, and impacted OEMs were also notified.


"Patches for the issues affecting Adreno GPU and Compute DSP drivers have been made available, and OEMs have been notified with a strong recommendation to deploy security updates as soon as possible" – [Qualcomm](https://docs.qualcomm.com/product/publicresources/securitybulletin/october-2023-bulletin.html).
The CVE-2022-22071 flaw was [disclosed in May 2022](https://docs.qualcomm.com/product/publicresources/securitybulletin/may-2022-bulletin.html) and is a high-severity (CVSS v3.1: 8.4) locally exploitable use after free bug impacting popular chips like the SD855, SD865 5G, and SD888  

 5G


Qualcomm has not released any details on the actively exploited CVE-2023-33106, CVE-2022-22071, and CVE-2023-33063 flaws and will provide more information in its December 2023 bulletin.


This month's security bulletin also warns of three other critical vulnerabilities:


* **CVE-2023-24855**: Memory corruption in Qualcomm’s Modem component occurring when processing security-related configurations before the AS Security Exchange. (CVSS v3.1: 9.8)
* **CVE-2023-28540**: Cryptographic issue in the Data Modem component arising from improper authentication during the TLS handshake. (CVSS v3.1: 9.1)
* **CVE-2023-33028**: Memory corruption in the WLAN firmware occurring while copying the pmk cache memory without performing size checks. (CVSS v3.1: 9.8)

Along with the above, Qualcomm has disclosed 13 high-severity flaws and another three critical-severity vulnerabilities discovered by its engineers.


As the CVE-2023-24855, CVE-2023-2854, and CVE-2023-33028 flaws are all remotely exploitable, they are critical from a security standpoint, but there is no indication they are exploited.


Unfortunately, there isn't a lot impacted consumers can do besides applying the available updates as soon as those reach them through the usual OEM channels.


Flaws in drivers usually require local access to exploit, typically achieved through malware infections, so Android device owners are recommended to limit the number of apps they download and only source them from trustworthy repositories.


Yesterday, Arm issued a [similar security advisory](https://www.bleepingcomputer.com/news/security/arm-warns-of-mali-gpu-flaws-likely-exploited-in-targeted-attacks/) warning about an actively exploited flaw (CVE-2023-4211 discovered and reported to them by Google's Threat Analysis Group (TAG) and Project Zero, which impacts a wide range of Mali GPU drivers.





## Tags:
***CVE's***: CVE-2022-22071 CVE-2023-4211 CVE-2023-2854 CVE-2023-33106 CVE-2023-33107 CVE-2023-24855 CVE-2023-33028 CVE-2023-33063 CVE-2023-28540

### Autogenerated tags:
[[qualcomm]] [[gpu]] [[cvss]] [[v3.1]] [[cve-2022-22071]]
