# Whirlpool malware rips open old Barracuda wounds
## CISA has found yet another backdoor malware variant in compromised Barracuda systems with zero-day ESG vulnerability.
## Information:

+ Link: https://www.csoonline.com/article/649348/whirlpool-malware-rips-open-old-barracuda-wounds.html
+ Source: CSO
+ Author: Shweta Sharma
+ Date published: 11 August 2023, 11:24
+ Date scraped: 11 August 2023, 12:01

## Article:
![Main article image](https://www.csoonline.com/wp-content/uploads/2023/08/backdoor_back_door_exit_by_baku_retsu_gettyimages-601127890_abstract_security_circuits_locks_data_blocks_by_krulua_gettyimages-866263940_2400x1600-100834843-orig.jpg?quality=50&strip=all&w=1024)



CISA has found yet another backdoor malware variant in compromised Barracuda systems with zero-day ESG vulnerability.








Advanced persistent threat ([APT](https://www.csoonline.com/article/535072/in-depth-what-does-apt-really-mean.html)) attacks targeting a former [zero-day](https://www.csoonline.com/article/565704/zero-days-explained-how-unknown-vulnerabilities-become-gateways-for-attackers.html) remote command injection vulnerability in Barracuda email security gateway (ESG) appliances have been detected by the US cybersecurity and infrastructure security agency (CISA).


The vulnerability, according to a CISA [alert](https://www.cisa.gov/news-events/analysis-reports/ar23-221a), was used to plant [malware](https://www.csoonline.com/article/3295877/what-is-malware-viruses-worms-trojans-and-beyond.html) payloads of Seapsy and Whirlpool backdoors on the compromised devices.


While Seapsy is a known, persistent, and passive Barracuda offender masquerading as a legitimate Barracuda service "BarracudaMailService" that allows the threat actors to execute arbitrary commands on the ESG appliance, Whirlpool backdooring is a new offensive used by attackers who established a Transport Layer Security (TLS) reverse shell to the Command-and-Control (C2) server.


"CISA obtained four malware samples -- including Seapsy and Whirlpool [backdoors](https://www.csoonline.com/article/574571/backdoor-deployment-overtakes-ransomware-as-top-attacker-action.html)," the CISA alert said. "The device was compromised by threat actors exploiting the Barracuda ESG vulnerability."






Tracked as CVE-2023-2868, the vulnerability allows remote command execution on ESG appliances running versions 5.1.3.001 to 9.2.0.006.


## A long list of Barracuda offenders


While Seapsy is a known, persistent, and passive Barracuda offender masquerading as a legitimate Barracuda service "BarracudaMailService" that allows the threat actors to execute arbitrary commands on the ESG appliance, Whirlpool backdooring is a new offensive used by attackers who established a Transport Layer Security (TLS) reverse shell to the Command-and-Control (C2) server.




Whirlpool was identified as a 32-bit executable and linkable format (ELF) that takes two arguments (C2 IP and port number) from a module to establish a Transport Layer Security (TLS) reverse shell.


A TLC reverse shell is a method used in cyberattacks to establish a secure communication channel between a compromised system and an attacker-controlled server.



The module that passes the two arguments was not available for CISA analysis.


Apart from Seapsy and Whirlpool, a few other strains of [backdooring](https://www.csoonline.com/article/575535/barracuda-urges-customers-to-replace-vulnerable-appliances-immediately.html) in Barracuda ESG exploits include Saltwater, Submarine, and Seaside.


## CVE-2023-2868 plaguing Barracuda for long


The ESG vulnerability has been a Barracuda nightmare as it found exploits at exponential rates since the zero-day vulnerability identified in October 2022. The company formally reported identifying the vulnerability in May this year and then subsequently dropped patches in the same month.


Days later, however, [the company warned its customers](https://www.csoonline.com/article/575535/barracuda-urges-customers-to-replace-vulnerable-appliances-immediately.html) to replace vulnerable appliances (version 5.1.3.001 to 9.2.0.006) even if they were patched. Months later, CISA still finds evidence of ongoing exploits and it remains to be seen what Barracuda does to put an end to this issue.






## Tags:
***CVE's***: CVE-2023-2868

### Autogenerated tags:
[[esg]] [[cisa]] [[seapsy]] [[malware]] [[zero-day]] [[backdooring]] [[tls]] [[c2]]
