# Firefox 120 Released With Security Updates: What’s New!
## 10 vulnerabilities are patched, including six 'High Severity' issues and two moderate and low severity issues are fixed.
## Information:

+ Link: https://cybersecuritynews.com/?p=51407
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 23 November 2023, 11:16
+ Date scraped: 23 November 2023, 12:06

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEjZowLikUBC2jA5BhUx0MU67nl-9Cui8T9dTc8J4c6sAlDHuaxgmtkA82h7yXHWiYd0ga8zrGtygLO9uPsoU1u-TgdYi633u3tvPh5KVpEo2fMyUH5HMapKgKnxxnLL2b8qncWl7jyZbF5I3Uv5_K8hw82tCRZrgjKzDHb-PB4BUlaeH_Yq0-wfo2CocmkS/s16000/Firefox%20120%20Released%20Security%20Updates.webp)


With the release of Mozilla Firefox 120, 10 vulnerabilities are patched, including six ‘High Severity’ issues and two moderate and low severity issues.


The key changes in Firefox 120 include:


* Global Privacy Control setting
* Import data from Chromium snap
* Option to copy link without site tracking
* Picture-in-Picture (PIP) mode now supports corner snapping on Windows and Linux
* Adds new DevTools feature
* Imports TLS trust anchors
* Improvements in private windows and ETP-Strict privacy configuration.


**High Severity Flaws Addressed**
---------------------------------


The vulnerability is [CVE-2023-6204](https://bugzilla.mozilla.org/show_bug.cgi?id=1841050&_gl=1*gw4mze*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy); depending on the graphics settings and drivers, it was possible to cause an out-of-bounds read and leak memory data into images created on the canvas element. JSec of Hayyim Security reported this issue.


The bug, identified as [CVE-2023-6205](https://bugzilla.mozilla.org/show_bug.cgi?id=1854076&_gl=1*gw4mze*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy), allowed for the use of a MessagePort after it had already been freed, potentially leading to an exploitable crash. Yangkang of the 360 ATA Team reported this issue.


The [CVE-2023-6206](https://bugzilla.mozilla.org/show_bug.cgi?id=1857430&_gl=1*q34xcl*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy) issue, black fade animation while exiting fullscreen, is roughly the length of the anti-clickjacking delay on permission prompts. This fact might be used to surprise consumers by persuading them to click where the permission grant button was due to appear. The issue was reported by Hafiizh.


The flaw tracked as [CVE-2023-](https://bugzilla.mozilla.org/show_bug.cgi?id=1861344&_gl=1*q34xcl*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy)6207 is a Use-after-free in ReadableByteStreamQueueEntry::Buffer. Yangkang of the 360 ATA Team reported this high-severity issue.


[CVE-2023-6212](https://bugzilla.mozilla.org/buglist.cgi?bug_id=1658432%2C1820983%2C1829252%2C1856072%2C1856091%2C1859030%2C1860943%2C1862782&_gl=1*1b414qh*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy) is a memory safety bug fixed in Firefox 120, ESR 115.5, and Thunderbird 115.5. 


Document

Free Webinar
[Live API Attack Simulation Webinar](#)
---------------------------------------


In the upcoming webinar, Karthik Krishnamoorthy, CTO and Vivek Gopalan, VP of Products at Indusface demonstrate how APIs could be hacked. The session will cover: an exploit of OWASP API Top 10 vulnerability, a brute force account take-over (ATO) attack on API, a DDoS attack on an API, how a WAAP could bolster security over an API gateway


  [Register for Free](https://www.indusface.com/live-api-attack-simulation.php?utm_source=gbhackers-blog-cta&utm_medium=referral&utm_campaign=2023-nov-webinar-live-api-attack-simulation) 


Firefox 120 has addressed memory safety issues, which is the flaw identified as CVE-2023-6213. Developers for Mozilla reported both of the bugs with high severity.


“Some of these bugs showed evidence of memory corruption and we presume that with enough effort some of these could have been exploited to run arbitrary code”, Mozilla said in its advisory.


**Moderate and Low Severity Issues Addressed**
----------------------------------------------


Moderate Severity Issues: Using Selection API would copy contents into X11 primary selection ([CVE-2023-6208](https://bugzilla.mozilla.org/show_bug.cgi?id=1855345&_gl=1*1b414qh*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy)) and Incorrect parsing of relative URLs starting with([CVE-2023-6209](https://bugzilla.mozilla.org/show_bug.cgi?id=1858570&_gl=1*1kdkqeu*_ga*NTg5MjI5ODQ5LjE2OTI2NzQ2MDk.*_ga_MQ7767QQQW*MTcwMDczNzk1My4xOC4wLjE3MDA3Mzc5NTMuMC4wLjA.*_gcl_au*MjAxMjc3Mzk0NC4xNzAwNjI4MjUy)). 


Low Severity Issues: Mixed-content resources not blocked in a javascript: pop-up (CVE-2023-6210) and [Clickjacking](https://cybersecuritynews.com/penetration-testing-tools/) to load insecure pages in HTTPS-only mode (CVE-2023-6211).


You can **[download Firefox](https://www.mozilla.org/en-US/firefox/120.0/releasenotes/)** for Windows, macOS, or Linux from the Mozilla website.





## Tags:
***CVE's***: CVE-2023-6210 CVE-2023-6207 CVE-2023-6208 CVE-2023-6209 CVE-2023-6206 CVE-2023-6204 CVE-2023-6212 CVE-2023-6213 CVE-2023-6211 CVE-2023-6205

### Autogenerated tags:
[[api]] [[firefox]] [[mozilla]] [[windows]] [[webinar]]
