# GoTitan Botnet Actively Exploiting Apache ActiveMQ Vulnerability
## Attackers are exploiting the recently discovered critical security vulnerability tracked as (CVE-2023-46604) affecting Apache ActiveMQ.
## Information:

+ Link: https://cybersecuritynews.com/?p=52205
+ Source: Cyber Security News
+ Author: Guru
+ Date published: 29 November 2023, 14:53
+ Date scraped: 29 November 2023, 15:02

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgse7HOaBcoIuxscYxzYs6_Yxx-4s2Cqokh8ngjzfOXNzMD04fYOWhmhOwalFMj1GczdnAXAVO3aBVuspEes_b9K_5YCnUXuIBm1TWOBpAbKCj5vs1YPnvCgDWc0QvIVJKg5yl0QEADelRqzXJS0TOtXve2TsdALTaAIlCLYQc7FFquEbx3ZyBOMuv6zt71/s1600/GoTitan%20Bot%20Exploiting%20Apache%20ActiveMQ%20Flaw-1.webp)


Attackers are exploiting the recently discovered critical security vulnerability tracked as (CVE-2023-46604) affecting Apache ActiveMQ to disseminate the Golang-based botnet GoTitan and the.NET application “PrCtrl Rat,” which has the ability to be remotely controlled.


Any Operating System using Apache Active MQ versions earlier than 5.15.16, 5.16.7, 5.17.6, and 5.18.3 was susceptible to this critical vulnerability.


An advisory was released by Apache in October addressing this vulnerability ([CVE-2023-46604](https://cybersecuritynews.com/3000-apache-activemq-servers/)) that pertains to the deserialization of untrusted data in Apache. 


Due to the high risk and potential consequences of this vulnerability, CISA added CVE-2023-46604 to its list of known exploits, or KEV Catalog, on November 2.


Document

Protect Your Storage With SafeGuard
[Is Your Storage & Backup Systems Fully Protected? – Watch 40-second Tour of SafeGuard](#)
------------------------------------------------------------------------------------------


StorageGuard scans, detects, and fixes security misconfigurations and vulnerabilities across hundreds of storage and backup devices.


  [Try StorageGuard for Free](https://www.continuitysoftware.com/webinar-ensure-cyber-resilient-with-the-new-dora-regulation/?utm_source=CyberSecurityNews) 


**GoTitan Botnet – Ongoing Exploitation on Apache ActiveMQ**
------------------------------------------------------------


Generally, in this case, the attacker causes the system to unmarshal a class under their control by sending a crafted packet.


It is then necessary for a predefined XML file to be hosted externally for the susceptible server to be prompted to retrieve and load a class configuration XML file from the given remote URL.


The arbitrary code meant to run on the infected system is defined in the malicious XML file. Attackers can execute code on the remote, susceptible server by setting parameters like “cmd” or “bash.”



![Malicious XML files](https://lh7-us.googleusercontent.com/t0EHWNuqayB0LzO5oqqEXSAtOPFX1T2Wiq63_dpo4jM1WI2s85oCJpgdBmnr2tgzIH7ARrrXNUZ5KgbjarP6-kM839YKZJz_DRFGt6QAU25jxcaEZjI4Mma_BxuW8ecc2fiPPKQzhB4vtnCDFjfAJw)Malicious XML files


According to Fortinet researchers, this month, GoTitan, a new botnet, was identified, which may be obtained from the malicious URL “hxxp://91.92.242.14/main-linux-amd64s” and is written in the Go programming language. The malware runs certain checks prior to execution, and the attacker only offers binaries for x64 architectures.


Additionally, a file called “c.log” is created, containing the program status and execution time. It appears that this file is a developer’s debug log, indicating that GoTitan is still in its early stages of development.


Subsequently, it obtains the C2 IP address and crucial facts about the exploited endpoint, such as CPU details, memory, and architecture.



![C2 traffic session for GoTitan](https://lh7-us.googleusercontent.com/KMxGWuSx6x93xOO40Vk0kPg7NnQFbEmD25-u2iYj7jcXK55g-TCIlnAHihBvjkvj1g_hJsKZjewWycMA5YiTnzEWH-030DB8azs285w_QAu8S1BpSltOtuuadvd0qlAkz80xsedwHa4rOfDsLkwBpg)C2 traffic session for GoTitan


“GoTitan communicates with its [C2 server](https://cybersecuritynews.com/command-and-controlc2-server/) by sending “\xFE\xFE” as a heartbeat signal and waiting for further instructions. When it receives a command, it passes it to a function named “handle\_socket\_func2” that determines an attack method,” [researchers explain](https://www.fortinet.com/blog/threat-research/gotitan-botnet-exploitation-on-apache-activemq).


Distributed denial-of-service (DDoS) attacks can be launched using 10 distinct methods by GoTitan: TCP, TLS, RAW, HTTP GET, HTTP POST, HTTP HEAD, and HTTP PUT.


Researchers also found more well-known malware and tools in use, like Sliver, Kinsing, and Ddostf.


System updates, patching, and continuous monitoring of security advisories are essential to reduce the danger of exploitation.





## Tags:
***CVE's***: CVE-2023-46604
***ipv4-adresses***: 91.92.242.14
***urls***: http://91.92.242.14/main-linux-amd64s

### Autogenerated tags:
[[gotitan]] [[xml]] [[http]] [[cve-2023-46604]] [[botnet]] [[c2]]
