# USBs Still a Major OT Infection Vector
## Manufacturing was most exposed to OT threats in 2021
## Information:

+ Link: https://www.infosecurity-magazine.com/news/usb-ot-infection-vector/
+ Source: Infosecurity News
+ Author: Phil Muncaster
+ Date published: 17 August 2022, 08:45
+ Date scraped: 17 August 2022, 10:02

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/70a20f0d-f1be-4f5e-815e-647890293840.jpg)

Removable media represents the second greatest threat to operational technology (OT) systems so far this year, according to new data from IBM X-Force.


The vendor analyzed its incident response and managed security services (MSS) data in light of the ongoing threat from Russia and a fast-expanding digital attack surface for many OT asset owners and operators.


It revealed that phishing was the number one initial access vector for attackers in 2021, and was present in 78% of incidents analyzed over January-June 2022. However, tying for second place were scanning and exploitation of vulnerabilities and use of removable media (both 11%).


IBM said that use of personal laptops by workers in the field often leads to infected USBs, which are then plugged into operator workstations.


“Ideally, USB flash drives should be prohibited when possible,” [the vendor argued](https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fsecurityintelligence.com%2Fposts%2Fexpanding-ot-threat-landscape-2022%2F&data=05%7C01%7Cjames.coker%40rxglobal.com%7C38e8a3dbc1794b69d4a908da802a8e9b%7C9274ee3f94254109a27f9fb15c10675d%7C0%7C0%7C637963217530569597%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000%7C%7C%7C&sdata=QPevWGdiszwWpySdr8N1hMNsMQJj%2FDG2kgl3EBlTGWM%3D&reserved=0). “If absolutely necessary, strictly control the number of portable devices approved for use in your environment and disable autorun features for any removable media.”


The research highlighted other threats to OT environments. For organizations with OT monitoring tools installed, 57% of alerts concerned the continued use of the outdated and insecure TLS 1.0 encryption method.


An additional 42% of OT alerts related to attempted and successful brute force attacks. The remaining 1% was accounted for by a variety of “enumeration alerts” including Modbus function code, illegal parameters and things like weak/default passwords on devices.


Manufacturing was the most attacked sector in terms of OT threats in 2021, and it remains so this year, accounting for 23% of total incident response cases and 65% among OT industries in the first half of 2022, IBM said.


Malicious spam (malspam) was flagged as the biggest OT threat so far this year, appearing in 44% of IBM engagements, with the majority of emails attempting to deliver the notorious Emotet Trojan.


Remote access trojans (RATs) came in second at 19%, followed by ransomware (13%), business email compromise (BEC) and server access attacks (6% each).





## Tags:


### Autogenerated tags:

