# WatchGuard Report: Malware Decreases but Encrypted Malware Up in Q2 2022
## This could reflect threat actors shifting their tactics to rely on more elusive malware
## Information:

+ Link: https://www.infosecurity-magazine.com/news/malware-volume-down-encrypted/
+ Source: Infosecurity News
+ Author: Alessandro  Mascellino
+ Date published: 28 September 2022, 18:00
+ Date scraped: 28 September 2022, 18:01

## Article:
![Main article image](https://assets.infosecurity-magazine.com/webpage/og/5bb1ad7f-7a8d-4e69-923e-d23b157afd17.png)

Overall malware detections from the peaks seen in the first half of 2021 have decreased in the second quarter of 2022, but there was an increase in encrypted malware and threats targeting Chrome and Microsoft Office.


The figures come from a report published by [WatchGuard](https://www.infosecurity-magazine.com/directory/watchguard-technologies/) earlier today and shared with *Infosecurity* Magazine.


"While overall malware attacks in Q2 fell off from the all–time highs seen in previous quarters, over 81% of detections came via TLS encrypted connections, continuing a worrisome upward trend," said Corey Nachreiner, chief security officer at WatchGuard. "This could reflect threat actors shifting their tactics to rely on more elusive malware."


According to the report, the quarter's top threat was the [Follina Office vulnerability](https://www.infosecurity-magazine.com/news/microsoft-acknowledges-zero-day/) (tracked CVE–2022–30190), which was first reported in April and patched only in late May. Campaigns exploiting Follina were later [attributed to state actors](https://www.infosecurity-magazine.com/news/statebacked-hacker-follina-attacks/) by Proofpoint researchers.


Three other Office–based exploits (CVE–2018–0802, RTF–ObfsObjDat.Gen and CVE–2017–11882) were also widely detected in Germany and Greece.


Further, the WatchGuard report suggests that despite a 20% decrease in total endpoint malware detections, [malware exploiting browsers](https://www.infosecurity-magazine.com/blogs/browser-exploits-revival-lazarus/) collectively increased by 23%, with Chrome seeing a 50% surge. 


In terms of attacks [targeting OT infrastructures](https://www.infosecurity-magazine.com/blogs/industrial-cyber-attack-network/), WatchGuard said the top 10 signatures accounted for more than 75% of network attack detections amid increased targeting of ICS and SCADA systems.


Finally, the security report notes a resurgence of the Emotet malware, confirming [figures from an August report by Check Point Research (CPR](https://www.infosecurity-magazine.com/news/emotet-tops-list-most-widely-used/)) and calling it "one of network security's biggest threats."


Beyond the threats mentioned above, the document includes details on additional malware and network trends from Q2 2022, alongside recommended security strategies, critical defense tips and more.


WatchGuard's latest *[Internet Security Report](https://www.watchguard.com/wgrd-resource-center/security-report-q2-2022)* is based on anonymized Firebox Feed data from active WatchGuard Fireboxes whose owners have directly opted to share data in support of the threat lab's research efforts.






## Tags:
***CVE's***: CVE-2022-30190 CVE-2018-0802 CVE-2017-11882

### Autogenerated tags:
[[malware]] [[watchguard]]
