# A mitmproxy Vulnerability Could Allow HTTP Request Smuggling Attacks
## A major security vulnerability appeared in the mitmproxy service that allowed an adversary to conduct HTTP request smuggling attacks. Thankfully, the vulnerability received a fix before facing exploit in the wild. mitmproxy HTTP Request Smuggling Bug According
## Information:

+ Link: https://latesthackingnews.com/2022/03/30/a-mitmproxy-vulnerability-could-allow-http-request-smuggling-attacks/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 30 March 2022, 10:58
+ Date scraped: 30 March 2022, 12:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2019/11/HackerOne-vulnerabilities.jpg)

 0SHARES[Share](https://www.facebook.com/sharer.php?u=https%3A%2F%2Flatesthackingnews.com%2F2022%2F03%2F30%2Fa-mitmproxy-vulnerability-could-allow-http-request-smuggling-attacks%2F)[Tweet](https://twitter.com/intent/tweet?text=A%20mitmproxy%20Vulnerability%20Could%20Allow%20HTTP%20Request%20Smuggling%20Attacks&url=https://latesthackingnews.com/2022/03/30/a-mitmproxy-vulnerability-could-allow-http-request-smuggling-attacks/&via=7H3Wh173R4bb17)   A major security vulnerability appeared in the mitmproxy service that allowed an adversary to conduct HTTP request smuggling attacks. Thankfully, the vulnerability received a fix before facing exploit in the wild.

 ## mitmproxy HTTP Request Smuggling Bug

 According to a recent [advisory](https://mitmproxy.org/posts/releases/mitmproxy8/) from mitmproxy, the developers have released mitmproxy 8 with numerous bug fixes. These include a significant security fix, addressing a HTTP request smuggling vulnerability.

 Specifically, mitmproxy is an open-source HTTPS proxy, useful for penetration testing, debugging, and other related activities. It can help “intercept, inspect, modify and replay web traffic such as HTTP/1, HTTP/2, WebSockets, or any other SSL/TLS-protected protocols.”

 As elaborated, the bug caught the attention of the researcher Zhang Zeyu, who then reported it to mitmproxy maintainers.

 According to the details shared in a separate [GitHub advisory](https://github.com/mitmproxy/mitmproxy/security/advisories/GHSA-gcx2-gvj7-pxv3), an [HTTP request smuggling](https://latesthackingnews.com/2017/11/26/crlf-injection-attack/) attack threatened the mitmproxy 7.0.4 and earlier versions. Describing the vulnerability, the advisory states,

 
>  This means that a malicious client/server could smuggle a request/response through mitmproxy as part of another request/response’s HTTP message body. While mitmproxy would only see one request, the target server would see multiple requests. A smuggled request is still captured as part of another request’s body, but it does not appear in the request list and does not go through the usual mitmproxy event hooks, where users may have implemented custom access control checks or input sanitization.
> 
>  

 The flaw typically affected mitmproxy users using this service to protect HTTP/1 service; HTTP/2 remains unaffected.

 This bug has received the ID number [CVE-2022-24766](https://nvd.nist.gov/vuln/detail/CVE-2022-24766) with a critical severity rating and a base score of 9.8. Nonetheless, according to the statement of Maximilian Hils, mitmproxy maintainer, to the DailySwig, exploiting this vulnerability isn’t easy.

 
>  From a practical point of view, I’d argue that the impact is non-existent for the vast majority of users… There are a lot of not-so-common preconditions that need to be met.
> 
>  

 Since the patched version is publicly available, users should ensure updating asap to get the fix.

 0SHARES[Share](https://www.facebook.com/sharer.php?u=https%3A%2F%2Flatesthackingnews.com%2F2022%2F03%2F30%2Fa-mitmproxy-vulnerability-could-allow-http-request-smuggling-attacks%2F)[Tweet](https://twitter.com/intent/tweet?text=A%20mitmproxy%20Vulnerability%20Could%20Allow%20HTTP%20Request%20Smuggling%20Attacks&url=https://latesthackingnews.com/2022/03/30/a-mitmproxy-vulnerability-could-allow-http-request-smuggling-attacks/&via=7H3Wh173R4bb17)     


## Tags:
***CVE's***: CVE-2022-24766

### Autogenerated tags:
[[mitmproxy]] [[http]]
