# Apache Pulsar Vulnerability Could Allow MiTM Attacks
## A now-patched vulnerability in the Apache Pulsar platform could allow MiTM attacks, risking numerous essential services. Users must upgrade to the latest patched version to fix the vulnerability and avoid any mishaps. Apache Pulsar Vulnerability Posed
## Information:

+ Link: https://latesthackingnews.com/2022/10/03/apache-pulsar-vulnerability-could-allow-mitm-attacks/
+ Source: Latest Hacking News
+ Author: Abeerah Hashim
+ Date published: 03 October 2022, 08:55
+ Date scraped: 03 October 2022, 13:00

## Article:
![Main article image](https://latesthackingnews.com/wp-content/uploads/2019/01/ZoneAlarm-vulnerability.jpg)

 A now-patched vulnerability in the Apache Pulsar platform could allow MiTM attacks, risking numerous essential services. Users must upgrade to the latest patched version to fix the vulnerability and avoid any mishaps.

 ## Apache Pulsar Vulnerability Posed Serious Threat

 Security researcher Michael Marshall from DataStax discovered a severe security vulnerability in the Apache Pulsar platform.

 Apache Pulsar is an open-source distributed cloud-native publisher-subscribe (pub-sub) messaging and streaming platform. It’s a popular service having numerous corporate giants on its customers’ list, providing them with instant messaging, microservices, [data integration](https://latesthackingnews.com/2022/05/23/top-5-data-integration-challenges-and-ways-to-navigate-them/), and high-performance data pipelines.

 According to Marshall, exploiting the vulnerability could allow man-in-the-middle attacks on the target systems.

 As explained in an [advisory](https://security.snyk.io/vuln/SNYK-JAVA-ORGAPACHEPULSAR-3031791), the flaw existed as TLS hostname verification could be enabled in the Pulsar Broker’s Java Client, the Pulsar Broker’s Java Admin Client, the Pulsar WebSocket Proxy’s Java Client, and the Pulsar Proxy’s Admin Client. Consequently, it exposed sensitive details to an adversary, such as message data, configuration details, credentials, and any other data handled by vulnerable clients.

 The advisory further elaborates that the flaw existed on both pulsar+ssl and HTTPS protocols.

 According to [The Daily Swig](https://portswigger.net/daily-swig/vulnerability-in-apache-pulsar-allowed-manipulator-in-the-middle-attacks), exploiting the vulnerability required an attacker to take over a machine between the target server and the client. Then, since the vulnerable client would expose the authentication data to the attacker, and because the authentication happened before hostname verification, the adversary could trick the client by sending cryptographically valid certificates for an unrelated host.

 ## Patch Released

 Following this discovery, Marshall reported the matter to the vendors, following which the developers patched the vulnerability.

 The flaw affected Apache Pulsar Java Client versions 2.7.0 to 2.7.4; 2.8.0 to 2.8.3; 2.9.0 to 2.9.2; 2.10.0; and 2.6.4 and earlier. Hence, users must ensure upgrading to the patched versions 2.7.5, 2.8.4, 2.9.3, 2.10.1, or higher to receive the fix.

 Whereas, for users where upgrading isn’t immediately possible, the researcher advises rotating the static authentication data and enabling hostname verification via the respective configuration files.

 Let us know your thoughts in the comments.

   


## Tags:


### Autogenerated tags:
[[hostname]]
