# Around 19,500 end-of-life Cisco routers are exposed to hack
## Researchers warn of about 19,500 end-of-life Cisco VPN routers on the Internet that are exposed to the recently disclosed RCE exploit chain. Cisco recently warned of a critical vulnerability, tracked as CVE-2023-20025 (CVSS score of 9.0), that impacts small business RV016, RV042, RV042G, and RV082 routers. The IT giant announced that these devices will receive no security […]
## Information:

+ Link: https://securityaffairs.com/141102/hacking/eof-cisco-routers-exposed-rce.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 21 January 2023, 12:00
+ Date scraped: 21 January 2023, 13:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-14.png?resize=300%2C267&ssl=1)


## Researchers warn of about 19,500 end-of-life Cisco VPN routers on the Internet that are exposed to the recently disclosed RCE exploit chain.


Cisco recently [**warned of a critical vulnerability**](https://securityaffairs.com/140712/security/critical-bug-cisco-eol-routers.html), tracked as [CVE-2023-20025](https://sec.cloudapps.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-sbr042-multi-vuln-ej76Pke5) (CVSS score of 9.0), that impacts small business RV016, RV042, RV042G, and RV082 routers. The IT giant announced that these devices will receive no security updates to address the bug because they have reached end of life (EoL).


The flaw is an authentication bypass issue that resides in the web-based management interface of the routers, an attacker. An unauthenticated, remote attacker can exploit the CVE-2023-20025 flaw to bypass authentication on vulnerable devices.


The flaw is due to improper validation of user input within incoming HTTP packets.


An attacker could trigger the flaw by sending a specially crafted HTTP request to the web-based management interface.


*“A successful exploit could allow the attacker to bypass authentication and gain root access on the underlying operating system.” reads the [advisory](https://sec.cloudapps.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-sbr042-multi-vuln-ej76Pke5) published by the company. “Cisco has not and will not release software updates that address this vulnerability. There are no workarounds that address this vulnerability.”*


The communications technology firm said that there are no workarounds to fix this flaw, however, admins may disable remote management and block access to ports 443 and 60443.


Cisco also addressed a remote command execution vulnerability, tracked as CVE-2023-20026 (CVSS Score 6.5), that impacts Cisco Small Business RV016, RV042, RV042G, and RV082 Routers.


The company PSIRT confirmed the availability of proof-of-concept exploit code for these flaws.


Censys researchers have now reported that about 19.500 end-of-life Cisco devices for individuals and small businesses are exposed on the internet, which may be at risk of exploitation for the above flaws.


Over 19,000 end-of-life Cisco VPN routers on the Internet are exposed to attacks targeting a remote command execution exploit chain.


*“By looking at only HTTP services that include the model numbers in either the “WWW-Authenticate” response header or an HTTPS service with a matching TLS organizational unit,  [Censys search results show around 20,000 hosts](https://search.censys.io/search?resource=hosts&sort=RELEVANCE&per_page=25&virtual_hosts=EXCLUDE&q=same_service%28services.service_name%3DHTTP+and+services.tls.certificates.leaf_data.issuer.organizational_unit%3A+%7BRV042G%2CRV016%2C+RV042%2C+RV082%7D+%29+or+services.http.response.headers.www_authenticate%3A+%7B%27%3D%22RV016%22%27%2C+%27%3D%22RV042%22%27%2C+%27%3D%22RV042G%22%27%2C+%27%3D%22RV082%22%27%7D&__hstc=51647990.1ad7f28e424ab4fd138f4f3ce8764aea.1674298271448.1674298271448.1674298271448.1&__hssc=51647990.1.1674298271448&__hsfp=1257453241) have indicators that they are potentially vulnerable to this attack.” [**reads**](https://censys.wpengine.com/cve-2023-20025/) the report published by Censys.*


Most of the Internet-exposed models are RV042, with over 12k hosts exposed to the Internet.


[![Cisco routers](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-14.png?resize=1024%2C262&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2023/01/image-14.png?ssl=1)


The United States (4,594 hosts) drives the top ten countries around the world running a vulnerable Cisco device, followed by Canada (1,748 hosts), and India (1,508 hosts).


​Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)




|  |  |
| --- | --- |
| [adrotate banner=”9″] | [adrotate banner=”12″] |




[**Pierluigi Paganini**](https://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](https://securityaffairs.co/wordpress/)**–** **hacking, routers)**


[adrotate banner=”5″]


[adrotate banner=”13″]





  


---


  




## Tags:
***CVE's***: CVE-2023-20025 CVE-2023-20026

### Autogenerated tags:
[[end-of-life]] [[rv042]] [[http]] [[censys]] [[[adrotate]]
