# CISA discovered a new backdoor, named Whirlpool, used in Barracuda ESG attacks
## The U.S. Cybersecurity & Infrastructure Security Agency (CISA) observed a new backdoor, named Whirlpool, in attacks on Barracuda ESG appliances. The U.S. Cybersecurity & Infrastructure Security Agency (CISA) has discovered a new backdoor, named Whirlpool, that was employed in attacks targeting Barracuda ESG devices. At the end of May, the network security solutions provider Barracuda warned […]
## Information:

+ Link: https://securityaffairs.com/149392/hacking/whirlpool-backdoor-barracuda-esg-attacks.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 August 2023, 17:28
+ Date scraped: 10 August 2023, 19:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2020/07/CISA.jpeg?resize=300%2C300&ssl=1)



## The U.S. Cybersecurity & Infrastructure Security Agency (CISA) observed a new backdoor, named Whirlpool, in attacks on Barracuda ESG appliances.


The U.S. Cybersecurity & Infrastructure Security Agency (CISA) has discovered a new backdoor, named [Whirlpool](https://www.virustotal.com/gui/file/83ca636253fd1eb898b244855838e2281f257bbe8ead428b69528fc50b60ae9c/telemetry), that was employed in attacks targeting [Barracuda ESG](https://securityaffairs.com/147511/apt/barracuda-esg-zero-day-china-apt.html) devices.


At the end of May, the network security solutions provider Barracuda [**warned customers**](https://securityaffairs.com/146620/hacking/barracuda-email-security-gateway-bug.html) that some of its Email Security Gateway (ESG) appliances were recently by threat actors exploiting a now-patched zero-day vulnerability.


The vulnerability, tracked as [CVE-2023-2868](https://securityaffairs.com/147211/hacking/barracuda-esg-cve-2023-2868-replacement.html), resides in the module for email attachment screening, the issue was discovered on May 19 and the company fixed it with the release of two security patches on May 20 and 21.


The company investigated the flaw and discovered that it was exploited to target a subset of email gateway appliances.


As per the vendor’s statement, the flaw has been exploited in real-world scenarios, with incidents dating back to October 2022 at the very least.


*“Earliest identified evidence of exploitation of CVE-2023-2868 is currently October 2022.” reads the [**update**](https://www.barracuda.com/company/legal/esg-vulnerability)provided by the company.*


Threat actors exploited the flaw CVE-2023-2868 to obtain unauthorized access to a subset of ESG appliances. Barracuda, with the support of Mandiant, discovered the issue was exploited to deploy malware on a subset of appliances allowing for persistent backdoor access.


The company confirmed that the CVE-2023-2868 was first exploited in October 2022.


The families of malware employed in the attacks are:


* **SALTWATER** – A malware-laced module for the Barracuda SMTP daemon (bsmtpd) that supports multiple capabilities such as uploading/downloading arbitrary files, executing commands, as well as proxying and tunneling malicious traffic to avoid detection. The backdoor component is constructed by leveraging hooks on the send, recv, and close system calls, comprising a total of five distinct components referred to as “Channels” within the binary.
* **SEASPY** – An x64 ELF persistent backdoor masquerades as a legitimate Barracuda Networks service and posing itself as a PCAP filter, specifically monitoring traffic on port 25 (SMTP). SEASPY also supports backdoor functionality that is activated by a “magic packet”.
* **SEASIDE** is a module written in Lua for bsmtpd, it establishes a reverse shell via SMTP HELO/EHLO commands sent via the malware’s C2 server.


Mandiant researchers linked the threat actor UNC4841 behind the attacks that exploited the recently patched Barracuda ESG zero-day vulnerability to China.


*“Through the investigation, Mandiant identified a suspected China-nexus actor, currently tracked as UNC4841, targeting a subset of Barracuda ESG appliances to utilize as a vector for espionage, spanning a multitude of regions and sectors.” reads the [**report**](https://www.mandiant.com/resources/blog/barracuda-esg-exploited-globally) published by Mandiant. “Mandiant assesses with high confidence that UNC4841 is an espionage actor behind this wide-ranging campaign in support of the People’s Republic of China.*


At the end of July, the U.S. Cybersecurity and Infrastructure Security Agency (CISA) [published](https://securityaffairs.com/148942/malware/submarine-backdoor-barracuda-esg-attacks.html) an alert on a malware variant, tracked as SUBMARINE Backdoor, that was employed in attacks exploiting the flaw [CVE-2023-2868](https://securityaffairs.com/147211/hacking/barracuda-esg-cve-2023-2868-replacement.html) in Barracuda Email Security Gateway (ESG) appliances.


The vulnerability CVE-2023-2868 resides in the module for email attachment screening, threat actors exploited the flaw to obtain unauthorized access to a subset of ESG appliances


In early June, the company urged customers to immediately replace the ESG appliances, regardless of patch version level.


*“Impacted ESG appliances must be immediately replaced regardless of patch version level. If you have not replaced your appliance after receiving notice in your UI, contact support now (support@barracuda.com).” urges the company. “Barracuda’s remediation recommendation at this time is full replacement of the impacted ESG.”*


This week, CISA announced the discovery of the Whirlpool backdoor, a 32-bit ELF file.


*“WHIRLPOOL is a backdoor that establishes a Transport Layer Security (TLS) reverse shell to the Command-and-Control (C2) server.” reads the [report MAR-10454006.r4.v2](https://www.cisa.gov/news-events/analysis-reports/ar23-221a) published by CISA. “This artifact is a 32-bit ELF file that has been identified as a malware variant named “WHIRLPOOL”. The malware takes two arguments (C2 IP and port number) from a module to establish a Transport Layer Security (TLS) reverse shell. The module that passes the arguments was not available for analysis.”*


CISA provided recommendations to users and administrators to enhance the security posture of their organizations.



Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [**Mastodon**](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, Barracuda ESG)**



  


---


  




## Tags:
***CVE's***: CVE-2023-2868
***email-adresses***: nowsupport@barracuda.com

### Autogenerated tags:
[[esg]] [[cisa]] [[cve-2023-2868]] [[malware]] [[mandiant]] [[u.s]] [[cybersecurity]] [[smtp]] [[c2]] [[unc4841]]
