# Cisco fixed a flaw in ASA, FTD devices that can give access to RSA private key
## Cisco addressed a high severity flaw, tracked as CVE-2022-20866, affecting Adaptive Security Appliance (ASA) and Firepower Threat Defense (FTD) software. Cisco addressed a high severity vulnerability in its Adaptive Security Appliance (ASA) and Firepower Threat Defense (FTD) software. The flaw, tracked as CVE-2022-20866, impacts the handling of RSA keys on devices running Cisco ASA Software and […]
## Information:

+ Link: https://securityaffairs.co/wordpress/134287/security/cisco-flaw-asa-ftd.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 11 August 2022, 05:47
+ Date scraped: 11 August 2022, 06:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2014/07/cisco-building.jpg?resize=300%2C300&ssl=1)


Cisco addressed a high severity vulnerability in its Adaptive Security Appliance (ASA) and Firepower Threat Defense (FTD) software.


The flaw, tracked as [CVE-2022-20866](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asaftd-rsa-key-leak-Ms7UEfZz), impacts the handling of RSA keys on devices running Cisco ASA Software and FTD Software, an unauthenticated, remote attacker can trigger it to retrieve an RSA private key. Once obtained the key, the attackers can impersonate a device that is running ASA/FTD Software or to decrypt the device traffic.


*“This vulnerability is due to a logic error when the RSA key is stored in memory on a hardware platform that performs hardware-based cryptography. An attacker could exploit this vulnerability by using a Lenstra side-channel attack against the targeted device. A successful exploit could allow the attacker to retrieve the RSA private key.” reads the [advisory](https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-asaftd-rsa-key-leak-Ms7UEfZz) published by the IT giant.*


The advisory states that the following conditions may be observed on an affected device:


* This issue will impact approximately 5 percent of the RSA keys on a device that is running a vulnerable release of ASA Software or FTD Software; **not all RSA keys are expected to be affected** due to mathematical calculations applied to the RSA key.
* The **RSA key could be valid but have specific characteristics that make it vulnerable to the potential leak of the RSA private key.**
* The RSA key could be malformed and invalid. A malformed RSA key is not functional, and a TLS client connection to a device that is running Cisco ASA Software or Cisco FTD Software that uses the malformed RSA key will result in a TLS signature failure, which means a vulnerable software release created an invalid RSA signature that failed verification. If an attacker obtains the RSA private key, they could use the key to impersonate a device that is running Cisco ASA Software or Cisco FTD Software or to decrypt the device traffic.


The flaw impacts products running vulnerable Cisco ASA (9.16.1 and later) or Cisco FTD (7.0.0 and later) software that perform hardware-based cryptographic functions:


* ASA 5506-X with FirePOWER Services
* ASA 5506H-X with FirePOWER Services
* ASA 5506W-X with FirePOWER Services
* ASA 5508-X with FirePOWER Services
* ASA 5516-X with FirePOWER Services
* Firepower 1000 Series Next-Generation Firewall
* Firepower 2100 Series Security Appliances
* Firepower 4100 Series Security Appliances
* Firepower 9300 Series Security Appliances
* Secure Firewall 3100


Cisco recommends administrators of ASA/FTD devices to remove malformed or susceptible RSA keys and possibly revoke any certificates associated with those RSA keys, because it is possible that the RSA private key has been leaked to a malicious actor.


The flaw was reported by Nadia Heninger and George Sullivan of the University of California San Diego and Jackson Sippe and Eric Wustrow of the University of Colorado Boulder.


Cisco has credited Nadia Heninger and George Sullivan of the University of California San Diego and Jackson Sippe and Eric Wustrow of the University of Colorado Boulder for reporting the security flaw.


The Product Security Incident Response Team (PSIRT) is not aware of attacks in the wild exploiting this issue.


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |
| --- | --- |
|  |  |




[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking,** ASA**)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-20866

### Autogenerated tags:
[[rsa]] [[ftd]] [[servicesasa]]
