# LilacSquid APT targeted orgs in the U.S., Europe, and Asia
## A previously undocumented APT group tracked as LilacSquid targeted organizations in the U.S., Europe, and Asia since at least 2021.
## Information:

+ Link: https://securityaffairs.com/163927/apt/lilacsquid-targeted-orgs-in-us-europe-asia.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 31 May 2024, 11:19
+ Date scraped: 31 May 2024, 12:07

## Article:
![Main article image](https://securityaffairs.com/wp-content/uploads/2024/05/image-41.png)



Cisco Talos researchers reported that a previously undocumented APT group, tracked as LilacSquid, conducted a data theft campaign since at least 2021.


The attacks targeted entities in multiple industries, including organizations in information technology and industrial sectors in the United States, organizations in the energy sector in Europe, and the pharmaceutical sector in Asia.


Threat actors were observed using the open-source remote management tool MeshAgent and a customized version of [QuasarRAT](https://malpedia.caad.fkie.fraunhofer.de/details/win.quasar_rat) malware tracked by Talos as PurpleInk.


PurpleInk is the primary implant in post-exploitation activity in attacks aimed at vulnerable application servers.


The attackers exploited vulnerabilities in Internet-facing application servers and compromised remote desktop protocol (RDP) credentials to deploy a variety of open-source tools, including MeshAgent and Secure Socket Funneling (SSF), alongside customized malware, such as “PurpleInk,” and “InkBox” and “InkLoader loaders.”  The Secure Socket Funneling (SSF) tool allows attackers to proxy and tunnel multiple sockets through a secure TLS tunnel.


The threat actors aim to establish long-term access to compromised victims’ organizations to steal sensitive data.


The researchers pointed out that LilacSquid’s tactics, techniques, and procedures (TTPs) overlap with North Korea-linked APT groups such as [Andariel](https://securityaffairs.com/147976/apt/andariel-apt-earlyrat-malware.html) and [Lazarus](https://securityaffairs.com/160525/breaking-news/lazarus-apt-returned-tornado-cash.html). The Andariel APT group has been reported using MeshAgent for post-compromise access, while Lazarus extensively uses SOCKs proxy and tunneling tools along with custom malware to maintain persistence and data exfiltration. LilacSquid similarly uses SSF and other malware to create tunnels to their remote servers.



[![LilacSquid ](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-41.png?resize=1000%2C936&ssl=1)](https://i0.wp.com/securityaffairs.com/wp-content/uploads/2024/05/image-41.png?ssl=1)


InkLoader is .NET-based loader designed to run a hardcoded executable or command. It supports persistence mechanism and was spotted deploying PurpleInk.


LilacSquid uses InkLoader in conjunction with PurpleInk when they can create and maintain remote desktop (RDP) sessions using stolen credentials. After a successful RDP login, attackers downloaded InkLoader and PurpleInk, copied to specific directories, and InkLoader is registered as a service. The service is used to launch the InkLoader, which in turn deploys PurpleInk.


PurpleInk is actively developed since 2021, it relies on a configuration file to obtain information such as the command and control (C2) server’s address and port, which is typically base64-decoded and decrypted.


PurpleInk is heavily obfuscated and versatile, the malware supports multiple RAT capabilities including:


* Enumerating processes and sending details to the C2.
* Terminating specified processes.
* Running new applications.
* Gathering drive information.
* Enumerating directories and obtaining file details.
* Reading and exfiltrating specified files.
* Replacing or appending content to specified files.


Talos also observed the APT using a custom tool called InkBox to deploy PurpleInk prior to InkLoader.


*“InkBox is a malware loader that will read from a hardcoded file path on disk and decrypt its contents. The decrypted content is another executable assembly that is then run by invoking its Entry Point within the InkBox process.” reads the analysis published by Talos.*


The researchers provided [Indicators of Compromise (IOCs)](https://github.com/Cisco-Talos/IOCs/tree/main/2024/05) for the above threats on GitHub. 


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs) and [Mastodon](https://infosec.exchange/@securityaffairs)


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, APT)**





---




---





## Tags:


### Autogenerated tags:
[[purpleink]] [[inkloader]] [[malware]] [[talos]] [[lilacsquid]] [[meshagent]] [[rdp]] [[ssf]] [[inkbox]]
