# TLStorm flaws allow to remotely manipulate the power of millions of enterprise UPS devices
## Three flaws in APC Smart-UPS devices, tracked as TLStorm, could be exploited by remote attackers to hack and destroy them. Researchers from IoT security company Armis have discovered three high-impact security flaws, collectively tracked as TLStorm, affecting APC Smart-UPS devices. The flaws can allow remote attackers to manipulate the power of millions of enterprise devices carrying out extreme […]
## Information:

+ Link: https://securityaffairs.co/wordpress/128867/hacking/tlstorm-flaws-ups-devices.html
+ Source: Security Affairs
+ Author: Pierluigi Paganini
+ Date published: 10 March 2022, 05:37
+ Date scraped: 10 March 2022, 06:00

## Article:
![Main article image](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/TLStorm.jpg?resize=300%2C300&ssl=1)


Researchers from IoT security company Armis have discovered three high-impact security flaws, collectively tracked as TLStorm, affecting [APC Smart-UPS devices](https://www.apc.com/shop/us/en/categories/power/uninterruptible-power-supply-ups-/network-and-server/smart-ups/N-1h89yke).


The flaws can allow remote attackers to manipulate the power of millions of enterprise devices carrying out extreme cyber-physical attacks.


Uninterruptible power supply (UPS) devices provide emergency backup power for mission-critical systems.


*“If exploited, these vulnerabilities, dubbed TLStorm, allow for complete remote take-over of Smart-UPS devices and the ability to carry out extreme cyber-physical attacks. According to Armis data, almost 8 out of 10 companies are exposed to TLStorm vulnerabilities.” reads the [analysis](https://www.armis.com/research/tlstorm/) published by Armis.*


APC has over 20 million devices worldwide, according to the researchers, almost 8 out of 10 companies are exposed to TLStorm vulnerabilities.  


Two of the TLStorm vulnerabilities reside in the TLS implementation used by Cloud-connected Smart-UPS devices, while the third one is a design flaw in the firmware upgrade process of Smart-UPS devices.


The researchers discovered that the firmware upgrades are not properly signed and validated.


This third flaw could be exploited by an attacker to achieve persistence by planting a malicious update on vulnerable UPS devices.


Below is the list of the flaws discovered by the experts:


* CVE-2022-22806 – TLS authentication bypass: A state confusion in the TLS handshake leads to authentication bypass, leading to remote code execution (RCE) using a network firmware upgrade.
* CVE-2022-22805 – TLS buffer overflow: A memory corruption bug in packet reassembly (RCE).
* CVE-2022-0715 – Unsigned firmware upgrade that can be updated over the network (RCE).


An attacker can trigger one of the above issues to gain remote code execution on vulnerable devices and interfere with the operation of the UPS to cause physical damage.


*“The fact that UPS devices regulate high voltage power, combined with their Internet connectivity—makes them a high-value cyber-physical target.[In the television series Mr. Robot](https://www.geekwire.com/2016/mr-robot-rewind-pwning-battery-backups-explosive-season-finale/), bad actors cause an explosion using an APC UPS device.” continues Armis. “However, this is no longer a fictional attack. By exploiting these vulnerabilities in the lab, Armis researchers were able to remotely ignite a Smart-UPS device and make it literally go up in smoke.”* 



[![TLStorm](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/TLStorm.jpg?resize=617%2C322&ssl=1)](https://i0.wp.com/securityaffairs.co/wordpress/wp-content/uploads/2022/03/TLStorm.jpg?ssl=1)
Experts pointed out that vulnerabilities in the firmware upgrade process are often abused by sophisticated APT groups. 



Armis reported the flaws to Schneider Electric’s APC on October 31, 2021, the vendor addressed them with the release of [Patch Tuesday security updates](https://download.schneider-electric.com/files?p_Doc_Ref=SEVD-2022-067-02) on March 8, 2022. 


*“UPS devices, like many other digital infrastructure appliances, are often installed and forgotten. Since these devices are connected to the same internal networks as the core business systems, exploitation attempts can have severe implications.” concludes the report. It’s important for security professionals to have complete visibility of all assets, along with the ability to monitor their behavior, in order to identify anomalies and/or exploit attempts. However traditional security solutions do not cover these assets. As a result, they remain “unseen” and therefore expose the organization to significant risk.”*


Follow me on Twitter: [**@securityaffairs**](https://twitter.com/securityaffairs) and [**Facebook**](https://www.facebook.com/sec.affairs)




|  |  |


[**Pierluigi Paganini**](http://www.linkedin.com/pub/pierluigi-paganini/b/742/559)


**(**[**SecurityAffairs**](http://securityaffairs.co/wordpress/)**–** **hacking, IoT)**




 
  


---


  




## Tags:
***CVE's***: CVE-2022-22806 CVE-2022-0715 CVE-2022-22805

### Autogenerated tags:
[[armis]] [[tlstorm]] [[smart-ups]] [[apc]] [[tls]] [[cyber-physical]] [[rce]]
