# CISA Warns of Critical Vulnerabilities in Illumina Genetic Analysis Devices
## Vulnerabilities in Illumina Local Run Manager may allow a remote, unauthenticated attacker to take over a vulnerable product.
## Information:

+ Link: https://www.securityweek.com/cisa-warns-critical-vulnerabilities-illumina-genetic-analysis-devices
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 03 June 2022, 14:00
+ Date scraped: 03 June 2022, 14:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The flaws affect Illumina Local Run Manager (LRM), which is used by sequencing instruments designed for clinical diagnostic use in the sequencing of a person's DNA, testing for various genetic conditions, as well as research.


[The vulnerabilities](https://www.cisa.gov/uscert/ics/advisories/icsa-22-153-02) CISA is warning about – four “critical severity” and one “high severity” – can be exploited to execute arbitrary code, to achieve directory traversal, upload arbitrary files, connect without authentication, and perform man-in-the-middle attacks.


Tracked as CVE-2022-1517, CVE-2022-1518, and CVE-2022-1519, the most severe of these vulnerabilities feature a CVSS score of 10. They allow for remote code execution at operating system level (LRM runs with elevated privileges), the upload of data outside the intended directory structure, and the upload of arbitrary files, respectively.


The fourth critical issue – CVE-2022-1521, CVSS score of 9.1 – exists because, by default, LRM does not feature authentication or authorization, which may allow an attacker to inject, intercept, or tamper with sensitive data.


Tracked as CVE-2022-1524 (CVSS score of 7.4), the fifth vulnerability exists because TLS encryption is missing in LRM version 2.4 and lower, thus allowing a malicious actor to perform a man-in-the-middle attack and access in-transit sensitive data.


“Successful exploitation of these vulnerabilities may allow an unauthenticated malicious actor to take control of the affected product remotely and take any action at the operating system level. An attacker could impact settings, configurations, software, or data on the affected product and interact through the affected product with the connected network,” CISA notes.


The issues impact Illumina In Vitro Diagnostic (IVD) devices (NextSeq 550Dx and MiSeq Dx) and Researcher Use Only (ROU) instruments (NextSeq 500, NextSeq 550, MiSeq Instrument, iSeq 100, and MiniSeq Instrument) running different versions of LRM.


Illumina issued updates to prevent the remote exploitation of these bugs and is working on delivering full patches for them. On May 3, the company [informed](https://www.illumina.com/content/dam/illumina/gcs/assembled-assets/marketing-literature/lrm-security-announcement-m-gl-00810/lrm-security-announcement-m-gl-00810.pdf) impacted customers in the healthcare industry of the remote code execution risk associated with CVE-2022-1517.


The FDA has [informed](https://www.fda.gov/medical-devices/letters-health-care-providers/illumina-cybersecurity-vulnerability-may-present-risks-patient-results-and-customer-networks-letter) laboratory personnel and healthcare providers about these vulnerabilities.





 


## Tags:
***CVE's***: CVE-2022-1517 CVE-2022-1521 CVE-2022-1518 CVE-2022-1524 CVE-2022-1519

### Autogenerated tags:
[[lrm]] [[illumina]] [[cvss]] [[nextseq]]
