# Critical Code Execution Vulnerability Patched in Splunk Enterprise
## Splunk this week announced the release of out-of-band patches that address multiple vulnerabilities across Splunk Enterprise, including a critical issue that could lead to arbitrary code execution.
## Information:

+ Link: https://www.securityweek.com/critical-code-execution-vulnerability-patched-splunk-enterprise
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 15 June 2022, 14:03
+ Date scraped: 15 June 2022, 14:03

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Providing big data monitoring and search capabilities, Splunk uses Splunk Enterprise deployment servers to distribute configurations and content updates to various Enterprise instances, including forwarders, indexers, and search heads.


Tracked as [CVE-2022-32158](https://www.splunk.com/en_us/product-security/announcements/svd-2022-0608.html) (CVSS score of 9.0), the newly addressed critical-severity vulnerability exists because Splunk Enterprise deployment servers prior to version 9.0 allow clients to leverage the server to deploy forwarder bundles to other clients.


Because of this issue, an attacker could compromise a Universal Forwarder endpoint and then abuse it to execute arbitrary code on other endpoints connected to the deployment server.


Splunk has resolved the issue with the release of Enterprise deployment server version 9.0 and encourages customers to update their instances to this version or higher.


This week, the company also announced that it has resolved multiple high-severity bugs in Splunk Enterprise, including one where deployment servers in versions before 9.0 allow for forwarder bundles to be downloaded without authentication (CVE-2022-32157).


To resolve the issue, customers need to update their deployment servers to version 9.0 and then configure authentication for deployment servers and clients, which ensures that only universal forwarder versions 9.0 and later can be managed.


“Though the vulnerability does not directly affect Universal Forwarders, remediation requires updating all Universal Forwarders that the deployment server manages to version 9.0 or higher prior to enabling the remediation,” Splunk notes.


The Splunk Cloud Platform (SCP) is not impacted by these vulnerabilities, because it does not offer or use deployment servers.


Splunk has also resolved multiple TLS certificate validation issues, which could result in machine-in-the-middle attacks or could allow for connections from peers or nodes without valid certificates to not fail by default.


Upgrading to Splunk Enterprise version 9.0 or higher resolves all of these flaws. Splunk says it has no evidence of any of these vulnerabilities being exploited in attacks.


Splunk has released out-of-band advisories for these vulnerabilities as they are time-sensitive. The company typically issues [patch updates](https://www.splunk.com/en_us/product-security.html) on a quarterly basis, with the next set of updates set to roll out on August 2, 2022.





 


## Tags:
***CVE's***: CVE-2022-32157 CVE-2022-32158

### Autogenerated tags:
[[splunk]]
