# ESET Patches High-Severity Vulnerability in Secure Traffic Scanning Feature
## ESET has patched CVE-2023-5594, a high-severity vulnerability that can cause a browser to trust websites that should not be trusted.
## Information:

+ Link: https://www.securityweek.com/eset-patches-high-severity-vulnerability-in-secure-traffic-scanning-feature/
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 21 December 2023, 12:37
+ Date scraped: 21 December 2023, 13:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**ESET has released patches for several of its endpoint and server security products to address a high-severity vulnerability that could have been exploited to cause web browsers to trust sites that should not be trusted.**


The flaw, tracked as CVE-2023-5594, affected the SSL/TLS protocol scanning feature present in ESET products. It could have caused browsers to trust websites with certificates signed with outdated and insecure algorithms.

“The vulnerability in the secure traffic scanning feature was caused by improper validation of the server’s certificate chain,” ESET explained in its [advisory](https://support.eset.com/en/ca8562-eset-customer-advisory-improper-following-of-a-certificates-chain-of-trust-in-eset-security-products-fixed). 


It added, “An intermediate certificate signed using the MD5 or SHA1 algorithm was considered trusted, and thus the browser on a system with the ESET secure traffic scanning feature enabled could be caused to trust a site secured with such a certificate.”

The list of affected ESET products includes NOD32 Antivirus, Internet Security, Smart Security Premium, Security Ultimate, Endpoint Antivirus, Endpoint Security, Server Security, Mail Security, Security for Microsoft SharePoint Server, and File Security for Microsoft Azure.

Patches have been rolling out via automatic product updates since November 21 — no user interaction is required to install the fix.

The vulnerability was reported to ESET by an individual who wished to remain anonymous. The cybersecurity firm says it’s not aware of any attacks exploiting this vulnerability.

**Related**: [ESET Patches High-Severity Vulnerability in Windows Applications](https://www.securityweek.com/eset-patches-high-severity-vulnerability-windows-applications/)


**Related**: [Serious Vulnerability Found in Imunify360 Web Server Security Product](https://www.securityweek.com/serious-vulnerability-found-imunify360-web-server-security-product/)


**Related**: [Trend Micro Patches Exploited Zero-Day Vulnerability in Endpoint Security Products](https://www.securityweek.com/trend-micro-patches-exploited-zero-day-vulnerability-in-endpoint-security-products/)





## Tags:
***CVE's***: CVE-2023-5594

### Autogenerated tags:
[[eset]]
