# Intel Patches Severe Vulnerabilities in Firmware, Management Software
## Intel has released 27 advisories addressing approximately 60 vulnerabilities in device firmware, software libraries, and endpoint and data center management solutions.
## Information:

+ Link: https://www.securityweek.com/intel-patches-severe-vulnerabilities-firmware-management-software
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 10 August 2022, 12:00
+ Date scraped: 10 August 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


The most severe of these – based on its CVSS score – is a privilege escalation bug in the Intel-maintained Open AMT Cloud Toolkit, an open-source toolkit for integrating OOB management solutions.


Tracked as CVE-2022-25899 (CVSS score of 9.9), the vulnerability is described as an authentication bypass that an unauthenticated attacker may exploit over the network.


Intel recommends updating to [Open AMT Cloud Toolkit](https://github.com/orgs/open-amt-cloud-toolkit/repositories) versions 2.0.2 or 2.2.2, which address the security issue.


Another critical-severity vulnerability that Intel addressed this week impacts its Data Center Manager, a solution for monitoring operational information of devices within data centers.


The issue – CVE-2022-21225, CVSS score of 9.0 – is described as an improper access control that an authenticated attacker could exploit to escalate privileges via adjacent access.


The advisory for this vulnerability details three other bugs in Data Center Manager, including another improper access control issue, an improper initialization flaw, and an improper input validation bug.


On Tuesday, Intel also published ten advisories detailing high-severity vulnerabilities in processor firmware, NUC Laptop Kits, Active Management Technology (AMT) and Standard Manageability, Driver & Support Assistant (DSA) software, Rapid Storage Technology (RST) software, Integrated Performance Primitives (IPP) Cryptography software, Hardware Accelerated Execution Manager (HAXM) software, Edge Insights for Industrial software, and Wireless Bluetooth and Killer Bluetooth products.


Successful exploitation of most of these vulnerabilities could lead to escalation of privilege, while other issues could be exploited to leak information.


For most issues, the tech giant recommends updating the impacted products to newer releases that contain the necessary fixes. For Intel AMT and Intel Standard Manageability, however, Intel recommends enabling TLS and BIOS password protections to mitigate the identified vulnerabilities.


The remaining 12 advisories that Intel published this week deal with medium- and low-severity vulnerabilities. One of these details CVE-2022-21233 – also referred to as [ÆPIC Leak](https://www.securityweek.com/aepic-leak-architectural-bug-intel-cpus-exposes-protected-data) – a novel attack method targeting Intel processors that could allow an attacker to leak potentially sensitive information.


Further information on all of the addressed issues can be found on [Intel’s security center](https://www.intel.com/content/www/us/en/security-center/default.html).





 


## Tags:
***CVE's***: CVE-2022-21233 CVE-2022-25899 CVE-2022-21225

### Autogenerated tags:
[[cvss]]
