# Siemens Not Ruling Out Future Attacks Exploiting Global Private Keys for PLC Hacking
## Malicious actors could obtain global private keys that protect Siemens PLCs, and the industrial giant has warned that the likelihood of exploitation is increasing.
## Information:

+ Link: https://www.securityweek.com/siemens-not-ruling-out-future-attacks-exploiting-global-private-keys-plc-hacking
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 11 October 2022, 16:01
+ Date scraped: 11 October 2022, 16:01

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


[Details](https://claroty.com/team82/research/the-race-to-native-code-execution-in-plcs-using-rce-to-uncover-siemens-simatic-s7-1200-1500-hardcoded-cryptographic-keys) were disclosed on Tuesday by industrial cybersecurity firm Claroty, whose researchers have been looking into ways to achieve native code execution on programmable logic controllers (PLCs).


![Siemens PLC hardcoded private key](https://www.securityweek.com/sites/default/files/images/SIMATIC-S7-1200.png "Siemens PLC hardcoded private key")The vulnerability is tracked as [CVE-2022-38465](https://cert-portal.siemens.com/productcert/txt/ssa-568427.txt) and it has been rated ‘critical’. Siemens has announced the availability of fixes for affected PLCs and the TIA Portal in one of its Patch Tuesday advisories.


Siemens has also released a separate [security bulletin](https://cert-portal.siemens.com/productcert/html/ssb-898115.html) highlighting the vulnerability. According to the company, in 2013, it introduced asymmetric cryptography into the security architecture of its Simatic S7-1200 and S7-1500 CPUs in an effort to protect devices, customer programs, and communications between devices.


However, due to the lack of practical solutions for dynamic key management and key distribution for industrial control systems (ICS), at the time it decided to use a built-in global private key for protection.


Siemens has confirmed the findings of Claroty researchers, admitting that the cryptographic key is not properly protected. An attacker could launch an offline attack against a single PLC and obtain a private key that can then be used to compromise the entire product line for which the key was obtained.


The attacker can then obtain sensitive configuration data or launch man-in-the-middle (MitM) attacks that enable them to read or modify data between the PLC and its connected HMIs and engineering workstations.


Claroty researchers said they obtained the private key by exploiting an arbitrary code execution vulnerability they discovered in 2020 (CVE-2020-15782), which gave them direct memory access. They have shown how an attacker who has the private key could gain full control of a PLC and conduct MitM attacks.


[![ICS Cyber Security Conference](https://www.securityweek.com/sites/default/files/images/Image%20from%20iOS.jpg "ICS Cyber Security Conference")](https://googleads.g.doubleclick.net/pcs/click?xai=AKAOjssKzmuhHh_oiW5P66b3Q0C-Vca5Nrwl6esYjg_zVga5px5L94ogSZRNQBVdM5mVjM_hNpMbtUqQqAtDtD4AVeF9aDjhwpSV4kzq_2TJwAlgVdwqYjaQumFYmuLiXABVp5ggxcmJ2CAiKJkdof_SaMr8ejWn3-FeToSfoXWQ9Cnw3obH_83DWbw4YQWGcjJBpH6zsNqhiCJy92JNWOstJGeSOSC77A5mtWVNO_S0gBXOSN_9ceWG-w7X4wASWzo3l87E46pIWWfUx3fakv01wrRJH_3MzyYp594ULjk9TXGKf-KiNi1TIpYiCSr4deUF-RrGKxwJzkrmEg&sai=AMfl-YRzD_cJ8HATXLlYQfs1RgFU7ltpjdj00HzvHOG3urXfNUM4TKZCeAABK11CHGAOyIqh48fG9wDECzuN53jte8boOH7LsV8GQzdJwU6lDnj-N4449qXJKZ_zenqM8CFjwD_a&sig=Cg0ArKJSzHg8reKbdnHO&fbs_aeid=[gw_fbsaeid]&adurl=https://www.icscybersecurityconference.com&nm=3&nx=82&ny=-294&mb=2)


“Siemens is not aware of related cybersecurity incidents but considers the likelihood of malicious actors misusing the global private key as increasing,” Siemens warned.


The industrial giant has made significant changes to address the issue, with a unique password being set for each device and communications now being protected by TLS 1.3.


The company has released firmware updates, but noted that updating the firmware on a device is not sufficient.


“In addition, the hardware configuration in the TIA Portal project (V17 or later) must also be updated to the corresponding CPU version and downloaded to the PLC,” it told customers.





 


## Tags:
***CVE's***: CVE-2020-15782 CVE-2022-38465

### Autogenerated tags:
[[claroty]] [[plc]]
