# US Aeronautical Organization Hacked via Zoho, Fortinet Vulnerabilities
## APTs exploited vulnerabilities in Zoho ManageEngine and Fortinet VPNs to hack an aerospace organization in early January 2023.
## Information:

+ Link: https://www.securityweek.com/us-aeronautical-organization-hacked-via-zoho-fortinet-vulnerabilities/
+ Source: SecurityWeek
+ Author: Ionut Arghire
+ Date published: 08 September 2023, 09:13
+ Date scraped: 08 September 2023, 10:01

## Article:
![Main article image](https://www.securityweek.com/wp-content/uploads/2023/01/Cybersecurity_News-SecurityWeek.jpg)


**Advanced persistent threat (APT) actors have exploited known vulnerabilities in Zoho ManageEngine and Fortinet VPN products to hack an organization in the aeronautical sector, according to a joint report from the FBI, the Cybersecurity and Infrastructure Security Agency (CISA), and the Cyber Command’s Cyber National Mission Force (CNMF).**


Impacting more than 20 on-premises Zoho ManageEngine products, the first bug, tracked as CVE-2022-47966 (CVSS score of 9.8), allows remote attackers to execute arbitrary code on affected systems.

The critical-severity issue was patched in November 2022, but the [first signs of exploitation were observed in January 2023](https://www.securityweek.com/wild-exploitation-recent-manageengine-vulnerability-commences/), shortly before a proof-of-concept (PoC) exploit targeting the flaw was published. At the time, security firms identified thousands of exposed ManagedEngine instances.


The second vulnerability, CVE-2022-42475 (CVSS score of 9.8), impacts multiple FortiOS SSL-VPN and FortiProxy SSL-VPN versions, and was addressed with [emergency patches](https://www.securityweek.com/fortinet-ships-emergency-patch-already-exploited-vpn-flaw/) in December 2022.


In January 2023, however, Mandiant warned that the vulnerability had been [exploited by Chinese hackers as a zero-day](https://www.securityweek.com/chinese-hackers-exploited-fortinet-vpn-vulnerability-zero-day/), before the patches were released, in attacks aimed at a European government organization and a managed service provider in Africa.


After investigating between February and April 2023, CISA, FBI, and CNMF discovered that multiple APTs exploited the two flaws starting in January this year, to establish persistence on an aeronautical organization’s network.

“CISA and co-sealers assess that beginning as early as January 2023, multiple nation-state APT actors were present on the organization’s network via at least two initial access vectors,” the three agencies note in [an advisory](https://www.cisa.gov/sites/default/files/2023-09/aa23-250a-apt-actors-exploit-cve-2022-47966-and-cve-2022-42475_0.pdf) (PDF).


By exploiting CVE-2022-47966, the attackers gained root level access to the web server hosting Zoho ManageEngine ServiceDesk Plus, created a local user account with administrative privileges, performed reconnaissance, deployed malware, harvested credentials, and moved laterally into the network.

“CISA and co-sealers were unable to determine if proprietary information was accessed, altered, or exfiltrated. This was due to the organization not clearly defining where their data was centrally located and CISA having limited network sensor coverage,” the advisory reads.

Another APT, the advisory reveals, exploited CVE-2022-42475 to compromise the organization’s firewall device and establish multiple VPN connections during the first half of February. The attackers disabled admin credentials and deleted logs, preventing the detection of follow-up activities.

“It was identified that APT actors compromised and used disabled, legitimate administrative account credentials from a previously hired contractor—of which the organization confirmed the user had been disabled prior to the observed activity,” the advisory explains.

The attackers established multiple TLS-encrypted sessions to transfer data from the compromised firewall and moved laterally to a web server, where they deployed web shells.

The investigation revealed that the threat actors used multiple readily available tools during their attacks, including Mimikatz (credential dumping), Ngrok (creates private connection tunnel), ProcDump (process dumper), Metasploit, anydesk.exe (remote access), and others.

In their advisory, CISA, FBI, and CNMF provide information on these tools, a detailed timeline of the observed activity, indicators of compromise (IoCs) associated with the attacks, and a list of recommended mitigations to prevent similar attacks.

**Related:** [North Korean APT Hacks Internet Infrastructure Provider via ManageEngine Flaw](https://www.securityweek.com/north-korean-apt-hacks-internet-infrastructure-provider-via-manageengine-flaw/)


**Related:** [Exploitation of 55 Zero-Day Vulnerabilities Came to Light in 2022: Mandiant](https://www.securityweek.com/exploitation-of-55-zero-day-vulnerabilities-came-to-light-in-2022-mandiant/)


**Related:** [Exploitation of Recent Citrix ShareFile RCE Vulnerability Begins](https://www.securityweek.com/exploitation-of-recent-citrix-sharefile-rce-vulnerability-begins/)





## Tags:
***CVE's***: CVE-2022-47966 CVE-2022-42475

### Autogenerated tags:
[[cisa]] [[manageengine]] [[zoho]] [[cnmf]]
