# Vulnerabilities in Aruba and Avaya Switches Expose Enterprise Networks to Attacks
## TLStorm 2.0 vulnerabilities can be exploited to remotely hack Aruba and Avaya switches and abuse them to gain access to enterprise networks.
## Information:

+ Link: https://www.securityweek.com/vulnerabilities-aruba-and-avaya-switches-expose-enterprise-networks-attacks
+ Source: SecurityWeek
+ Author: Eduard Kovacs
+ Date published: 03 May 2022, 12:00
+ Date scraped: 03 May 2022, 12:00

## Article:
![Main article image](https://www.securityweek.com//favicon.ico)


Earlier this year, Armis warned that uninterruptible power supply (UPS) products made by Schneider Electric subsidiary APC are affected by critical vulnerabilities that can be exploited to remotely hack and damage devices.


The root cause of the UPS vulnerabilities, named [TLStorm](https://www.securityweek.com/millions-apc-smart-ups-devices-can-be-remotely-hacked-damaged) by Armis, was related to the implementation of Mocana’s popular TLS library NanoSSL. Further analysis showed that other vendors also introduced similar vulnerabilities in their products due to misuse of the same TLS library.


![Aruba switches affected by TLStorm 2.0 vulnerabilities](/sites/default/files/images/Aruba_switch_TLStorm_vulnerability.png "Aruba switches affected by TLStorm 2.0 vulnerabilities")Armis researchers discovered a new round of vulnerabilities, which they have dubbed [TLStorm 2.0](https://www.armis.com/blog/tlstorm-2-nanossl-tls-library-misuse-leads-to-vulnerabilities-in-common-switches/), in switches made by Extreme Networks-owned Avaya and HPE subsidiary Aruba.


Aruba switches are affected by two types of critical vulnerabilities tracked as CVE-2022-23677 and CVE-2022-23676, while Avaya devices are affected by CVE-2022-29860 and CVE-2022-29861. Each of these vulnerabilities can allow remote code execution (RCE) on the impacted device.


Another RCE vulnerability affecting Avaya devices has not been assigned a CVE identifier due to the fact that it impacts discontinued products, but Armis warned that the vulnerable devices are still in use.


The cybersecurity company has described several theoretical attack scenarios involving these vulnerabilities. One of them is related to captive portals, the web page that users see when trying to access a corporate network or the internet from an airport or a hotel.


An attacker could exploit the TLStorm 2.0 vulnerabilities to abuse a captive portal and achieve arbitrary code execution on a switch without authentication. Once they have control of the switch, the attacker can disable the captive portal and freely access the protected corporate network.


Attackers could also exploit the TLStorm 2.0 flaws to take control of a core switch, which enables them to break network segmentation and move laterally on the network.


Exploitation of the vulnerabilities can give an attacker access to sensitive information stored on the targeted network, which they can exfiltrate to remote servers.


The vulnerabilities have been found to affect Avaya ethernet routing switch (ERS) series devices and seven types of switches from Aruba. The vendors have been notified and they have released patches for the TLStorm 2.0 flaws. Armis says it’s not aware of any malicious attacks exploiting the vulnerabilities.




 


## Tags:
***CVE's***: CVE-2022-23677 CVE-2022-29860 CVE-2022-23676 CVE-2022-29861

### Autogenerated tags:
[[armis]] [[tlstorm]] [[avaya]] [[aruba]]
