# Chinese Hackers Using 42,000 Imposter Domains in Massive Phishing Attack Campaign
## A China-based, financially motivated hacking group has been spotted leveraging over 42,000 imposter domains to launch a large-scale phishing campaign.
## Information:

+ Link: https://thehackernews.com/2022/11/chinese-hackers-using-42000-imposter.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 17 November 2022, 12:36
+ Date scraped: 17 November 2022, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEiOTa_mc_nor6rDsTvqJkTWvGgDI-04QwrItcwghYDlyoY0-x6odTwwZVBZCONJdxlh-4P5wvtsq5BNxS8dpVPLDtzy5REDVRzLgn9iqGD9m5FpuaRr8roKBeoaIDQcnyfKVC-uHIOjPB17cPv-_CVNukdi1Nmks_44X8-8LFEK_WZMZ56AyYxIvbBc/s728-e100/phishing.png)


A China-based financially motivated group is leveraging the trust associated with popular international brands to orchestrate a large-scale phishing campaign dating back as far as 2019.


The threat actor, dubbed **Fangxiao** by Cyjax, is said to have registered over [42,000 imposter domains](https://www.cyjax.com/app/uploads/2022/11/fangxiao-a-chinese-threat-actor.txt), with initial activity observed in 2017.


"It targets businesses in multiple verticals including retail, banking, travel, and energy," researchers Emily Dennison and Alana Witten [said](https://www.cyjax.com/2022/11/14/fangxiao-a-chinese-threat-actor/). "Promised financial or physical incentives are used to trick victims into further spreading the campaign via WhatsApp."


Users clicking on a link sent through the messaging app are directed to an actor-controlled site, which, in turn, sends them to a landing domain impersonating a well-known brand, from where the victims are once again taken to sites distributing fraudulent apps and bogus rewards.


These sites prompt the visitors to complete a survey to claim cash prizes, in exchange for which they are asked to forward the message to five groups or 20 friends. The final redirect, however, hinges on the IP address of the victim and the browser's [User-Agent string](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/User-Agent).


More than 400 organizations, including Emirates, Shopee, Unilever, Indomie, Coca-Cola, McDonald's, and Knorr, are being imitated as part of the criminal scheme, the researchers said.


Alternatively, attacks wherein scammy mobile ads are clicked from an Android device have been observed to culminate in the deployment of a mobile trojan called [Triada](https://thehackernews.com/2022/10/modified-whatsapp-app-caught-infecting.html), which was recently spotted propagating via fake WhatsApp apps.


[![](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgN8AmLpVj5dRybWYEUtLdSdfAceJMuEAxZoWDssxn3wrwlgoOx1P8iYCFHTMlPs0D3qNFssYg_PXwFN1wCHDSsxEdCOY15jPEMRHoQ_rdMFgfKPi73_WXir_G9cew1-or5T7rIv6atC37jK-mGVKlwhRUr7GP4mePRUgtpF5PEdlrpq7GPe-d1dnjO/s728-e100/links.png)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgN8AmLpVj5dRybWYEUtLdSdfAceJMuEAxZoWDssxn3wrwlgoOx1P8iYCFHTMlPs0D3qNFssYg_PXwFN1wCHDSsxEdCOY15jPEMRHoQ_rdMFgfKPi73_WXir_G9cew1-or5T7rIv6atC37jK-mGVKlwhRUr7GP4mePRUgtpF5PEdlrpq7GPe-d1dnjO/s728-e100/links.png)
It's not just Triada, as another destination of the campaign is the Google Play Store listing of an app called "App Booster Lite - RAM Booster" ([com.app.booster.lite.phonecleaner.batterysaver.cleanmaster](https://play.google.com/store/apps/details?id=com.app.booster.lite.phonecleaner.batterysaver.cleanmaster)), which has over 10 million downloads.


The app, made by a Czechia-based developer known as LocoMind, is described as a "Powerful Phone Booster," "Smart Junk Cleaner," and an "Effective Battery Saver."


Reviews for the app have called out the publisher for showing too many ads, and even point out that they "Arrived here [the Play Store page] from one of those 'your android is damaged x%' ads."


"Our app can't spread viruses," LocoMind responded to the review on October 31, 2022. "Each of our updates is checked by Google Play – they would have removed our app long ago for this reason."


Should the same action be performed from a device running iOS, the victim is redirected to Amazon via an affiliate link, netting the actor a commission for every purchase on the e-commerce platform made during the next 24 hours.


The threat actor's China connections stem from the presence of Mandarin text in a web service associated with [aaPanel](https://github.com/aaPanel), a Python-based open source control panel for hosting multiple websites.


Further analysis of the TLS certificates issued to the survey domains in 2021 and 2022 reveals that a bulk of the registrations overlap with the UTC+08:00 time zone, which corresponds to China Standard Time from 9:00 a.m. to 11:00 p.m.


"The operators are experienced in running these kinds of imposter campaigns, willing to be dynamic to achieve their objectives, and technically and logistically capable of scaling to expand their business," the researchers said.


"The Fangxiao campaigns are effective lead generation methods which have been redirected to various domains, from malware, to referral links, to ads and adware."


  





## Tags:


### Autogenerated tags:

