# Chinese UNC4841 Group Exploits Zero-Day Flaw in Barracuda Email Security Gateway
## Chinese UNC4841 Group Exploits Zero-Day Flaw in Barracuda Email Security Gateway | Read more hacking news on The Hacker News cybersecurity news website and learn how to protect against cyberattacks and software vulnerabilities.
## Information:

+ Link: https://thehackernews.com/2023/06/chinese-unc4841-group-exploits-zero-day.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 15 June 2023, 20:26
+ Date scraped: 15 June 2023, 16:04

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEi3reQL55VYJ9dqYGQKmsSCQe6T7Qvjsgmiv4ayNMC2fkQxNjedcfEsS_NHXglQxCNrX3vTVsKzGhf2C2kH-ns4ShBdBaSKf3CHSUfRYvcwrSkAhekn_V-1_niuGWQCs65GJQZdiAfZnASBcdTJUwPUMYgwPytK1-d9C-Eqe4aWhNhZNAsJBZG6V-3X/s728-e365/Image.jpg)


A suspected China-nexus threat actor dubbed **UNC4841** has been linked to the exploitation of a recently patched zero-day flaw in Barracuda Email Security Gateway (ESG) appliances since October 2022.


"UNC4841 is an espionage actor behind this wide-ranging campaign in support of the People's Republic of China," Google-owned Mandiant [said](https://www.mandiant.com/resources/blog/barracuda-esg-exploited-globally) in a new report published today, describing the group as "aggressive and skilled."


The flaw in question is [CVE-2023-2868](https://nvd.nist.gov/vuln/detail/CVE-2023-2868) (CVSS score: 9.8), which relates to a remote code injection affecting versions 5.1.3.001 through 9.2.0.006 that arises as a result of an incomplete validation of attachments contained within incoming emails.


[![Cybersecurity](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thn.news/netspi-in-2)
Barracuda addressed the problem on May 20 and 21, 2023, but the company has since [urged](https://thehackernews.com/2023/06/barracuda-urges-immediate-replacement.html) affected customers to immediately replace the devices "regardless of patch version level."


Now according to the incident response and threat intelligence firm, which was appointed to probe the hack, UNC4841 is said to have sent emails to victim organizations containing malicious TAR file attachments that were designed to exploit the bug as early as October 10, 2022.


These email messages contained generic lures with poor grammar and, in some cases, placeholder values, a tactic deliberately chosen to disguise the communications as spam.


The goal, it noted, was to execute a reverse shell payload on the targeted ESG devices and deliver three different malware strains – [SALTWATER, SEASIDE, and SEASPY](https://thehackernews.com/2023/05/alert-hackers-exploit-barracuda-email.html) – in order to establish persistence and execute arbitrary commands, while masquerading them as legitimate Barracuda ESG modules or services.


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEj5ZzKTfu5q4bV_gaDt6NZzOUIkgCVdsH3_gKar4Ra6Ccu30NOH-LDSXJyCXoJbcd4pt9oHCoyRc0qVX6lS-k0VDCtYR5UIpi2xB-9WIAscd8vdB3GGOveDnFDbwjFClR4oMjCUkTIVFUac0csMESQAAb8DGvAPXMv1H_A_CWZWAFdj8MRw_h872Ce6/s728-e365/barracuda-fig1.png)
Also deployed by the adversary is a kernel rootkit named SANDBAR that's configured to conceal processes that begin with a specified name as well as trojanized versions of two different valid Barracuda Lua modules -


* **SEASPRAY** - A launcher for screening incoming email attachments with a particular filename and runs an external C-based utility dubbed WHIRLPOOL to create a TLS reverse shell
* **SKIPJACK** - A passive implant that listens for incoming email headers and subjects and executes the content present in "Content-ID" header field


Source code overlaps have been identified between SEASPY and a publicly available backdoor referred to as [cd00r](https://packetstormsecurity.com/files/22121/cd00r.c.html) and also between SANDBAR and an [open-source rootkit](https://github.com/Mote-Z/rootkit), suggesting that the actor repurposed existing tools to orchestrate the intrusions.


UPCOMING WEBINAR🔐 Mastering API Security: Understanding Your True Attack SurfaceDiscover the untapped vulnerabilities in your API ecosystem and take proactive steps towards ironclad security. Join our insightful webinar!

[Reserve Your Spot](https://thn.news/z-inside-2).wn-button,.wn-label,.wn-label:after{display:inline-block}.check\_two\_webinar{margin:20px 10px 30px 0;background:#f9fbff;color:#160755;padding:0 5%;border:2px solid #d9deff;border-radius:10px;text-align:left;box-shadow:10px 10px 0 #e2ebff;-webkit-border-top-left-radius:25px;-moz-border-radius-topleft:25px;-webkit-border-bottom-right-radius:25px;-moz-border-radius-bottomright:25px}.wn-label{font-size:13px;margin:20px 0 0;font-weight:600;letter-spacing:.6px;color:#596cec}.wn-label:after{width:50px;height:6px;content:'';border-top:2px solid #d9deff;margin:0 8px}.wn-title{font-size:21px;padding:10px 0 0;font-weight:900;text-align:left;line-height:33px}.wn-description{text-align:left;font-size:15.6px;line-height:26px;margin:5px 0!important;color:#4e6a8d}.wn-button{padding:6px 12px;border-radius:5px;background-color:#4469f5;font-size:15px;color:#fff!important;border:0;line-height:inherit;text-decoration:none!important;cursor:pointer;margin:15px 0 20px;float:left;font-weight:500;letter-spacing:.2px}
UNC4841 has all the hallmarks of a persistent actor, given its ability to swiftly alter its malware and employ additional persistence mechanisms as Barracuda initiated containment efforts after discovering the activity on May 19, 2023.


In some instances, the threat actor was observed leveraging access to a compromised ESG appliance to conduct lateral movement into the victim network, or to send mail to other victim appliances. Data exfiltration entailed the capture of email related data in a subset of cases.


The high frequency attacks, Mandiant said, targeted an unspecified number of private and public sector organizations located in at least 16 countries, with almost a third being government entities. 55% of the impacted organizations are located in the Americas, followed by 24% in EMEA and 22% in the Asia-Pacific region.


"UNC4841 has shown to be highly responsive to defensive efforts and actively modifies TTPs to maintain their operations," Mandiant said, adding it expects the actors to "alter their TTPs and modify their toolkit."

 
  





## Tags:
***CVE's***: CVE-2023-2868

### Autogenerated tags:
[[unc4841]] [[esg]] [[mandiant]]
