# Encryption Flaws in Popular Chinese Language App Put Users' Typed Data at Risk
## Researchers uncover critical security flaws in the popular Chinese language input app, Tencent's Sogou Input Method, putting over 455 million monthly
## Information:

+ Link: https://thehackernews.com/2023/08/encryption-flaws-in-popular-chinese.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 10 August 2023, 16:44
+ Date scraped: 10 August 2023, 12:06

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEh2sVT4MQoOg2LYabJGRtFavV-GAXg4CjVdH5nGtGxjXKMPp-SN9bABnYcxa197samkBsc1PwnW__QI07Lecw2e2KW5SZN6cU8UOHE_09oH_9pbyOWxVJOhUIpwwWL2K9LNwQAKs5Q_S6gNPxfqHn3cxacJbqNfgcMFHWcB7wftFTBhSZpXXxVU3JrkUFCj/s728-e3650/app.jpg)


A widely used Chinese language input app for Windows and Android has been found vulnerable to serious security flaws that could allow a malicious interloper to decipher the text typed by users.


The findings from the University of Toronto's Citizen Lab, which carried out an analysis of the encryption mechanism used in **Tencent's Sogou Input Method**, an app that has over 455 million monthly active users across Windows, Android, and iOS.


The vulnerabilities are rooted in EncryptWall, the service's custom encryption system, allowing network eavesdroppers to extract the textual content and access sensitive data.


"The Windows and Android versions of Sogou Input Method contain vulnerabilities in this encryption system, including a vulnerability to a CBC [padding oracle attack](https://en.wikipedia.org/wiki/Padding_oracle_attack), which allow network eavesdroppers to recover the plaintext of encrypted network transmissions, revealing sensitive information including what users have typed," the researchers [said](https://citizenlab.ca/2023/08/vulnerabilities-in-sogou-keyboard-encryption/).


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhm307Hkf3ltRaZ9aYPMAMkarRfeZqeb9lr76AYj5TyW4mi1Dhgxqe-mGbmRiDsl7xCcRfhBhMR0oDROzrIeBEpQTwhOju46GCQUVipAD8RLNXsz_A-luP30_JCYzIhfAVq7jXv4hyiDNxY8cYfqj0ucoSd1JH2jJLslSnVZ7_PIAQ9E_aUo-1_EmYeOKR3/s728-e3650/2.png)](https://thn.news/edWGl41h)
CBC, short for [cipher block chaining](https://en.wikipedia.org/wiki/Block_cipher_mode_of_operation#Cipher_block_chaining_(CBC)), is a mode of cryptographic operation in which each block of plaintext is [XORed](https://en.wikipedia.org/wiki/Exclusive_or) with the previous ciphertext block before being encrypted.


Given that a block cipher works on fixed size plaintext blocks, a [padding oracle attack](https://research.nccgroup.com/2021/02/17/cryptopals-exploiting-cbc-padding-oracles/) could be used to leak data about whether the received ciphertext, when decrypted, has a valid padding. In doing so, a threat actor could decrypt a message without actually knowing the encryption key.


Interestingly, the iOS version of Sogou Input Method was found to be secure against network eavesdropping, although it "would have been the most vulnerable" due to a second defect in the EncryptWall implementation wherein the first half of the encryption key could be trivially recovered.


It's worth noting that the scope of the issues are not limited to Chinese writers in China. Statistics from SimilarWeb show that visits to the app's website – [shurufa.sogou[.]com](https://www.similarweb.com/website/shurufa.sogou.com/#overview) – also come from the U.S., Taiwan, Hong Kong, and Japan.


[![Cybersecurity](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgNmNiBV8c8Rp0Xy6N9lCX9JL2cBlrjkSeuW4JhgOVQ3mKTsYV4pPvh3nDz32D97D8XcWQ53EJ1p4n2VX0gZH_YrBZBqElUMfzFWgb50P8lv1iac_1f-p5liZzC1ISVWJygv2s1Qm36rOHwk_kPXUNNT3nbSDr144QYZ6XGq0aXRDOrFfSlUnHnc0x4Fe_F/s728-e3650/cis-d.gif)](https://thn.news/Cr7gkMdK)
Following responsible disclosure in May and June 2023, the problem has been addressed by Tencent in version 13.7 (Windows), 11.26 (Android), and 11.25 (iOS) as of late last month.


"This vulnerability could have been easily avoided by, instead of using 'homebrew' cryptography, adopting TLS, a common and mature cryptographic protocol with ubiquitous availability and up-to-date support," researchers Jeffrey Knockel, Zoë Reichert, and Mona Wang said.


"While no cryptographic protocol is perfect, TLS implementations had already ameliorated vulnerability to CBC padding oracle attacks [in 2003](https://www.openssl.org/news/secadv/20030219.txt)."


  





## Tags:
***urls***: http://shurufa.sogou.com

### Autogenerated tags:
[[windows]] [[android]] [[sogou]] [[cbc]]
