# GoTitan Botnet Spotted Exploiting Recent Apache ActiveMQ Vulnerability
## 🚨 Apache ActiveMQ's CVE-2023-46604 vulnerability is under active exploitation by threat actors, leading to the distribution of a new Go-based botnet
## Information:

+ Link: https://thehackernews.com/2023/11/gotitan-botnet-spotted-exploiting.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 29 November 2023, 10:37
+ Date scraped: 29 November 2023, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEj9HJ1TpsGoYbEpSxWe02ODflU3GV58Aku4MYFO1e9us1YSk5QNwRYdlMPuay5SyG8zCemAYHrM9xVuGZ3wmeDMe3h_iROpOcEKJ2gfS3bUwCD798XkJhkuHyJDq5DpuxKxuyUZHubDG9nDNPJaOn9ebQ-tFCMZemZ3K4zgJPK05I7jPA9i2C5z_fSo1C5X/s728-rw-ft-e30/server.jpg)


The recently disclosed critical security flaw impacting Apache ActiveMQ is being actively exploited by threat actors to distribute a new Go-based botnet called **GoTitan** as well as a .NET program known as **PrCtrl Rat** that's capable of remotely commandeering the infected hosts.


The attacks involve the exploitation of a remote code execution bug (CVE-2023-46604, CVSS score: 10.0) that has been [weaponized](https://thehackernews.com/2023/11/kinsing-hackers-exploit-apache-activemq.html) by various hacking crews, including the [Lazarus Group](https://thehackernews.com/2023/11/n-korean-hackers-mixing-and-matching.html), in recent weeks.


Following a successful breach, the threat actors have been observed to drop next-stage payloads from a remote server, one of which is GoTitan, a botnet designed for orchestrating distributed denial-of-service (DDoS) attacks via protocols such as HTTP, UDP, TCP, and TLS.


"The attacker only provides binaries for x64 architectures, and the malware performs some checks before running," Fortinet Fortiguard Labs researcher Cara Lin [said](https://www.fortinet.com/blog/threat-research/gotitan-botnet-exploitation-on-apache-activemq) in a Tuesday analysis.


"It also creates a file named 'c.log' that records the execution time and program status. This file seems to be a debug log for the developer, which suggests that GoTitan is still in an early stage of development."


[![GoTitan Botnet](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEib0ABJtb90V2mM_8givOriUcDR2_LseU9rqnpUKm3wgJu2j0rm7WsqEHWPFf31oZODDg0RdJVOWjTxQJyG84YITsuvC6kuAHKnm4HOKgiMlv4fwugDSYgCzQSVOVAMxbx7N0u7DRmQttPmCoeHUi3NNcyUBuBaPWErQCczDKOZOJe2NBpKuE8XnLNsSdfu/s728-rw-ft-e30/malware.jpg)](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEib0ABJtb90V2mM_8givOriUcDR2_LseU9rqnpUKm3wgJu2j0rm7WsqEHWPFf31oZODDg0RdJVOWjTxQJyG84YITsuvC6kuAHKnm4HOKgiMlv4fwugDSYgCzQSVOVAMxbx7N0u7DRmQttPmCoeHUi3NNcyUBuBaPWErQCczDKOZOJe2NBpKuE8XnLNsSdfu/s728-rw-ft-e30/malware.jpg)
Fortinet said it also observed instances where the susceptible Apache ActiveMQ servers are being targeted to deploy another DDoS botnet called [Ddostf](https://thehackernews.com/2023/11/alert-oracleiv-ddos-botnet-targets.html), [Kinsing malware](https://thehackernews.com/2023/11/kinsing-hackers-exploit-apache-activemq.html) for cryptojacking, and a command-and-control (C2) framework named [Sliver](https://thehackernews.com/2023/01/threat-actors-turn-to-sliver-as-open.html).


Another notable malware delivered is a remote access trojan dubbed PrCtrl Rat that establishes contact with a C2 server to receive additional commands for execution on the system, harvest files, and download and upload files from and to the server.


"As of this writing, we have yet to receive any messages from the server, and the motive behind disseminating this tool remains unclear," Lin said. "However, once it infiltrates a user's environment, the remote server gains control over the system."



  





## Tags:
***CVE's***: CVE-2023-46604

### Autogenerated tags:
[[botnet]] [[gotitan]] [[malware]]
