# Microsoft's January 2024 Windows Update Patches 48 New Vulnerabilities
## Microsoft's latest update tackles a whopping 48 security vulnerabilities! Stay protected with their January 2024 Patch Tuesday fixes
## Information:

+ Link: https://thehackernews.com/2024/01/microsofts-january-2024-windows-update.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 10 January 2024, 10:56
+ Date scraped: 10 January 2024, 06:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgmYQb8ZWgc6SQKqD78wbsfa4RvhTidBdFPP5wdJX6uwlG0xGswgus23_htsQvngCe4DPzg3D8Pt-HykLPbnlsd4bYzqgZ_qjW98X69mxiGrs26KSprLkrt58lkFB9xAAhjC4dUKSchtxZrmAqdqz9nDzlM8pRNblLEzY_AYQdQeA_3zegm9daRsUKiqTSi/s728-rw-ft-e30/ms.png)


Microsoft has addressed a total of [48 security flaws](https://msrc.microsoft.com/update-guide/releaseNote/2024-Jan) spanning its software as part of its Patch Tuesday updates for January 2024.


Of the 48 bugs, two are rated Critical and 46 are rated Important in severity. There is no evidence that any of the issues are publicly known or under active attack at the time of release, making it the second consecutive Patch Tuesday with no zero-days.


The fixes are in addition to [nine security vulnerabilities](https://learn.microsoft.com/en-us/deployedge/microsoft-edge-relnotes-security) that have been resolved in the Chromium-based Edge browser since the release of [December 2023 Patch Tuesday](https://thehackernews.com/2023/12/microsofts-final-2023-patch-tuesday-33.html) updates. This also includes a fix for a zero-day ([CVE-2023-7024](https://thehackernews.com/2023/12/urgent-new-chrome-zero-day.html), CVSS score: 8.8) that Google said has been actively exploited in the wild.


The most critical among flaws patched this month are as follows -


* [**CVE-2024-20674**](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2024-20674) (CVSS score: 9.0) - Windows Kerberos Security Feature Bypass Vulnerability
* [**CVE-2024-20700**](https://msrc.microsoft.com/update-guide/vulnerability/CVE-2024-20700) (CVSS score: 7.5) - Windows Hyper-V Remote Code Execution Vulnerability


"The authentication feature could be bypassed as this vulnerability allows impersonation," Microsoft said in an advisory for CVE-2024-20674.


"An authenticated attacker could exploit this vulnerability by establishing a machine-in-the-middle (MitM) attack or other local network spoofing technique, then sending a malicious Kerberos message to the client victim machine to spoof itself as the Kerberos authentication server."


However, the company noted that successful exploitation requires an attacker to gain access to the restricted network first. Security researcher [ldwilmore34](https://twitter.com/ldwilmore34/status/1744829501459038451) has been credited with discovering and reporting the flaw.


CVE-2024-20700, on the other hand, neither requires authentication nor user interaction to achieve remote code execution, although winning a race condition is a prerequisite to staging an attack.


"It isn't clear exactly where the attacker must be located — the LAN on which the hypervisor resides, or a virtual network created and managed by the hypervisor — or in what context the remote code execution would occur," Adam Barnett, lead software engineer at Rapid7, told The Hacker News.


Other notable flaws include [CVE-2024-20653](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2024-20653) (CVSS score: 7.8), a privilege escalation flaw impacting the Common Log File System (CLFS) driver, and [CVE-2024-0056](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2024-0056) (CVSS score: 8.7), a security bypass affecting System.Data.SqlClient and Microsoft.Data.SqlClient.


"An attacker who successfully exploited this vulnerability could carry out a machine-in-the-middle (MitM) attack and could decrypt and read or modify TLS traffic between the client and server," Redmond said.


Microsoft further noted that it's disabling the ability to insert FBX files in Word, Excel, PowerPoint, and Outlook in Windows by default due to a security flaw ([CVE-2024-20677](https://msrc.microsoft.com/update-guide/en-US/advisory/CVE-2024-20677), CVSS score: 7.8) that could lead to remote code execution.


"3D models in Office documents that were previously inserted from an FBX file will continue to work as expected unless the 'Link to File' option was chosen at the insert time," Microsoft said in a [separate alert](https://prod.support.services.microsoft.com/en-us/topic/support-for-fbx-files-has-been-turned-off-in-office-9f2387f1-84ec-496a-a288-2c6f774db219). "GLB (Binary GL Transmission Format) is the recommended substitute 3D file format for use in Office."


It's worth noting that Microsoft took a similar step of disabling the SketchUp (SKP) file format in Office following [ZScaler's discovery of 117 security flaws](https://www.zscaler.com/blogs/security-research/threatlabz-discovers-117-vulnerabilities-microsoft-365-apps-sketchup-3d-part-2) in Microsoft 365 applications.


### Software Patches from Other Vendors[#](#software-patches-from-other-vendors)


In addition to Microsoft, security updates have also been released by other vendors over the past few weeks to rectify several vulnerabilities, including -


* [Adobe](https://helpx.adobe.com/security/security-bulletin.html)
* [AMD](https://www.amd.com/en/corporate/product-security)
* [Android](https://source.android.com/docs/security/bulletin/2024-01-01)
* [Arm](https://developer.arm.com/Arm%20Security%20Center/Mali%20GPU%20Driver%20Vulnerabilities)
* [ASUS](https://www.asus.com/content/asus-product-security-advisory/)
* [Bosch](https://psirt.bosch.com/security-advisories/)
* [Cisco](https://tools.cisco.com/security/center/publicationListing.x)
* [Dell](https://www.dell.com/support/security/)
* [F5](https://support.f5.com/csp/new-updated-articles)
* [Fortinet](https://www.fortiguard.com/psirt)
* [Google Chrome](https://chromereleases.googleblog.com/2024/01/stable-channel-update-for-desktop_9.html)
* [Google Cloud](https://cloud.google.com/support/bulletins)
* [HP](https://support.hp.com/us-en/security-bulletins)
* [IBM](https://www.ibm.com/support/pages/bulletin/)
* [Intel](https://www.intel.com/content/www/us/en/security-center/default.html)
* [Lenovo](https://support.lenovo.com/us/en/product_security/ps500001-lenovo-product-security-advisories)
* Linux distributions [Debian](https://www.debian.org/security/2022/), [Oracle Linux](https://linux.oracle.com/ords/f?p=105:21::::RP::), [Red Hat](https://access.redhat.com/security/security-updates/#/security-advisories?q=&p=1&sort=portal_publication_date%20desc&rows=10&portal_advisory_type=Security%20Advisory&documentKind=PortalProduct), [SUSE](https://www.suse.com/support/update/), and [Ubuntu](https://ubuntu.com/security/notices)
* [MediaTek](https://corp.mediatek.com/product-security-bulletin/January-2024)
* [NETGEAR](https://www.netgear.com/about/security/)
* [Qualcomm](https://docs.qualcomm.com/product/publicresources/securitybulletin/)
* [Samsung](https://security.samsungmobile.com/securityUpdate.smsb)
* [SAP](https://dam.sap.com/mac/app/e/pdf/preview/embed/ucQrx6G?ltr=a&rc=10)
* [Schneider Electric](https://www.se.com/ww/en/work/support/cybersecurity/security-notifications.jsp)
* [Siemens](https://new.siemens.com/global/en/products/services/cert.html#SecurityPublications)
* [Splunk](https://advisory.splunk.com/)
* [Synology](https://www.synology.com/en-in/security/advisory)
* [Trend Micro](https://success.trendmicro.com/dcx/s/vulnerability-response?language=en_US)
* [Zimbra](https://wiki.zimbra.com/wiki/Security_Center), and
* [Zoom](https://explore.zoom.us/en/trust/security/security-bulletin/)


  





## Tags:
***CVE's***: CVE-2023-7024 CVE-2024-20653 CVE-2024-20674 CVE-2024-20700 CVE-2024-20677 CVE-2024-0056

### Autogenerated tags:
[[microsoft]] [[cvss]] [[google]] [[windows]] [[kerberos]]
