# New Wi-Fi Protocol Security Flaw Affecting Linux, Android and iOS Devices
## A group of academics has discovered a fundamental flaw in the IEEE 802.11 Wi-Fi protocol standard affecting Linux, FreeBSD, Android, and iOS.
## Information:

+ Link: https://thehackernews.com/2023/03/new-wi-fi-protocol-security-flaw.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 30 March 2023, 12:21
+ Date scraped: 30 March 2023, 13:00

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEirzH1Mbgznd5JkWU4XTQQiyKow69Kqjg70OlkzG37-8ygvdifznnH1uLbPnDx0WglC7Y0JNexGJVc9nh8ahiHlRh_q1RPXUmn-2UrvJMjrKV2MrQIOpdTXK2HdfF65zfCasupb7ycu7qbCvao6QhkMD4zIcUJVlEjM9mA6mziuVkLDLW4RyLoK0vE_/s728-e365/mac.png)


A group of academics from Northeastern University and KU Leuven has disclosed a fundamental design flaw in the IEEE 802.11 Wi-Fi protocol standard, impacting a wide range of devices running Linux, FreeBSD, Android, and iOS.


Successful exploitation of the shortcoming could be abused to hijack TCP connections or intercept client and web traffic, researchers Domien Schepers, Aanjhan Ranganathan, and Mathy Vanhoef said in a paper published this week.


The [approach](https://www.blackhat.com/asia-23/briefings/schedule/index.html#sweet-dreams-abusing-sleep-mode-to-break-wi-fi-encryption-and-disrupt-wpa-networks-30942) exploits [power-save mechanisms](https://jwcn-eurasipjournals.springeropen.com/articles/10.1186/s13638-016-0524-5) in endpoint devices to trick access points into leaking [data frames](https://en.wikipedia.org/wiki/802.11_Frame_Types) in plaintext, or encrypt them using [an all-zero key](https://www.eset.com/int/kr00k/).


"The unprotected nature of the power-save bit in a frame's header [...] also allows an adversary to force queue frames intended for a specific client resulting in its disconnection and trivially executing a denial-of-service attack," the researchers noted.


In other words, the goal is to leak frames from the access point destined to a victim client station by taking advantage of the fact that most Wi-Fi stacks do not adequately dequeue or purge their transmit queues when the security context changes.


Besides manipulating the security context to leak frames from the queue, an attacker can override the client's security context used by an access point to receive packets intended for the victim. This attack pre-supposes that the targeted party is connected to a hotspot-like network.


"The core idea behind the attack is that the manner in which clients are authenticated is unrelated to how packets are routed to the correct Wi-Fi client," Vanhoef [explained](https://github.com/vanhoefm/macstealer).


"A malicious insider can abuse this to intercept data towards a Wi-Fi client by disconnecting a victim and then connecting under the MAC address of the victim (using the credentials of the adversary). Any packets that were still underway to the victim, such website data that the victim was still loading, will now be received by the adversary instead."


[![](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhe9Yo6Tu8eqbXRwEr2FgDoCwaWNYRaMG8QDchQK9K4UF_7eKUf6PneNufzwtCv9GhiaN6Jyg0-iFmd8hXhqTVlQbBTtbhluVGbpNksmL2XvD0kHQXIlFPylaBLqYdHWdXNYeWZq0_rkYPAl3pORSRkrQ7xbLxx7-_gEvCbtuFJc_2nevL6mP8wiOja/s728-e365/wifihacking.png)
Cisco, in an informational advisory, [described](https://sec.cloudapps.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-wifi-ffeb-22epcEWu) the vulnerabilities as an "opportunistic attack and the information gained by the attacker would be of minimal value in a securely configured network."


However, the company acknowledged that the attacks presented in the study may be successful against Cisco Wireless Access Point products and Cisco Meraki products with wireless capabilities.


To reduce the probability of such attacks, it's recommended to implement transport layer security (TLS) to encrypt data in transit and apply policy enforcement mechanisms to restrict network access.


The findings arrive months after researchers Ali Abedi and Deepak Vasisht demonstrated a location-revealing privacy attack called [Wi-Peep](https://dl.acm.org/doi/abs/10.1145/3495243.3560530) that also exploits the 802.11 protocol's power-saving mechanism to localize target devices.


The research also follows other recent studies that have leveraged the [Google Geolocation AP](https://developers.google.com/maps/documentation/geolocation/overview)I to launch [location spoofing attacks](https://dl.acm.org/doi/abs/10.1145/3548606.3560623) in urban areas, not to mention use Wi-Fi signals to [detect and map human movement](https://arxiv.org/abs/2301.00250) in a room.



  





## Tags:


### Autogenerated tags:
[[wi-fi]]
