# OpenSSL to Release Security Patch for Remote Memory Corruption Vulnerability
## A remote memory-corruption vulnerability has been disclosed in the latest version of the OpenSSL library.
## Information:

+ Link: https://thehackernews.com/2022/06/openssh-to-release-security-patch-for.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 28 June 2022, 08:59
+ Date scraped: 29 June 2022, 08:13

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEhUlWCMnl735zvt66cRPTeHLbnXUO7GCkGW1T-rKuBivn9vzI5m-L2Oh4EZc67MRqgyv9IanINQGoQjMj9-oLsMaVGCevh5QrRF5rA3wYzKm3rXPzPJZCpl_xUSswFKMgAvCH9m5KKzhflxkjzwqeIIDkBX4gdL233fkb5FyFs9Yz6wqB27vbemZEFh/s728-e1000/openssl.jpg)


The latest version of the OpenSSL library has been discovered as susceptible to a remote memory-corruption vulnerability on select systems.


The issue has been identified in OpenSSL [version 3.0.4](https://github.com/openssl/openssl/releases/tag/openssl-3.0.4), which was released on June 21, 2022, and impacts x64 systems with the [AVX-512](https://en.wikipedia.org/wiki/AVX-512) instruction set. OpenSSL 1.1.1 as well as OpenSSL forks BoringSSL and LibreSSL are not affected.


Security researcher Guido Vranken, who reported the bug at the end of May, [said](https://guidovranken.com/2022/06/27/notes-on-openssl-remote-memory-corruption/) it "can be triggered trivially by an attacker." Although the shortcoming has been [fixed](https://github.com/openssl/openssl/pull/18626/commits/71ad6a8da3e39bd4caf5c6c767287ddd9bce8bae), no patches have been made available as yet.


OpenSSL is a popular cryptography library that offers an open source implementation of the Transport Layer Security ([TLS](https://en.wikipedia.org/wiki/Transport_Layer_Security)) protocol. Advanced Vector Extensions ([AVX](https://github.com/openssl/openssl/issues/18625%20en.wikipedia.org/wiki/Advanced_Vector_Extensions)) are extensions to the x86 instruction set architecture for microprocessors from Intel and AMD.


"I do not think this is a security vulnerability," Tomáš Mráz of the OpenSSL Foundation said in a GitHub issue thread. "It is just a serious bug making the 3.0.4 release unusable on AVX-512 capable machines."


On the other hand, Alex Gaynor pointed out, "I'm not sure I understand how it's not a security vulnerability. It's a heap buffer overflow that's triggerable by things like RSA signatures, which can easily happen in remote contexts (e.g. a TLS handshake)."


Xi Ruoyao, a postgraduate student at Xidian University, chimed in, stating that although "I think we shouldn't mark a bug as 'security vulnerability' unless we have some evidence showing it can (or at least, may) be exploited," it's necessary to release version 3.0.5 as soon as possible given the severity of the issue.


  





## Tags:


### Autogenerated tags:
[[openssl]]
