# Qualcomm Releases Patch for 3 new Zero-Days Under Active Exploitation
## 🚨 Urgent! Qualcomm releases security updates to patch 17 vulnerabilities, including 3 zero-days actively exploited
## Information:

+ Link: https://thehackernews.com/2023/10/qualcomm-releases-patch-for-3-new-zero.html
+ Source: The Hacker News
+ Author: THN
+ Date published: 03 October 2023, 22:07
+ Date scraped: 03 October 2023, 17:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhA02JTgoMFo7fx7IvX_9DXELQ2Zyg-mljqtz2j-vu8HmA8faDp4cMaW74B6ldAf2bQR4t9ocCVd60i8_nfTNjsaUl4BalDfhNsNCLh1bJxGfb9ICU5CIHAiIsXoKkPKD-96IB1swI9smjjyOOfUc-CGbqZiKHNMGpdzBSOo2OZ5J5Y6TlM80j7KvQNgQVG/s728-rw-ft-e30/qqq.jpg)


Chipmaker Qualcomm has released security updates to address 17 vulnerabilities in various components, while warning that three other zero-days have come under active exploitation.


Of the 17 flaws, three are rated Critical, 13 are rated High, and one is rated Medium in severity.


"There are indications from Google Threat Analysis Group and Google Project Zero that CVE-2023-33106, CVE-2023-33107, CVE-2022-22071, and CVE-2023-33063 may be under limited, targeted exploitation," the semiconductor company [said](https://docs.qualcomm.com/product/publicresources/securitybulletin/october-2023-bulletin.html) in an advisory.


"Patches for the issues affecting Adreno GPU and Compute DSP drivers have been made available, and OEMs have been notified with a strong recommendation to deploy security updates as soon as possible."


[CVE-2022-22071](https://nvd.nist.gov/vuln/detail/cve-2022-22071) (CVSS score: 8.4), described as a use-after-free in Automotive OS Platform, was originally patched by the company as part of its May 2022 updates.


While additional specifics about the remaining other flaws are expected to be made public in December 2023, the disclosure comes the same day Arm shipped patches for a security flaw in the Mali GPU Kernel Driver ([CVE-2023-4211](https://thehackernews.com/2023/10/arm-issues-patch-for-mali-gpu-kernel.html)) that has also come under limited, targeted exploitation.


Qualcomm's October 2023 updates also address three critical issues, although there is no evidence that they have been abused in the wild -


* [**CVE-2023-24855**](https://nvd.nist.gov/vuln/detail/CVE-2023-24855) (CVSS score: 9.8) - Memory corruption in Modem while processing security related configuration before AS Security Exchange.
* [**CVE-2023-28540**](https://nvd.nist.gov/vuln/detail/CVE-2023-28540) (CVSS score: 9.1) - Cryptographic issue in Data Modem due to improper authentication during TLS handshake.
* [**CVE-2023-33028**](https://nvd.nist.gov/vuln/detail/CVE-2023-33028) (CVSS score: 9.8) - Memory corruption in WLAN Firmware while doing a memory copy of pmk cache.


Users are advised to apply updates from original equipment manufacturers (OEMs) as soon as they become available.



  





## Tags:
***CVE's***: CVE-2022-22071 CVE-2023-33106 CVE-2023-33107 CVE-2023-33028 CVE-2023-24855 CVE-2023-4211 CVE-2023-33063 CVE-2023-28540

### Autogenerated tags:
[[cvss]]
