# Sea Turtle Cyber Espionage Campaign Targets Dutch IT and Telecom Companies
## A new cyber espionage campaign targets the Netherlands' telecom and IT sectors. The Türkiye-linked Sea Turtle group is behind these politically motiva
## Information:

+ Link: https://thehackernews.com/2024/01/sea-turtle-cyber-espionage-campaign.html
+ Source: The Hacker News
+ Author: The Hacker News
+ Date published: 06 January 2024, 13:49
+ Date scraped: 06 January 2024, 09:01

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEh9XrPTcl6ubHQSq8xub3PHDVlgIZcjGTm0WK8yEPIDhZkITdcY83gop2bXqIFwhvveNm0TBVa9XHqgIXcJ8A_Dg-vkIIYcXEEWtRI3TlMm3up-Dr1kwD6lRGbc3HY8g5tfecO2Tjz1Iova_DNlE_ZhSRVt11j_Oi485LOUi1AsulqZs9Kjp2bnAhVAe3vZ/s728-rw-ft-e30/hacker.jpg)


Telecommunication, media, internet service providers (ISPs), information technology (IT)-service providers, and Kurdish websites in the Netherlands have been targeted as part of a new cyber espionage campaign undertaken by a Türkiye-nexus threat actor known as **Sea Turtle**.


"The infrastructure of the targets was susceptible to supply chain and island-hopping attacks, which the attack group used to collect politically motivated information such as personal information on minority groups and potential political dissents," Dutch security firm Hunt & Hackett [said](https://www.huntandhackett.com/blog/turkish-espionage-campaigns) in a Friday analysis.


"The stolen information is likely to be exploited for surveillance or intelligence gathering on specific groups and or individuals."


Sea Turtle, also known by the names Cosmic Wolf, Marbled Dust (formerly Silicon), Teal Kurma, and UNC1326, was [first documented](https://blog.talosintelligence.com/seaturtle/) by Cisco Talos in April 2019, detailing [state-sponsored attacks](https://blog.talosintelligence.com/sea-turtle-keeps-on-swimming/) targeting public and private entities in the Middle East and North Africa.


Activities associated with the group are believed to have been ongoing since January 2017, primarily leveraging [DNS hijacking](https://www.reuters.com/article/idUSKBN1ZQ10O/) to redirect prospective targets attempting to query a specific domain to an actor-controlled server capable of harvesting their credentials.


"The Sea Turtle campaign almost certainly poses a more severe threat than [DNSpionage](https://www.mandiant.com/resources/blog/global-dns-hijacking-campaign-dns-record-manipulation-at-scale) given the actor's methodology in targeting various DNS registrars and registries," Talos said at the time.


In late 2021, Microsoft [noted](https://www.microsoft.com/en-us/security/business/microsoft-digital-defense-report-2021) that the adversary carries out intelligence collection to meet strategic Turkish interests from countries like Armenia, Cyprus, Greece, Iraq, and Syria, striking telecom and IT companies with an aim to "establish a foothold upstream of their desired target" via exploitation of known vulnerabilities.


Then last month, the adversary was revealed to be using a simple reverse TCP shell for Linux (and Unix) systems called SnappyTCP in attacks carried out between 2021 and 2023, according to the PricewaterhouseCoopers (PwC) Threat Intelligence team.


"The web shell is a simple reverse TCP shell for Linux/Unix that has basic [command-and-control] capabilities, and is also likely used for establishing persistence," the company [said](https://www.pwc.com/gx/en/issues/cybersecurity/cyber-threat-intelligence/tortoise-and-malwahare.html). "There are at least two main variants; one which uses OpenSSL to create a secure connection over TLS, while the other omits this capability and sends requests in cleartext."


The latest findings from Hunt & Hackett show that Sea Turtle continues to be a stealthy espionage-focused group, performing defense evasion techniques to fly under the radar and harvest email archives.


In one of the attacks observed in 2023, a compromised-but-legitimate cPanel account was used as an initial access vector to deploy SnappyTCP on the system. It's currently not known how the attackers obtained the credentials.


"Using SnappyTCP, the threat actor sent commands to the system to create a copy of an email archive created with the tool tar, in the public web directory of the website that was accessible from the internet," the firm noted.


"It is highly likely that the threat actor exfiltrated the email archive by downloading the file directly from the web directory."


To mitigate the risks posed by such attacks, it's advised that organizations enforce strong password policies, implement two-factor authentication (2FA), [rate limit login attempts](https://www.cloudflare.com/learning/bots/what-is-rate-limiting/) to reduce the chances of brute-force attempts, monitor SSH traffic, and keep all systems and software up-to-date.



  





## Tags:


### Autogenerated tags:
[[snappytcp]]
