# Severe Flaw in Google Cloud's Cloud SQL Service Exposed Confidential Data
## New security flaw exposed in Google Cloud Platform's Cloud SQL service.
## Information:

+ Link: https://thehackernews.com/2023/05/severe-flaw-in-google-clouds-cloud-sql.html
+ Source: The Hacker News
+ Author: Ravie Lakshmanan
+ Date published: 26 May 2023, 21:55
+ Date scraped: 26 May 2023, 17:03

## Article:
![Main article image](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgWt_dq9Y1RcFxcBcn2DH4r4zYNMlK7_vDkb2M-LmNKX9SuHKayI2Z8pRpsfOoQHtZbd3fZasjk-hk4t0eOYnGHhZXNJ6ofxaeyjzJeqP8iOvX-qT54ROL2jewyKEugDAoaOTh-w3CGU1JenVY75kxGNNuBhqsgVJrmzrSulyfDact-rp8mGT7Ykt6s/s728-e3650/cloudsql.jpg)


A new security flaw has been disclosed in the Google Cloud Platform's (GCP) Cloud SQL service that could be potentially exploited to obtain access to confidential data.


"The vulnerability could have enabled a malicious actor to escalate from a basic Cloud SQL user to a full-fledged sysadmin on a container, gaining access to internal GCP data like secrets, sensitive files, passwords, in addition to customer data," Israeli cloud security firm Dig [said](https://www.dig.security/post/gcp-cloudsql-vulnerability-leads-to-internal-container-access-and-data-exposure).


[Cloud SQL](https://cloud.google.com/sql) is a fully-managed solution to build MySQL, PostgreSQL, and SQL Server databases for cloud-based applications.


The multi-stage attack chain identified by Dig, in a nutshell, leveraged a gap in the cloud platform's security layer associated with SQL Server to escalate the privileges of a user to that of an administrator role.


The elevated permissions subsequently made it possible to abuse another critical misconfiguration to obtain system administrator rights and take full control of the database server.


[![Cloud SQL](data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mP8Xw8AAoMBgDTD2qgAAAAASUVORK5CYII=)](https://thehackernews.com/new-images/img/b/R29vZ2xl/AVvXsEgvMttrOMajlRAIAmmARm7Rfx7jppJWozZukBc_wlQig4VezxCxiSc0AAbldL3sxZy8t9Eotd1W49uQawMw6syJYcq4vHBTvro9Ki_6WeFWtRBF2y_bvXzHQWvcoe7xMK3ZsvIMLef5XONFxj_sNvEP3VkS7UTcBlClHqtU19sCaTXC0C_O30C7g1aU/s728-e365/root.jpg)
From there, a threat actor could access all files hosted on the underlying operating system, enumerate files, and extract passwords, which could then act as a launchpad for further attacks.


"Gaining access to internal data like secrets, URLs, and passwords can lead to exposure of cloud providers' data and customers' sensitive data which is a major security incident," Dig researchers Ofir Balassiano and Ofir Shaty said.


Following responsible disclosure in February 2023, the issue was addressed by Google in April 2023.


The disclosure comes as Google [announced](https://security.googleblog.com/2023/05/google-trust-services-acme-api_0503894189.html) the availability of its Automatic Certificate Management Environment ([ACME](https://en.wikipedia.org/wiki/Automatic_Certificate_Management_Environment)) API for all Google Cloud users to automatically acquire and renew TLS certificates for free.



  





## Tags:


### Autogenerated tags:
[[cloud]] [[sql]] [[google]]
