# Urgent: New Security Flaws Discovered in NGINX Ingress Controller for Kubernetes
## Three new high-severity security flaws discovered in NGINX Ingress controller for Kubernetes. Hackers can steal secret credentials.
## Information:

+ Link: https://thehackernews.com/2023/10/urgent-new-security-flaws-discovered-in.html
+ Source: The Hacker News
+ Author: Newsroom
+ Date published: 30 October 2023, 12:16
+ Date scraped: 30 October 2023, 07:00

## Article:
![Main article image](https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEgh6714uZt1NOprNz9JMzxDlNdbNjatPlJ6ACFEJGOu-vRfSUA7I4k1tCoruNpQ8T4jtgfZBDuZzbdBTbsTgBcNgo221P3xdtQl6nQaOPGoHtl0QKz-Rwcfb1JZkUcqqbDpe0VTx1DlmYCRUSO8NjGWDYcsftyRsWNVMa6YbaQJh0_FHPWhb4oWljY1e3fg/s728-rw-ft-e30/server-security.jpg)


Three unpatched high-severity security flaws have been disclosed in the [NGINX Ingress controller](https://docs.nginx.com/nginx-ingress-controller/intro/overview/) for Kubernetes that could be weaponized by a threat actor to steal secret credentials from the cluster.


The vulnerabilities are as follows -


* [**CVE-2022-4886**](https://nvd.nist.gov/vuln/detail/CVE-2022-4886) (CVSS score: 8.8) - [Ingress-nginx](https://github.com/kubernetes/ingress-nginx) path sanitization can be bypassed to obtain the credentials of the ingress-nginx controller
* [**CVE-2023-5043**](https://nvd.nist.gov/vuln/detail/CVE-2023-5043) (CVSS score: 7.6) - Ingress-nginx annotation injection causes arbitrary command execution
* [**CVE-2023-5044**](https://nvd.nist.gov/vuln/detail/CVE-2023-5044) (CVSS score: 7.6) - Code injection via nginx.ingress.kubernetes.io/permanent-redirect annotation


"These vulnerabilities enable an attacker who can control the configuration of the Ingress object to steal secret credentials from the cluster," Ben Hirschberg, CTO and co-founder of Kubernetes security platform ARMO, [said](https://www.armosec.io/blog/cve-2023-5043-nginx-ingress/) of CVE-2023-5043 and CVE-2023-5044.


Successful exploitation of the flaws could allow an adversary to inject arbitrary code into the ingress controller process, and gain unauthorized access to sensitive data.


CVE-2022-4886, a result of a lack of validation in the "spec.rules[].http.paths[].path" field, permits an attacker with access to the Ingress object to siphon Kubernetes API credentials from the ingress controller.


"In the [Ingress object](https://kubernetes.io/docs/concepts/services-networking/ingress/), the operator can define which incoming HTTP path is routed to which inner path," Hirschberg noted. "The vulnerable application does not check properly the validity of the inner path and it can point to the internal file which contains the service account token that is the client credential for authentication against the API server."


In the absence of fixes, the maintainers of the software have released mitigations that involve enabling the "strict-validate-path-type" option and setting the --enable-annotation-validation flag to prevent the creation of Ingress objects with invalid characters and enforce additional restrictions.


ARMO said that updating NGINX to version 1.19, alongside adding the "--enable-annotation-validation" command-line configuration, resolves CVE-2023-5043 and CVE-2023-5044.


"Although they point in different directions, all of these vulnerabilities point to the same underlying problem," Hirschberg said.


"The fact that ingress controllers have access to TLS secrets and Kubernetes API by design makes them workloads with high privilege scope. In addition, since they are often public internet facing components, they are very vulnerable to external traffic entering the cluster through them."


  





## Tags:
***CVE's***: CVE-2023-5043 CVE-2023-5044 CVE-2022-4886

### Autogenerated tags:
[[kubernetes]] [[cvss]] [[ingress-nginx]] [[cve-2023-5043]] [[cve-2023-5044]] [[hirschberg]] [[api]]
