# Black Hat and DEF CON Roundup
## ‘Summer Camp’ for hackers features a compromised satellite, a homecoming for hackers and cyberwarfare warnings.
## Information:

+ Link: https://kasperskycontenthub.com/threatpost-global/?p=180409
+ Source: ThreatPost
+ Author: Threatpost
+ Date published: 15 August 2022, 13:56
+ Date scraped: 15 August 2022, 14:00

## Article:
![Main article image](https://media.kasperskycontenthub.com/wp-content/uploads/sites/103/2018/08/06171906/vegas.jpeg)


There was nothing typical this year at BSides LV, Black Hat USA and DEF CON – also known collectively as Hacker Summer Camp. The weeklong collection of cybersecurity conferences featured an eclectic mix of attendees to learn, network, hack and have fun. The week even included a [rare Las Vegas flash flood](https://www.nbcnews.com/news/us-news/-storm-las-vegas-hit-fresh-flash-floods-rain-pours-casino-rcna42789) (not a new DDoS technique) on Thursday creating chaos in one casinos.


The past week, while not ‘typical’, was a nod to normalcy for attendees. Attendance for events was up from the previous year, which in 2021 was muted by lower attendance and COVID fears. Here is a roundup of leading research, themes and buzz from this year’s shows.  




## **Research of Note**


Video conferencing darling Zoom was [highlighted at DEF CON by Patrick Wardle](https://www.theverge.com/2022/8/12/23303411/zoom-defcon-root-access-privilege-escalation-hack-patrick-wardle), founder of the Objective-See Foundation, for a hacking technique that allowed him, using the macOS version of Zoom, to elevated privileges and gain access to the entire macOS operating system.


Pen Test Partners revealed a flaw in the Electronic Flight Bag tablets used by some Boeing aircraft pilots that could have allowed an adversary to modify data “and cause pilots to make dangerous miscalculations,” [according to a Reuters report](https://www.reuters.com/business/aerospace-defense/potential-hack-some-boeing-planes-fixed-researchers-2022-08-13/).


Starlink, the satellite operated by SpaceX that provides internet access to over 36 countries, was shown vulnerable to a [hack via a $25 modchip](https://threatpost.com/starlink-hack/180389/). Belgian researcher Lennert Wouters revealed at Black Hat how he mounted a successful fault injection attack on a user terminal used to manage the satellite.


Researcher James Kettle debuted a new class of HTTP request smuggling attack that allowed him to compromise Amazon and Akamai, break TLS, and exploit Apache servers, according to reporting from [Portswigger’s The Daily Swig](https://portswigger.net/daily-swig/browser-powered-desync-new-class-of-http-request-smuggling-attacks-showcased-at-black-hat-usa).


Journalist Eduard Kovacs reported on a high-severity Realtek bug in the company’s eCos SDK. Found by Faraday Security and discussed at DEF CON, the eCos SDK is used in a variety of routers, access points and network repeaters, [according to his report](https://www.securityweek.com/realtek-sdk-vulnerability-exposes-routers-many-vendors-remote-attacks).


For fans of FUD, PC Magazine has a nice rundown of “[The 14 Scariest Things We Saw at Black Hat 2022](https://www.pcmag.com/news/scariest-things-we-saw-at-black-hat-2022)“. Things keeping them up are SMS codes flunk MFA, an “invisible finger to take control” of your touchscreen device and a Microsoft hiccup when launching its Early Launch Antimalware (ELAM).


## **Topics of Discussion**


The main Black Hat keynote was from Chris Krebs, former Cybersecurity and Infrastructure Security Agency (CISA), who shared his optimism when it comes to the US approach to information security. However, [he did express](https://www.darkreading.com/risk/krebs-taiwan-geopolitical-headwinds-loom-large) pessimism that US cyber-defenses were too focused on nation state attackers versus more mundane and pressing concerns, in his estimation, such as ransomware.


[Ukraine war and Log4j](https://siliconangle.com/2022/08/12/black-hat-tech-confronts-cyber-consequences-ukraine-war-log4j-web3/) also were major themes at each of the conferences. ESET provided Black Hat attendees with an update on cyberattacks against Ukraine. Firms such as CyCognito warned that we [aren’t out of the Log4j woods](https://www.cycognito.com/blog/log4j_risky-business). A report by SiliconAngle  quotes Robert Silvers, undersecretary for policy at the Department of Homeland Security, echoed those concerns telling attendees that “[Log4j] is most likely that organizations are going to deal with Log4j issues for at least a decade and maybe longer.”


Victor Zhora, deputy head of Ukraine’s State Special Communications Service, told Black Hat attendees that his country’s infrastructure has experienced a 300 percent uptick in cyber incidents since Russia’s invasion of the country. The visit was unannounced, according to a [Voice of America report](https://www.voanews.com/a/ukraine-cyber-chief-visits-black-hat-hacker-meeting-in-las-vegas-/6698617.html).


Meanwhile current White House Cyber Director Chris Inglis told journalist Kim Zetter, during a DEF CON session, that he was focused on “‘three waves of attacks’ that have progressed in recent years,” according a [Nextgov report](https://www.nextgov.com/cybersecurity/2022/08/white-house-cyber-director-defense-new-offense-cyber/375822/).


*The first wave “focused on adversaries holding data and systems at risk.” In the second, the attackers “still held data and systems at risk, but they then abstracted that into holding critical functions at risk.” The third is an attack on confidence, as exemplified by the attack on the Colonial Pipeline. –* [Nextgov.](https://www.nextgov.com/cybersecurity/2022/08/white-house-cyber-director-defense-new-offense-cyber/375822/)


For DEF CON, it was the event’s 30th anniversary, which events organizers billed as not a birthday but a Hacker Homecoming.


“This has been a crazy couple of years,” according to an official [DEF CON forum post](https://forum.defcon.org/node/240151).


“A global pandemic turned DEF CON 28 into DEF CON Safe Mode. Some easing of the restrictions and some strict attendance rules gave us a hybrid con for DC29. An improvement, to be sure, but something short of a full DEF CON experience… We want DEF CON 30 to have the energy of a reunion… In honor of all that, we’re calling DEF CON 30 ‘Hacker Homecoming’.”





## Tags:


### Autogenerated tags:
[[log4j]]
