# This Week in Security News: Microsoft Fixes 129 Vulnerabilities for September's Patch Tuesday and Trend Micro’s XDR Offerings Simplify and Optimize De
## Welcome to our weekly roundup, where we share what you need to know about the cybersecurity news and events that happened over the past few days. This week, read about this month’s Patch Tuesday update from Microsoft. Also, learn about Trend Micro’s Worry-Free XDR: a new version of its XDR platform designed to extend the...
## Information:

+ Link: https://blog.trendmicro.com/this-week-in-security-news-microsoft-fixes-129-vulnerabilities-for-septembers-patch-tuesday-and-trend-micros-xdr-offerings-simplify-and-optimize-detection-and-response/
+ Source: Trend Micro
+ Author: Jon Clay (Global Threat Communications)
+ Date published: 11 September 2020, 12:43
+ Date scraped: 03 December 2021, 18:31

## Article:
![Main article image](https://blog.trendmicro.com/wp-content/uploads/2018/03/Week-in-Security-News-Logo_RGB.jpg)

## Article:
![Article Image](https://blog.trendmicro.com/wp-content/uploads/2018/03/Week-in-Security-News-Logo_RGB.jpg)


Welcome to our weekly roundup, where we share what you need to know about the cybersecurity news and events that happened over the past few days. This week, read about this month’s Patch Tuesday update from Microsoft. Also, learn about Trend Micro’s Worry-Free XDR: a new version of its XDR platform designed to extend the power of correlated detection and response beyond the endpoint for smaller businesses.


Read on:


[**Exposed Docker Server Abused to Drop Cryptominer, DDoS Bot**](https://www.trendmicro.com/en_us/research/20/i/exposed-docker-server-abused-to-drop-cryptominer-ddos-bot-.html)


*Malicious actors continue to target environments running Docker containers. Trend Micro recently encountered an attack that drops both a malicious cryptocurrency miner and a distributed denial-of-service (DDoS) bot on a Docker container built using Alpine Linux as its base image. A similar attack was also reported by Trend Micro in May; in that previous attack, threat actors created a malicious Alpine Linux container to also host a malicious cryptocurrency miner and a DDoS bot.*


[**Microsoft Fixes 129 Vulnerabilities for September’s Patch Tuesday**](https://www.darkreading.com/vulnerabilities---threats/microsoft-fixes-129-vulnerabilities-for-septembers-patch-tuesday/d/d-id/1338863)


*Microsoft released patches for 129 CVEs (common vulnerabilities and exposures) as part of its monthly Patch Tuesday rollout. Dustin Childs from Trend Micro’s Zero Day Initiative shared that this marks seven consecutive months of more than 110 bugs fixed and brings the yearly total close to 1,000.*


[**Purple Fox EK Relies on Cloudflare for Stability**](https://www.trendmicro.com/en_us/research/20/i/purple-fox-ek-relies-on-cloudflare-for-stability.html)


*A year ago, Trend Micro talked about Purple Fox malware being delivered by the Rig exploit kit. Malwarebytes later found evidence that it had its own delivery mechanism, and thus named it the Purple Fox exploit kit. Trend Micro recently found a spike in the Purple Fox exploit kit with improved delivering tactics in our telemetry. Some of the improvements include use of full HTTPS infrastructure based on Cloudflare as frontend, fully encrypted landing page, and disguised redirection.* 


[**New Raccoon Attack Could Let Attackers Break SSL/TLS Encryption**](https://thehackernews.com/2020/09/raccoon-ssl-tls-encryption.html?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+TheHackersNews+%28The+Hackers+News+-+Cyber+Security+Blog%29)


*A group of researchers has detailed a new timing vulnerability in Transport Layer Security (TLS) protocol that could potentially allow an attacker to break the encryption and read sensitive communication under specific conditions. Dubbed “Raccoon Attack,” the server-side attack exploits a side-channel in the cryptographic protocol (versions 1.2 and lower) to extract the shared secret key used for secure communications between two parties.*


[**War of Linux Cryptocurrency Miners: A Battle for Resources**](https://www.trendmicro.com/en_us/research/20/i/war-of-linux-cryptocurrency-miners-a-battle-for-resources.html)


*The Linux ecosystem is regarded as more secure and reliable than other operating systems, which possibly explains why Google, NASA, and the US Department of Defense (DoD) utilize it for their online infrastructures and systems. Unfortunately, the adoption of Linux systems is also an attractive target for cybercriminals. In this blog, learn about the ruthless battle for computing power among the different cryptocurrency-mining malware that target Linux systems.*


[**Trend Micro’s XDR Offerings Simplify and Optimize Detection and Response**](https://www.helpnetsecurity.com/2020/09/10/trend-micro-xdr-offerings/)


*Trend Micro announced Worry-Free XDR is a new version of its XDR platform designed to extend the power of correlated detection and response beyond the endpoint for smaller businesses. This unmatched channel offering is available now as a standalone or managed solution tailored for SMBs.*


[**Securing Enterprise Security: How to Manage the New Generation of Access Control Devices**](https://www.trendmicro.com/vinfo/us/security/news/internet-of-things/securing-enterprise-security-how-to-manage-the-new-generation-of-access-control-devices)


*Enterprises are increasingly deploying contactless security solutions to control access to their spaces, especially now in the midst of a pandemic. These solutions mostly rely on devices that use facial recognition to manage entry to enterprise premises in an effective and efficient manner. Considering that these access control devices are the first line of defense for employees and assets on enterprise premises, Trend Micro set out to test the security of the devices and to find out whether they are susceptible to cyber as well as physical attacks.*


[**Zeppelin Ransomware Returns with New Trojan on Board**](https://threatpost.com/zeppelin-ransomware-returns-trojan/159092/)


*The Zeppelin ransomware has sailed back into relevance, after a hiatus of several months. A wave of attacks were spotted in August by Juniper Threatlab researchers, making use of a new trojan downloader. These, like an initial Zeppelin wave observed in late 2019, start with phishing emails with Microsoft Word attachments (themed as “invoices”) that have malicious macros on board. Once a user enables macros, the infection process starts.*


[**Published New Ebook: Strategic Investment to Secure Smart Factories**](https://www.trendmicro.com/us/iot-security/news/6153/Published_new_ebook_Strategic_investment_to_secure_smart_factories)


*Security is undergoing a digital transformation in the manufacturing industry. As the fusion of the cyber world and the physical world progresses, various security issues are mounting. Manufacturing executives must view security as a management issue, not as a system issue. Trend Micro has published an ebook that focuses on security issues in the convergence of IT and OT.*


[**Ransomware Accounted for 41% of All Cyber Insurance Claims in H1 2020**](https://www.zdnet.com/article/ransomware-accounts-to-41-of-all-cyber-insurance-claims/#ftag=RSSbaffb68)


*Ransomware incidents have accounted for 41% of cyber insurance claims filed in the first half of 2020, according to a report published today by Coalition, one of the largest providers of cyber insurance services in North America. The high number of claims comes to confirm previous reports from multiple cybersecurity firms that ransomware is one of today’s most prevalent and destructive threats.*


What do you think about the Zeppelin ransomware attacks and the rise in ransomware overall? Share your thoughts in the comments below or follow me on Twitter to continue the conversation: [@JonLClay.](https://twitter.com/jonlclay)







### Related posts:

1. [This Week in Security News: Microsoft June Patch Tuesday Fixes 129 Flaws in Largest-Ever Update and New Android Spyware ActionSpy Revealed via Phishing Attacks from Earth Empusa](https://blog.trendmicro.com/this-week-in-security-news-microsoft-june-patch-tuesday-fixes-129-flaws-in-largest-ever-update-and-new-android-spyware-actionspy-revealed-via-phishing-attacks-from-earth-empusa/ "This Week in Security News: Microsoft June Patch Tuesday Fixes 129 Flaws in Largest-Ever Update and New Android Spyware ActionSpy Revealed via Phishing Attacks from Earth Empusa")
2. [This Week in Security News: How Researchers Used an App Store to Demonstrate Hacks on a Factory and Microsoft Again Surpasses 100 Vulnerabilities on Patch Tuesday](https://blog.trendmicro.com/this-week-in-security-news-how-researchers-used-an-app-store-to-demonstrate-hacks-on-a-factory-and-microsoft-again-surpasses-100-vulnerabilities-on-patch-tuesday/ "This Week in Security News: How Researchers Used an App Store to Demonstrate Hacks on a Factory and Microsoft Again Surpasses 100 Vulnerabilities on Patch Tuesday")
3. [This Week in Security News: APT33 Botnets Used for Extreme Narrow Targeting and Microsoft’s Patch Tuesday Arrives with A Patch for An IE Zero-Day](https://blog.trendmicro.com/this-week-in-security-news-apt33-botnets-used-for-extreme-narrow-targeting-and-microsofts-patch-tuesday-arrives-with-a-patch-for-an-ie-zero-day/ "This Week in Security News: APT33 Botnets Used for Extreme Narrow Targeting and Microsoft’s Patch Tuesday Arrives with A Patch for An IE Zero-Day")
4. [ZDI Update: Microsoft and Adobe Patch Tuesday for May 2016 and Microsoft Closes Pwn2Own 2016 Vulnerabilities](https://blog.trendmicro.com/zdi-update-microsoft-and-adobe-patch-tuesday-for-may-2016-and-microsoft-closes-pwn2own-2016-vulnerabilities/ "ZDI Update: Microsoft and Adobe Patch Tuesday for May 2016 and Microsoft Closes Pwn2Own 2016 Vulnerabilities")








## Tags:


### Autogenerated tags:
[[microsoft]] [[ransomware]] [[linux]] [[xdr]] [[ddos]]
